/* Wolfenstein 3D Source Code
 * Copyright (C) 1993-1996 id Software, Inc.
 *
 * This file is part of Wolfenstein 3D.
 *
 * Wolfenstein 3D is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Wolfenstein 3D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * As an addendum, you can further use the Wolfenstein 3D Source Code under
 * the terms of the limited use software license agreement for Wolfenstein 3D.
 * See id-wolf3d.txt for these terms.
 */

// New file used for preparing and converting pointers to states

#include "wl_def.h"

#ifdef REFKEEN_VER_N3DWT10
REFKEEN_NS_B

// List of all states
extern statetype s_player;
extern statetype s_attack;
extern statetype s_coconut;
extern statetype s_cocohit;
extern statetype s_grdstand;
extern statetype s_grdpath1;
extern statetype s_grdpath1s;
extern statetype s_grdpath2;
extern statetype s_grdpath3;
extern statetype s_grdpath3s;
extern statetype s_grdpath4;
extern statetype s_grdpain;
extern statetype s_grdpain1;
extern statetype s_grdshoot1;
extern statetype s_grdshoot2;
extern statetype s_grdshoot3;
extern statetype s_grdchase1;
extern statetype s_grdchase1s;
extern statetype s_grdchase2;
extern statetype s_grdchase3;
extern statetype s_grdchase3s;
extern statetype s_grdchase4;
extern statetype s_grddie1;
extern statetype s_grddie2;
extern statetype s_grddie3;
extern statetype s_grddead;
extern statetype s_grddead2;
extern statetype s_dogstand;
extern statetype s_dogpath1;
extern statetype s_dogpath1s;
extern statetype s_dogpath2;
extern statetype s_dogpath3;
extern statetype s_dogpath3s;
extern statetype s_dogpath4;
extern statetype s_dogjump1;
extern statetype s_dogjump2;
extern statetype s_dogjump3;
extern statetype s_dogjump4;
extern statetype s_dogchase1;
extern statetype s_dogchase1s;
extern statetype s_dogchase2;
extern statetype s_dogchase3;
extern statetype s_dogchase3s;
extern statetype s_dogchase4;
extern statetype s_dogdie1;
extern statetype s_dogdie2;
extern statetype s_dogdead;
extern statetype s_dogdead2;
extern statetype s_ofcstand;
extern statetype s_ofcpath1;
extern statetype s_ofcpath1s;
extern statetype s_ofcpath2;
extern statetype s_ofcpath3;
extern statetype s_ofcpath3s;
extern statetype s_ofcpath4;
extern statetype s_ofcpain;
extern statetype s_ofcpain1;
extern statetype s_ofcshoot1;
extern statetype s_ofcshoot2;
extern statetype s_ofcshoot3;
extern statetype s_ofcchase1;
extern statetype s_ofcchase1s;
extern statetype s_ofcchase2;
extern statetype s_ofcchase3;
extern statetype s_ofcchase3s;
extern statetype s_ofcchase4;
extern statetype s_ofcdie1;
extern statetype s_ofcdie2;
extern statetype s_ofcdie3;
extern statetype s_ofcdead;
extern statetype s_ofcdead2;
extern statetype s_mutstand;
extern statetype s_mutpath1;
extern statetype s_mutpath1s;
extern statetype s_mutpath2;
extern statetype s_mutpath3;
extern statetype s_mutpath3s;
extern statetype s_mutpath4;
extern statetype s_mutpain;
extern statetype s_mutpain1;
extern statetype s_mutshoot1;
extern statetype s_mutshoot2;
extern statetype s_mutshoot3;
extern statetype s_mutchase1;
extern statetype s_mutchase1s;
extern statetype s_mutchase2;
extern statetype s_mutchase3;
extern statetype s_mutchase3s;
extern statetype s_mutchase4;
extern statetype s_mutdie1;
extern statetype s_mutdie2;
extern statetype s_mutdie3;
extern statetype s_mutdead;
extern statetype s_mutdead2;
extern statetype s_ssstand;
extern statetype s_sspath1;
extern statetype s_sspath1s;
extern statetype s_sspath2;
extern statetype s_sspath3;
extern statetype s_sspath3s;
extern statetype s_sspath4;
extern statetype s_sspain;
extern statetype s_sspain1;
extern statetype s_ssshoot1;
extern statetype s_ssshoot2;
extern statetype s_ssshoot3;
extern statetype s_ssshoot4;
extern statetype s_ssshoot5;
extern statetype s_ssshoot6;
extern statetype s_ssshoot7;
extern statetype s_ssshoot8;
extern statetype s_ssshoot9;
extern statetype s_sschase1;
extern statetype s_sschase1s;
extern statetype s_sschase2;
extern statetype s_sschase3;
extern statetype s_sschase3s;
extern statetype s_sschase4;
extern statetype s_ssdie1;
extern statetype s_ssdie2;
extern statetype s_ssdie3;
extern statetype s_ssdead;
extern statetype s_ssdead2;
extern statetype s_bossstand;
extern statetype s_bosschase1;
extern statetype s_bosschase1s;
extern statetype s_bosschase2;
extern statetype s_bosschase3;
extern statetype s_bosschase3s;
extern statetype s_bosschase4;
extern statetype s_bossdie1;
extern statetype s_bossdie2;
extern statetype s_bossdead;
extern statetype s_bossdead2;
extern statetype s_bossshoot1;
extern statetype s_bossshoot2;
extern statetype s_bossshoot3;
extern statetype s_bossshoot4;
extern statetype s_bossshoot5;
extern statetype s_bossshoot6;
extern statetype s_bossshoot7;
extern statetype s_bossshoot8;
extern statetype s_gretelstand;
extern statetype s_gretelchase1;
extern statetype s_gretelchase1s;
extern statetype s_gretelchase2;
extern statetype s_gretelchase3;
extern statetype s_gretelchase3s;
extern statetype s_gretelchase4;
extern statetype s_greteldie1;
extern statetype s_greteldie2;
extern statetype s_greteldead;
extern statetype s_greteldead2;
extern statetype s_gretelshoot1;
extern statetype s_gretelshoot2;
extern statetype s_gretelshoot3;
extern statetype s_gretelshoot4;
extern statetype s_gretelshoot5;
extern statetype s_gretelshoot6;
extern statetype s_gretelshoot7;
extern statetype s_gretelshoot8;
extern statetype s_schabbstand;
extern statetype s_schabbchase1;
extern statetype s_schabbchase1s;
extern statetype s_schabbchase2;
extern statetype s_schabbchase3;
extern statetype s_schabbchase3s;
extern statetype s_schabbchase4;
extern statetype s_schabbdie1;
extern statetype s_schabbdie2;
extern statetype s_schabbdie3;
extern statetype s_schabbdead;
extern statetype s_schabbdead2;
extern statetype s_schabbshoot1;
extern statetype s_schabbshoot2;
extern statetype s_giftstand;
extern statetype s_giftchase1;
extern statetype s_giftchase1s;
extern statetype s_giftchase2;
extern statetype s_giftchase3;
extern statetype s_giftchase3s;
extern statetype s_giftchase4;
extern statetype s_giftdie1;
extern statetype s_giftdie2;
extern statetype s_giftdie3;
extern statetype s_giftdie4;
extern statetype s_giftdead;
extern statetype s_giftdead2;
extern statetype s_giftshoot1;
extern statetype s_giftshoot2;
extern statetype s_giftshoot3;
extern statetype s_giftshoot4;
extern statetype s_fatstand;
extern statetype s_fatchase1;
extern statetype s_fatchase1s;
extern statetype s_fatchase2;
extern statetype s_fatchase3;
extern statetype s_fatchase3s;
extern statetype s_fatchase4;
extern statetype s_fatdie1;
extern statetype s_fatdie2;
extern statetype s_fatdie3;
extern statetype s_fatdie4;
extern statetype s_fatdead;
extern statetype s_fatdead2;
extern statetype s_fatshoot1;
extern statetype s_fatshoot2;
extern statetype s_fatshoot3;
extern statetype s_fatshoot4;
extern statetype s_fatshoot5;
extern statetype s_fatshoot6;
extern statetype s_mechastand;
extern statetype s_mechachase1;
extern statetype s_mechachase1s;
extern statetype s_mechachase2;
extern statetype s_mechachase3;
extern statetype s_mechachase3s;
extern statetype s_mechachase4;
extern statetype s_mechadie1;
extern statetype s_mechadie2;
extern statetype s_mechadie3;
extern statetype s_mechadie4;
extern statetype s_mechashoot1;
extern statetype s_mechashoot2;
extern statetype s_mechashoot3;
extern statetype s_mechashoot4;
extern statetype s_mechashoot5;
extern statetype s_mechashoot6;
extern statetype s_hitlerchase1;
extern statetype s_hitlerchase1s;
extern statetype s_hitlerchase2;
extern statetype s_hitlerchase3;
extern statetype s_hitlerchase3s;
extern statetype s_hitlerchase4;
extern statetype s_hitlerdie1;
extern statetype s_hitlerdie2;
extern statetype s_hitlerdie3;
extern statetype s_hitlerdie4;
extern statetype s_hitlerdie5;
extern statetype s_hitlerdie6;
extern statetype s_hitlerdead;
extern statetype s_hitlerdead2;
extern statetype s_hitlershoot1;
extern statetype s_hitlershoot2;
extern statetype s_hitlershoot3;
extern statetype s_hitlershoot4;
extern statetype s_hitlershoot5;
extern statetype s_hitlershoot6;
extern statetype s_deathcam;
extern statetype s_gameover;
extern statetype s_flame;
extern statetype s_fexplode1;
extern statetype s_fexplode2;
extern statetype s_fexplode3;
extern statetype s_missile;
extern statetype s_mexplode1;
extern statetype s_mexplode2;
extern statetype s_mexplode3;

void RefKeen_FillObjStatesWithDOSPointers_NonWL1(void)
{
	s_player.compatdospointer = 0x1F8A;
	s_attack.compatdospointer = 0x1F9A;
	s_coconut.compatdospointer = 0x2318;
	s_cocohit.compatdospointer = 0x2328;
	s_grdstand.compatdospointer = 0x2338;
	s_grdpath1.compatdospointer = 0x2348;
	s_grdpath1s.compatdospointer = 0x2358;
	s_grdpath2.compatdospointer = 0x2368;
	s_grdpath3.compatdospointer = 0x2378;
	s_grdpath3s.compatdospointer = 0x2388;
	s_grdpath4.compatdospointer = 0x2398;
	s_grdpain.compatdospointer = 0x23A8;
	s_grdpain1.compatdospointer = 0x23B8;
	s_grdshoot1.compatdospointer = 0x23C8;
	s_grdshoot2.compatdospointer = 0x23D8;
	s_grdshoot3.compatdospointer = 0x23E8;
	s_grdchase1.compatdospointer = 0x23F8;
	s_grdchase1s.compatdospointer = 0x2408;
	s_grdchase2.compatdospointer = 0x2418;
	s_grdchase3.compatdospointer = 0x2428;
	s_grdchase3s.compatdospointer = 0x2438;
	s_grdchase4.compatdospointer = 0x2448;
	s_grddie1.compatdospointer = 0x2458;
	s_grddie2.compatdospointer = 0x2468;
	s_grddie3.compatdospointer = 0x2478;
	s_grddead.compatdospointer = 0x2488;
	s_grddead2.compatdospointer = 0x2498;
	s_dogstand.compatdospointer = 0x24A8;
	s_dogpath1.compatdospointer = 0x24B8;
	s_dogpath1s.compatdospointer = 0x24C8;
	s_dogpath2.compatdospointer = 0x24D8;
	s_dogpath3.compatdospointer = 0x24E8;
	s_dogpath3s.compatdospointer = 0x24F8;
	s_dogpath4.compatdospointer = 0x2508;
	s_dogjump1.compatdospointer = 0x2518;
	s_dogjump2.compatdospointer = 0x2528;
	s_dogjump3.compatdospointer = 0x2538;
	s_dogjump4.compatdospointer = 0x2548;
	s_dogchase1.compatdospointer = 0x2558;
	s_dogchase1s.compatdospointer = 0x2568;
	s_dogchase2.compatdospointer = 0x2578;
	s_dogchase3.compatdospointer = 0x2588;
	s_dogchase3s.compatdospointer = 0x2598;
	s_dogchase4.compatdospointer = 0x25A8;
	s_dogdie1.compatdospointer = 0x25B8;
	s_dogdie2.compatdospointer = 0x25C8;
	s_dogdead.compatdospointer = 0x25D8;
	s_dogdead2.compatdospointer = 0x25E8;
	s_ofcstand.compatdospointer = 0x25F8;
	s_ofcpath1.compatdospointer = 0x2608;
	s_ofcpath1s.compatdospointer = 0x2618;
	s_ofcpath2.compatdospointer = 0x2628;
	s_ofcpath3.compatdospointer = 0x2638;
	s_ofcpath3s.compatdospointer = 0x2648;
	s_ofcpath4.compatdospointer = 0x2658;
	s_ofcpain.compatdospointer = 0x2668;
	s_ofcpain1.compatdospointer = 0x2678;
	s_ofcshoot1.compatdospointer = 0x2688;
	s_ofcshoot2.compatdospointer = 0x2698;
	s_ofcshoot3.compatdospointer = 0x26A8;
	s_ofcchase1.compatdospointer = 0x26B8;
	s_ofcchase1s.compatdospointer = 0x26C8;
	s_ofcchase2.compatdospointer = 0x26D8;
	s_ofcchase3.compatdospointer = 0x26E8;
	s_ofcchase3s.compatdospointer = 0x26F8;
	s_ofcchase4.compatdospointer = 0x2708;
	s_ofcdie1.compatdospointer = 0x2718;
	s_ofcdie2.compatdospointer = 0x2728;
	s_ofcdie3.compatdospointer = 0x2738;
	s_ofcdead.compatdospointer = 0x2748;
	s_ofcdead2.compatdospointer = 0x2758;
	s_mutstand.compatdospointer = 0x2768;
	s_mutpath1.compatdospointer = 0x2778;
	s_mutpath1s.compatdospointer = 0x2788;
	s_mutpath2.compatdospointer = 0x2798;
	s_mutpath3.compatdospointer = 0x27A8;
	s_mutpath3s.compatdospointer = 0x27B8;
	s_mutpath4.compatdospointer = 0x27C8;
	s_mutpain.compatdospointer = 0x27D8;
	s_mutpain1.compatdospointer = 0x27E8;
	s_mutshoot1.compatdospointer = 0x27F8;
	s_mutshoot2.compatdospointer = 0x2808;
	s_mutshoot3.compatdospointer = 0x2818;
	s_mutchase1.compatdospointer = 0x2828;
	s_mutchase1s.compatdospointer = 0x2838;
	s_mutchase2.compatdospointer = 0x2848;
	s_mutchase3.compatdospointer = 0x2858;
	s_mutchase3s.compatdospointer = 0x2868;
	s_mutchase4.compatdospointer = 0x2878;
	s_mutdie1.compatdospointer = 0x2888;
	s_mutdie2.compatdospointer = 0x2898;
	s_mutdie3.compatdospointer = 0x28A8;
	s_mutdead.compatdospointer = 0x28B8;
	s_mutdead2.compatdospointer = 0x28C8;
	s_ssstand.compatdospointer = 0x28D8;
	s_sspath1.compatdospointer = 0x28E8;
	s_sspath1s.compatdospointer = 0x28F8;
	s_sspath2.compatdospointer = 0x2908;
	s_sspath3.compatdospointer = 0x2918;
	s_sspath3s.compatdospointer = 0x2928;
	s_sspath4.compatdospointer = 0x2938;
	s_sspain.compatdospointer = 0x2948;
	s_sspain1.compatdospointer = 0x2958;
	s_ssshoot1.compatdospointer = 0x2968;
	s_ssshoot2.compatdospointer = 0x2978;
	s_ssshoot3.compatdospointer = 0x2988;
	s_ssshoot4.compatdospointer = 0x2998;
	s_ssshoot5.compatdospointer = 0x29A8;
	s_ssshoot6.compatdospointer = 0x29B8;
	s_ssshoot7.compatdospointer = 0x29C8;
	s_ssshoot8.compatdospointer = 0x29D8;
	s_ssshoot9.compatdospointer = 0x29E8;
	s_sschase1.compatdospointer = 0x29F8;
	s_sschase1s.compatdospointer = 0x2A08;
	s_sschase2.compatdospointer = 0x2A18;
	s_sschase3.compatdospointer = 0x2A28;
	s_sschase3s.compatdospointer = 0x2A38;
	s_sschase4.compatdospointer = 0x2A48;
	s_ssdie1.compatdospointer = 0x2A58;
	s_ssdie2.compatdospointer = 0x2A68;
	s_ssdie3.compatdospointer = 0x2A78;
	s_ssdead.compatdospointer = 0x2A88;
	s_ssdead2.compatdospointer = 0x2A98;
	s_bossstand.compatdospointer = 0x2AA8;
	s_bosschase1.compatdospointer = 0x2AB8;
	s_bosschase1s.compatdospointer = 0x2AC8;
	s_bosschase2.compatdospointer = 0x2AD8;
	s_bosschase3.compatdospointer = 0x2AE8;
	s_bosschase3s.compatdospointer = 0x2AF8;
	s_bosschase4.compatdospointer = 0x2B08;
	s_bossdie1.compatdospointer = 0x2B18;
	s_bossdie2.compatdospointer = 0x2B28;
	s_bossdead.compatdospointer = 0x2B38;
	s_bossdead2.compatdospointer = 0x2B48;
	s_bossshoot1.compatdospointer = 0x2B58;
	s_bossshoot2.compatdospointer = 0x2B68;
	s_bossshoot3.compatdospointer = 0x2B78;
	s_bossshoot4.compatdospointer = 0x2B88;
	s_bossshoot5.compatdospointer = 0x2B98;
	s_bossshoot6.compatdospointer = 0x2BA8;
	s_bossshoot7.compatdospointer = 0x2BB8;
	s_bossshoot8.compatdospointer = 0x2BC8;
	s_gretelstand.compatdospointer = 0x2BD8;
	s_gretelchase1.compatdospointer = 0x2BE8;
	s_gretelchase1s.compatdospointer = 0x2BF8;
	s_gretelchase2.compatdospointer = 0x2C08;
	s_gretelchase3.compatdospointer = 0x2C18;
	s_gretelchase3s.compatdospointer = 0x2C28;
	s_gretelchase4.compatdospointer = 0x2C38;
	s_greteldie1.compatdospointer = 0x2C48;
	s_greteldie2.compatdospointer = 0x2C58;
	s_greteldead.compatdospointer = 0x2C68;
	s_greteldead2.compatdospointer = 0x2C78;
	s_gretelshoot1.compatdospointer = 0x2C88;
	s_gretelshoot2.compatdospointer = 0x2C98;
	s_gretelshoot3.compatdospointer = 0x2CA8;
	s_gretelshoot4.compatdospointer = 0x2CB8;
	s_gretelshoot5.compatdospointer = 0x2CC8;
	s_gretelshoot6.compatdospointer = 0x2CD8;
	s_gretelshoot7.compatdospointer = 0x2CE8;
	s_gretelshoot8.compatdospointer = 0x2CF8;
	s_schabbstand.compatdospointer = 0x2D08;
	s_schabbchase1.compatdospointer = 0x2D18;
	s_schabbchase1s.compatdospointer = 0x2D28;
	s_schabbchase2.compatdospointer = 0x2D38;
	s_schabbchase3.compatdospointer = 0x2D48;
	s_schabbchase3s.compatdospointer = 0x2D58;
	s_schabbchase4.compatdospointer = 0x2D68;
	s_schabbdie1.compatdospointer = 0x2D78;
	s_schabbdie2.compatdospointer = 0x2D88;
	s_schabbdie3.compatdospointer = 0x2D98;
	s_schabbdead.compatdospointer = 0x2DA8;
	s_schabbdead2.compatdospointer = 0x2DB8;
	s_schabbshoot1.compatdospointer = 0x2DC8;
	s_schabbshoot2.compatdospointer = 0x2DD8;
	s_giftstand.compatdospointer = 0x2DE8;
	s_giftchase1.compatdospointer = 0x2DF8;
	s_giftchase1s.compatdospointer = 0x2E08;
	s_giftchase2.compatdospointer = 0x2E18;
	s_giftchase3.compatdospointer = 0x2E28;
	s_giftchase3s.compatdospointer = 0x2E38;
	s_giftchase4.compatdospointer = 0x2E48;
	s_giftdie1.compatdospointer = 0x2E58;
	s_giftdie2.compatdospointer = 0x2E68;
	s_giftdie3.compatdospointer = 0x2E78;
	s_giftdie4.compatdospointer = 0x2E88;
	s_giftdead.compatdospointer = 0x2E98;
	s_giftdead2.compatdospointer = 0x2EA8;
	s_giftshoot1.compatdospointer = 0x2EB8;
	s_giftshoot2.compatdospointer = 0x2EC8;
	s_giftshoot3.compatdospointer = 0x2ED8;
	s_giftshoot4.compatdospointer = 0x2EE8;
	s_fatstand.compatdospointer = 0x2EF8;
	s_fatchase1.compatdospointer = 0x2F08;
	s_fatchase1s.compatdospointer = 0x2F18;
	s_fatchase2.compatdospointer = 0x2F28;
	s_fatchase3.compatdospointer = 0x2F38;
	s_fatchase3s.compatdospointer = 0x2F48;
	s_fatchase4.compatdospointer = 0x2F58;
	s_fatdie1.compatdospointer = 0x2F68;
	s_fatdie2.compatdospointer = 0x2F78;
	s_fatdie3.compatdospointer = 0x2F88;
	s_fatdie4.compatdospointer = 0x2F98;
	s_fatdead.compatdospointer = 0x2FA8;
	s_fatdead2.compatdospointer = 0x2FB8;
	s_fatshoot1.compatdospointer = 0x2FC8;
	s_fatshoot2.compatdospointer = 0x2FD8;
	s_fatshoot3.compatdospointer = 0x2FE8;
	s_fatshoot4.compatdospointer = 0x2FF8;
	s_fatshoot5.compatdospointer = 0x3008;
	s_fatshoot6.compatdospointer = 0x3018;
	s_mechastand.compatdospointer = 0x3028;
	s_mechachase1.compatdospointer = 0x3038;
	s_mechachase1s.compatdospointer = 0x3048;
	s_mechachase2.compatdospointer = 0x3058;
	s_mechachase3.compatdospointer = 0x3068;
	s_mechachase3s.compatdospointer = 0x3078;
	s_mechachase4.compatdospointer = 0x3088;
	s_mechadie1.compatdospointer = 0x3098;
	s_mechadie2.compatdospointer = 0x30A8;
	s_mechadie3.compatdospointer = 0x30B8;
	s_mechadie4.compatdospointer = 0x30C8;
	s_mechashoot1.compatdospointer = 0x30D8;
	s_mechashoot2.compatdospointer = 0x30E8;
	s_mechashoot3.compatdospointer = 0x30F8;
	s_mechashoot4.compatdospointer = 0x3108;
	s_mechashoot5.compatdospointer = 0x3118;
	s_mechashoot6.compatdospointer = 0x3128;
	s_hitlerchase1.compatdospointer = 0x3138;
	s_hitlerchase1s.compatdospointer = 0x3148;
	s_hitlerchase2.compatdospointer = 0x3158;
	s_hitlerchase3.compatdospointer = 0x3168;
	s_hitlerchase3s.compatdospointer = 0x3178;
	s_hitlerchase4.compatdospointer = 0x3188;
	s_hitlerdie1.compatdospointer = 0x3198;
	s_hitlerdie2.compatdospointer = 0x31A8;
	s_hitlerdie3.compatdospointer = 0x31B8;
	s_hitlerdie4.compatdospointer = 0x31C8;
	s_hitlerdie5.compatdospointer = 0x31D8;
	s_hitlerdie6.compatdospointer = 0x31E8;
	s_hitlerdead.compatdospointer = 0x31F8;
	s_hitlerdead2.compatdospointer = 0x3208;
	s_hitlershoot1.compatdospointer = 0x3218;
	s_hitlershoot2.compatdospointer = 0x3228;
	s_hitlershoot3.compatdospointer = 0x3238;
	s_hitlershoot4.compatdospointer = 0x3248;
	s_hitlershoot5.compatdospointer = 0x3258;
	s_hitlershoot6.compatdospointer = 0x3268;
	s_deathcam.compatdospointer = 0x3280;
	s_gameover.compatdospointer = 0x3290;
	s_flame.compatdospointer = 0x32A0;
	s_fexplode1.compatdospointer = 0x32B0;
	s_fexplode2.compatdospointer = 0x32C0;
	s_fexplode3.compatdospointer = 0x32D0;
	s_missile.compatdospointer = 0x32E0;
	s_mexplode1.compatdospointer = 0x32F0;
	s_mexplode2.compatdospointer = 0x3300;
	s_mexplode3.compatdospointer = 0x3310;
}

void* RefKeen_GetObjStatePtrFromDOSPointer_NonWL1(uint_fast32_t dosptr)
{
	switch (dosptr)
	{
	case 0x1F8A: return &s_player;
	case 0x1F9A: return &s_attack;
	case 0x2318: return &s_coconut;
	case 0x2328: return &s_cocohit;
	case 0x2338: return &s_grdstand;
	case 0x2348: return &s_grdpath1;
	case 0x2358: return &s_grdpath1s;
	case 0x2368: return &s_grdpath2;
	case 0x2378: return &s_grdpath3;
	case 0x2388: return &s_grdpath3s;
	case 0x2398: return &s_grdpath4;
	case 0x23A8: return &s_grdpain;
	case 0x23B8: return &s_grdpain1;
	case 0x23C8: return &s_grdshoot1;
	case 0x23D8: return &s_grdshoot2;
	case 0x23E8: return &s_grdshoot3;
	case 0x23F8: return &s_grdchase1;
	case 0x2408: return &s_grdchase1s;
	case 0x2418: return &s_grdchase2;
	case 0x2428: return &s_grdchase3;
	case 0x2438: return &s_grdchase3s;
	case 0x2448: return &s_grdchase4;
	case 0x2458: return &s_grddie1;
	case 0x2468: return &s_grddie2;
	case 0x2478: return &s_grddie3;
	case 0x2488: return &s_grddead;
	case 0x2498: return &s_grddead2;
	case 0x24A8: return &s_dogstand;
	case 0x24B8: return &s_dogpath1;
	case 0x24C8: return &s_dogpath1s;
	case 0x24D8: return &s_dogpath2;
	case 0x24E8: return &s_dogpath3;
	case 0x24F8: return &s_dogpath3s;
	case 0x2508: return &s_dogpath4;
	case 0x2518: return &s_dogjump1;
	case 0x2528: return &s_dogjump2;
	case 0x2538: return &s_dogjump3;
	case 0x2548: return &s_dogjump4;
	case 0x2558: return &s_dogchase1;
	case 0x2568: return &s_dogchase1s;
	case 0x2578: return &s_dogchase2;
	case 0x2588: return &s_dogchase3;
	case 0x2598: return &s_dogchase3s;
	case 0x25A8: return &s_dogchase4;
	case 0x25B8: return &s_dogdie1;
	case 0x25C8: return &s_dogdie2;
	case 0x25D8: return &s_dogdead;
	case 0x25E8: return &s_dogdead2;
	case 0x25F8: return &s_ofcstand;
	case 0x2608: return &s_ofcpath1;
	case 0x2618: return &s_ofcpath1s;
	case 0x2628: return &s_ofcpath2;
	case 0x2638: return &s_ofcpath3;
	case 0x2648: return &s_ofcpath3s;
	case 0x2658: return &s_ofcpath4;
	case 0x2668: return &s_ofcpain;
	case 0x2678: return &s_ofcpain1;
	case 0x2688: return &s_ofcshoot1;
	case 0x2698: return &s_ofcshoot2;
	case 0x26A8: return &s_ofcshoot3;
	case 0x26B8: return &s_ofcchase1;
	case 0x26C8: return &s_ofcchase1s;
	case 0x26D8: return &s_ofcchase2;
	case 0x26E8: return &s_ofcchase3;
	case 0x26F8: return &s_ofcchase3s;
	case 0x2708: return &s_ofcchase4;
	case 0x2718: return &s_ofcdie1;
	case 0x2728: return &s_ofcdie2;
	case 0x2738: return &s_ofcdie3;
	case 0x2748: return &s_ofcdead;
	case 0x2758: return &s_ofcdead2;
	case 0x2768: return &s_mutstand;
	case 0x2778: return &s_mutpath1;
	case 0x2788: return &s_mutpath1s;
	case 0x2798: return &s_mutpath2;
	case 0x27A8: return &s_mutpath3;
	case 0x27B8: return &s_mutpath3s;
	case 0x27C8: return &s_mutpath4;
	case 0x27D8: return &s_mutpain;
	case 0x27E8: return &s_mutpain1;
	case 0x27F8: return &s_mutshoot1;
	case 0x2808: return &s_mutshoot2;
	case 0x2818: return &s_mutshoot3;
	case 0x2828: return &s_mutchase1;
	case 0x2838: return &s_mutchase1s;
	case 0x2848: return &s_mutchase2;
	case 0x2858: return &s_mutchase3;
	case 0x2868: return &s_mutchase3s;
	case 0x2878: return &s_mutchase4;
	case 0x2888: return &s_mutdie1;
	case 0x2898: return &s_mutdie2;
	case 0x28A8: return &s_mutdie3;
	case 0x28B8: return &s_mutdead;
	case 0x28C8: return &s_mutdead2;
	case 0x28D8: return &s_ssstand;
	case 0x28E8: return &s_sspath1;
	case 0x28F8: return &s_sspath1s;
	case 0x2908: return &s_sspath2;
	case 0x2918: return &s_sspath3;
	case 0x2928: return &s_sspath3s;
	case 0x2938: return &s_sspath4;
	case 0x2948: return &s_sspain;
	case 0x2958: return &s_sspain1;
	case 0x2968: return &s_ssshoot1;
	case 0x2978: return &s_ssshoot2;
	case 0x2988: return &s_ssshoot3;
	case 0x2998: return &s_ssshoot4;
	case 0x29A8: return &s_ssshoot5;
	case 0x29B8: return &s_ssshoot6;
	case 0x29C8: return &s_ssshoot7;
	case 0x29D8: return &s_ssshoot8;
	case 0x29E8: return &s_ssshoot9;
	case 0x29F8: return &s_sschase1;
	case 0x2A08: return &s_sschase1s;
	case 0x2A18: return &s_sschase2;
	case 0x2A28: return &s_sschase3;
	case 0x2A38: return &s_sschase3s;
	case 0x2A48: return &s_sschase4;
	case 0x2A58: return &s_ssdie1;
	case 0x2A68: return &s_ssdie2;
	case 0x2A78: return &s_ssdie3;
	case 0x2A88: return &s_ssdead;
	case 0x2A98: return &s_ssdead2;
	case 0x2AA8: return &s_bossstand;
	case 0x2AB8: return &s_bosschase1;
	case 0x2AC8: return &s_bosschase1s;
	case 0x2AD8: return &s_bosschase2;
	case 0x2AE8: return &s_bosschase3;
	case 0x2AF8: return &s_bosschase3s;
	case 0x2B08: return &s_bosschase4;
	case 0x2B18: return &s_bossdie1;
	case 0x2B28: return &s_bossdie2;
	case 0x2B38: return &s_bossdead;
	case 0x2B48: return &s_bossdead2;
	case 0x2B58: return &s_bossshoot1;
	case 0x2B68: return &s_bossshoot2;
	case 0x2B78: return &s_bossshoot3;
	case 0x2B88: return &s_bossshoot4;
	case 0x2B98: return &s_bossshoot5;
	case 0x2BA8: return &s_bossshoot6;
	case 0x2BB8: return &s_bossshoot7;
	case 0x2BC8: return &s_bossshoot8;
	case 0x2BD8: return &s_gretelstand;
	case 0x2BE8: return &s_gretelchase1;
	case 0x2BF8: return &s_gretelchase1s;
	case 0x2C08: return &s_gretelchase2;
	case 0x2C18: return &s_gretelchase3;
	case 0x2C28: return &s_gretelchase3s;
	case 0x2C38: return &s_gretelchase4;
	case 0x2C48: return &s_greteldie1;
	case 0x2C58: return &s_greteldie2;
	case 0x2C68: return &s_greteldead;
	case 0x2C78: return &s_greteldead2;
	case 0x2C88: return &s_gretelshoot1;
	case 0x2C98: return &s_gretelshoot2;
	case 0x2CA8: return &s_gretelshoot3;
	case 0x2CB8: return &s_gretelshoot4;
	case 0x2CC8: return &s_gretelshoot5;
	case 0x2CD8: return &s_gretelshoot6;
	case 0x2CE8: return &s_gretelshoot7;
	case 0x2CF8: return &s_gretelshoot8;
	case 0x2D08: return &s_schabbstand;
	case 0x2D18: return &s_schabbchase1;
	case 0x2D28: return &s_schabbchase1s;
	case 0x2D38: return &s_schabbchase2;
	case 0x2D48: return &s_schabbchase3;
	case 0x2D58: return &s_schabbchase3s;
	case 0x2D68: return &s_schabbchase4;
	case 0x2D78: return &s_schabbdie1;
	case 0x2D88: return &s_schabbdie2;
	case 0x2D98: return &s_schabbdie3;
	case 0x2DA8: return &s_schabbdead;
	case 0x2DB8: return &s_schabbdead2;
	case 0x2DC8: return &s_schabbshoot1;
	case 0x2DD8: return &s_schabbshoot2;
	case 0x2DE8: return &s_giftstand;
	case 0x2DF8: return &s_giftchase1;
	case 0x2E08: return &s_giftchase1s;
	case 0x2E18: return &s_giftchase2;
	case 0x2E28: return &s_giftchase3;
	case 0x2E38: return &s_giftchase3s;
	case 0x2E48: return &s_giftchase4;
	case 0x2E58: return &s_giftdie1;
	case 0x2E68: return &s_giftdie2;
	case 0x2E78: return &s_giftdie3;
	case 0x2E88: return &s_giftdie4;
	case 0x2E98: return &s_giftdead;
	case 0x2EA8: return &s_giftdead2;
	case 0x2EB8: return &s_giftshoot1;
	case 0x2EC8: return &s_giftshoot2;
	case 0x2ED8: return &s_giftshoot3;
	case 0x2EE8: return &s_giftshoot4;
	case 0x2EF8: return &s_fatstand;
	case 0x2F08: return &s_fatchase1;
	case 0x2F18: return &s_fatchase1s;
	case 0x2F28: return &s_fatchase2;
	case 0x2F38: return &s_fatchase3;
	case 0x2F48: return &s_fatchase3s;
	case 0x2F58: return &s_fatchase4;
	case 0x2F68: return &s_fatdie1;
	case 0x2F78: return &s_fatdie2;
	case 0x2F88: return &s_fatdie3;
	case 0x2F98: return &s_fatdie4;
	case 0x2FA8: return &s_fatdead;
	case 0x2FB8: return &s_fatdead2;
	case 0x2FC8: return &s_fatshoot1;
	case 0x2FD8: return &s_fatshoot2;
	case 0x2FE8: return &s_fatshoot3;
	case 0x2FF8: return &s_fatshoot4;
	case 0x3008: return &s_fatshoot5;
	case 0x3018: return &s_fatshoot6;
	case 0x3028: return &s_mechastand;
	case 0x3038: return &s_mechachase1;
	case 0x3048: return &s_mechachase1s;
	case 0x3058: return &s_mechachase2;
	case 0x3068: return &s_mechachase3;
	case 0x3078: return &s_mechachase3s;
	case 0x3088: return &s_mechachase4;
	case 0x3098: return &s_mechadie1;
	case 0x30A8: return &s_mechadie2;
	case 0x30B8: return &s_mechadie3;
	case 0x30C8: return &s_mechadie4;
	case 0x30D8: return &s_mechashoot1;
	case 0x30E8: return &s_mechashoot2;
	case 0x30F8: return &s_mechashoot3;
	case 0x3108: return &s_mechashoot4;
	case 0x3118: return &s_mechashoot5;
	case 0x3128: return &s_mechashoot6;
	case 0x3138: return &s_hitlerchase1;
	case 0x3148: return &s_hitlerchase1s;
	case 0x3158: return &s_hitlerchase2;
	case 0x3168: return &s_hitlerchase3;
	case 0x3178: return &s_hitlerchase3s;
	case 0x3188: return &s_hitlerchase4;
	case 0x3198: return &s_hitlerdie1;
	case 0x31A8: return &s_hitlerdie2;
	case 0x31B8: return &s_hitlerdie3;
	case 0x31C8: return &s_hitlerdie4;
	case 0x31D8: return &s_hitlerdie5;
	case 0x31E8: return &s_hitlerdie6;
	case 0x31F8: return &s_hitlerdead;
	case 0x3208: return &s_hitlerdead2;
	case 0x3218: return &s_hitlershoot1;
	case 0x3228: return &s_hitlershoot2;
	case 0x3238: return &s_hitlershoot3;
	case 0x3248: return &s_hitlershoot4;
	case 0x3258: return &s_hitlershoot5;
	case 0x3268: return &s_hitlershoot6;
	case 0x3280: return &s_deathcam;
	case 0x3290: return &s_gameover;
	case 0x32A0: return &s_flame;
	case 0x32B0: return &s_fexplode1;
	case 0x32C0: return &s_fexplode2;
	case 0x32D0: return &s_fexplode3;
	case 0x32E0: return &s_missile;
	case 0x32F0: return &s_mexplode1;
	case 0x3300: return &s_mexplode2;
	case 0x3310: return &s_mexplode3;
	}
	return NULL;
}

REFKEEN_NS_E
#endif
