/* Wolfenstein 3D Source Code
 * Copyright (C) 1993-1996 id Software, Inc.
 *
 * This file is part of Wolfenstein 3D.
 *
 * Wolfenstein 3D is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Wolfenstein 3D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * As an addendum, you can further use the Wolfenstein 3D Source Code under
 * the terms of the limited use software license agreement for Wolfenstein 3D.
 * See id-wolf3d.txt for these terms.
 */

// New file used for preparing and converting pointers to states

#include "wl_def.h"

#ifdef REFKEEN_VER_SODFG10
REFKEEN_NS_B

// List of all states
extern statetype s_player;
extern statetype s_attack;
extern statetype s_rocket;
extern statetype s_smoke1;
extern statetype s_smoke2;
extern statetype s_smoke3;
extern statetype s_smoke4;
extern statetype s_boom1;
extern statetype s_boom2;
extern statetype s_boom3;
extern statetype s_hrocket;
extern statetype s_hsmoke1;
extern statetype s_hsmoke2;
extern statetype s_hsmoke3;
extern statetype s_hsmoke4;
extern statetype s_hboom1;
extern statetype s_hboom2;
extern statetype s_hboom3;
extern statetype s_grdstand;
extern statetype s_grdpath1;
extern statetype s_grdpath1s;
extern statetype s_grdpath2;
extern statetype s_grdpath3;
extern statetype s_grdpath3s;
extern statetype s_grdpath4;
extern statetype s_grdpain;
extern statetype s_grdpain1;
extern statetype s_grdshoot1;
extern statetype s_grdshoot2;
extern statetype s_grdshoot3;
extern statetype s_grdchase1;
extern statetype s_grdchase1s;
extern statetype s_grdchase2;
extern statetype s_grdchase3;
extern statetype s_grdchase3s;
extern statetype s_grdchase4;
extern statetype s_grddie1;
extern statetype s_grddie2;
extern statetype s_grddie3;
extern statetype s_grddie4;
extern statetype s_dogpath1;
extern statetype s_dogpath1s;
extern statetype s_dogpath2;
extern statetype s_dogpath3;
extern statetype s_dogpath3s;
extern statetype s_dogpath4;
extern statetype s_dogjump1;
extern statetype s_dogjump2;
extern statetype s_dogjump3;
extern statetype s_dogjump4;
extern statetype s_dogjump5;
extern statetype s_dogchase1;
extern statetype s_dogchase1s;
extern statetype s_dogchase2;
extern statetype s_dogchase3;
extern statetype s_dogchase3s;
extern statetype s_dogchase4;
extern statetype s_dogdie1;
extern statetype s_dogdie2;
extern statetype s_dogdie3;
extern statetype s_dogdead;
extern statetype s_ofcstand;
extern statetype s_ofcpath1;
extern statetype s_ofcpath1s;
extern statetype s_ofcpath2;
extern statetype s_ofcpath3;
extern statetype s_ofcpath3s;
extern statetype s_ofcpath4;
extern statetype s_ofcpain;
extern statetype s_ofcpain1;
extern statetype s_ofcshoot1;
extern statetype s_ofcshoot2;
extern statetype s_ofcshoot3;
extern statetype s_ofcchase1;
extern statetype s_ofcchase1s;
extern statetype s_ofcchase2;
extern statetype s_ofcchase3;
extern statetype s_ofcchase3s;
extern statetype s_ofcchase4;
extern statetype s_ofcdie1;
extern statetype s_ofcdie2;
extern statetype s_ofcdie3;
extern statetype s_ofcdie4;
extern statetype s_ofcdie5;
extern statetype s_mutstand;
extern statetype s_mutpath1;
extern statetype s_mutpath1s;
extern statetype s_mutpath2;
extern statetype s_mutpath3;
extern statetype s_mutpath3s;
extern statetype s_mutpath4;
extern statetype s_mutpain;
extern statetype s_mutpain1;
extern statetype s_mutshoot1;
extern statetype s_mutshoot2;
extern statetype s_mutshoot3;
extern statetype s_mutshoot4;
extern statetype s_mutchase1;
extern statetype s_mutchase1s;
extern statetype s_mutchase2;
extern statetype s_mutchase3;
extern statetype s_mutchase3s;
extern statetype s_mutchase4;
extern statetype s_mutdie1;
extern statetype s_mutdie2;
extern statetype s_mutdie3;
extern statetype s_mutdie4;
extern statetype s_mutdie5;
extern statetype s_ssstand;
extern statetype s_sspath1;
extern statetype s_sspath1s;
extern statetype s_sspath2;
extern statetype s_sspath3;
extern statetype s_sspath3s;
extern statetype s_sspath4;
extern statetype s_sspain;
extern statetype s_sspain1;
extern statetype s_ssshoot1;
extern statetype s_ssshoot2;
extern statetype s_ssshoot3;
extern statetype s_ssshoot4;
extern statetype s_ssshoot5;
extern statetype s_ssshoot6;
extern statetype s_ssshoot7;
extern statetype s_ssshoot8;
extern statetype s_ssshoot9;
extern statetype s_sschase1;
extern statetype s_sschase1s;
extern statetype s_sschase2;
extern statetype s_sschase3;
extern statetype s_sschase3s;
extern statetype s_sschase4;
extern statetype s_ssdie1;
extern statetype s_ssdie2;
extern statetype s_ssdie3;
extern statetype s_ssdie4;
extern statetype s_transstand;
extern statetype s_transchase1;
extern statetype s_transchase1s;
extern statetype s_transchase2;
extern statetype s_transchase3;
extern statetype s_transchase3s;
extern statetype s_transchase4;
extern statetype s_transdie0;
extern statetype s_transdie01;
extern statetype s_transdie1;
extern statetype s_transdie2;
extern statetype s_transdie3;
extern statetype s_transdie4;
extern statetype s_transshoot1;
extern statetype s_transshoot2;
extern statetype s_transshoot3;
extern statetype s_transshoot4;
extern statetype s_transshoot5;
extern statetype s_transshoot6;
extern statetype s_transshoot7;
extern statetype s_transshoot8;
extern statetype s_uberstand;
extern statetype s_uberchase1;
extern statetype s_uberchase1s;
extern statetype s_uberchase2;
extern statetype s_uberchase3;
extern statetype s_uberchase3s;
extern statetype s_uberchase4;
extern statetype s_uberdie0;
extern statetype s_uberdie01;
extern statetype s_uberdie1;
extern statetype s_uberdie2;
extern statetype s_uberdie3;
extern statetype s_uberdie4;
extern statetype s_uberdie5;
extern statetype s_ubershoot1;
extern statetype s_ubershoot2;
extern statetype s_ubershoot3;
extern statetype s_ubershoot4;
extern statetype s_ubershoot5;
extern statetype s_ubershoot6;
extern statetype s_ubershoot7;
extern statetype s_willstand;
extern statetype s_willchase1;
extern statetype s_willchase1s;
extern statetype s_willchase2;
extern statetype s_willchase3;
extern statetype s_willchase3s;
extern statetype s_willchase4;
extern statetype s_willdeathcam;
extern statetype s_willdie1;
extern statetype s_willdie2;
extern statetype s_willdie3;
extern statetype s_willdie4;
extern statetype s_willdie5;
extern statetype s_willdie6;
extern statetype s_willshoot1;
extern statetype s_willshoot2;
extern statetype s_willshoot3;
extern statetype s_willshoot4;
extern statetype s_willshoot5;
extern statetype s_willshoot6;
extern statetype s_deathstand;
extern statetype s_deathchase1;
extern statetype s_deathchase1s;
extern statetype s_deathchase2;
extern statetype s_deathchase3;
extern statetype s_deathchase3s;
extern statetype s_deathchase4;
extern statetype s_deathdeathcam;
extern statetype s_deathdie1;
extern statetype s_deathdie2;
extern statetype s_deathdie3;
extern statetype s_deathdie4;
extern statetype s_deathdie5;
extern statetype s_deathdie6;
extern statetype s_deathdie7;
extern statetype s_deathdie8;
extern statetype s_deathdie9;
extern statetype s_deathshoot1;
extern statetype s_deathshoot2;
extern statetype s_deathshoot3;
extern statetype s_deathshoot4;
extern statetype s_deathshoot5;
extern statetype s_angelstand;
extern statetype s_angelchase1;
extern statetype s_angelchase1s;
extern statetype s_angelchase2;
extern statetype s_angelchase3;
extern statetype s_angelchase3s;
extern statetype s_angelchase4;
extern statetype s_angeldie1;
extern statetype s_angeldie11;
extern statetype s_angeldie2;
extern statetype s_angeldie3;
extern statetype s_angeldie4;
extern statetype s_angeldie5;
extern statetype s_angeldie6;
extern statetype s_angeldie7;
extern statetype s_angeldie8;
extern statetype s_angeldie9;
extern statetype s_angelshoot1;
extern statetype s_angelshoot2;
extern statetype s_angelshoot3;
extern statetype s_angeltired;
extern statetype s_angeltired2;
extern statetype s_angeltired3;
extern statetype s_angeltired4;
extern statetype s_angeltired5;
extern statetype s_angeltired6;
extern statetype s_angeltired7;
extern statetype s_spark1;
extern statetype s_spark2;
extern statetype s_spark3;
extern statetype s_spark4;
extern statetype s_spectrewait1;
extern statetype s_spectrewait2;
extern statetype s_spectrewait3;
extern statetype s_spectrewait4;
extern statetype s_spectrechase1;
extern statetype s_spectrechase2;
extern statetype s_spectrechase3;
extern statetype s_spectrechase4;
extern statetype s_spectredie1;
extern statetype s_spectredie2;
extern statetype s_spectredie3;
extern statetype s_spectredie4;
extern statetype s_spectrewake;

void RefKeen_FillObjStatesWithDOSPointers_NonWL1(void)
{
	s_player.compatdospointer = 0x1714;
	s_attack.compatdospointer = 0x1724;
	s_rocket.compatdospointer = 0x1A12;
	s_smoke1.compatdospointer = 0x1A22;
	s_smoke2.compatdospointer = 0x1A32;
	s_smoke3.compatdospointer = 0x1A42;
	s_smoke4.compatdospointer = 0x1A52;
	s_boom1.compatdospointer = 0x1A62;
	s_boom2.compatdospointer = 0x1A72;
	s_boom3.compatdospointer = 0x1A82;
	s_hrocket.compatdospointer = 0x1A92;
	s_hsmoke1.compatdospointer = 0x1AA2;
	s_hsmoke2.compatdospointer = 0x1AB2;
	s_hsmoke3.compatdospointer = 0x1AC2;
	s_hsmoke4.compatdospointer = 0x1AD2;
	s_hboom1.compatdospointer = 0x1AE2;
	s_hboom2.compatdospointer = 0x1AF2;
	s_hboom3.compatdospointer = 0x1B02;
	s_grdstand.compatdospointer = 0x1B12;
	s_grdpath1.compatdospointer = 0x1B22;
	s_grdpath1s.compatdospointer = 0x1B32;
	s_grdpath2.compatdospointer = 0x1B42;
	s_grdpath3.compatdospointer = 0x1B52;
	s_grdpath3s.compatdospointer = 0x1B62;
	s_grdpath4.compatdospointer = 0x1B72;
	s_grdpain.compatdospointer = 0x1B82;
	s_grdpain1.compatdospointer = 0x1B92;
	s_grdshoot1.compatdospointer = 0x1BA2;
	s_grdshoot2.compatdospointer = 0x1BB2;
	s_grdshoot3.compatdospointer = 0x1BC2;
	s_grdchase1.compatdospointer = 0x1BD2;
	s_grdchase1s.compatdospointer = 0x1BE2;
	s_grdchase2.compatdospointer = 0x1BF2;
	s_grdchase3.compatdospointer = 0x1C02;
	s_grdchase3s.compatdospointer = 0x1C12;
	s_grdchase4.compatdospointer = 0x1C22;
	s_grddie1.compatdospointer = 0x1C32;
	s_grddie2.compatdospointer = 0x1C42;
	s_grddie3.compatdospointer = 0x1C52;
	s_grddie4.compatdospointer = 0x1C62;
	s_dogpath1.compatdospointer = 0x1C72;
	s_dogpath1s.compatdospointer = 0x1C82;
	s_dogpath2.compatdospointer = 0x1C92;
	s_dogpath3.compatdospointer = 0x1CA2;
	s_dogpath3s.compatdospointer = 0x1CB2;
	s_dogpath4.compatdospointer = 0x1CC2;
	s_dogjump1.compatdospointer = 0x1CD2;
	s_dogjump2.compatdospointer = 0x1CE2;
	s_dogjump3.compatdospointer = 0x1CF2;
	s_dogjump4.compatdospointer = 0x1D02;
	s_dogjump5.compatdospointer = 0x1D12;
	s_dogchase1.compatdospointer = 0x1D22;
	s_dogchase1s.compatdospointer = 0x1D32;
	s_dogchase2.compatdospointer = 0x1D42;
	s_dogchase3.compatdospointer = 0x1D52;
	s_dogchase3s.compatdospointer = 0x1D62;
	s_dogchase4.compatdospointer = 0x1D72;
	s_dogdie1.compatdospointer = 0x1D82;
	s_dogdie2.compatdospointer = 0x1D92;
	s_dogdie3.compatdospointer = 0x1DA2;
	s_dogdead.compatdospointer = 0x1DB2;
	s_ofcstand.compatdospointer = 0x1DC2;
	s_ofcpath1.compatdospointer = 0x1DD2;
	s_ofcpath1s.compatdospointer = 0x1DE2;
	s_ofcpath2.compatdospointer = 0x1DF2;
	s_ofcpath3.compatdospointer = 0x1E02;
	s_ofcpath3s.compatdospointer = 0x1E12;
	s_ofcpath4.compatdospointer = 0x1E22;
	s_ofcpain.compatdospointer = 0x1E32;
	s_ofcpain1.compatdospointer = 0x1E42;
	s_ofcshoot1.compatdospointer = 0x1E52;
	s_ofcshoot2.compatdospointer = 0x1E62;
	s_ofcshoot3.compatdospointer = 0x1E72;
	s_ofcchase1.compatdospointer = 0x1E82;
	s_ofcchase1s.compatdospointer = 0x1E92;
	s_ofcchase2.compatdospointer = 0x1EA2;
	s_ofcchase3.compatdospointer = 0x1EB2;
	s_ofcchase3s.compatdospointer = 0x1EC2;
	s_ofcchase4.compatdospointer = 0x1ED2;
	s_ofcdie1.compatdospointer = 0x1EE2;
	s_ofcdie2.compatdospointer = 0x1EF2;
	s_ofcdie3.compatdospointer = 0x1F02;
	s_ofcdie4.compatdospointer = 0x1F12;
	s_ofcdie5.compatdospointer = 0x1F22;
	s_mutstand.compatdospointer = 0x1F32;
	s_mutpath1.compatdospointer = 0x1F42;
	s_mutpath1s.compatdospointer = 0x1F52;
	s_mutpath2.compatdospointer = 0x1F62;
	s_mutpath3.compatdospointer = 0x1F72;
	s_mutpath3s.compatdospointer = 0x1F82;
	s_mutpath4.compatdospointer = 0x1F92;
	s_mutpain.compatdospointer = 0x1FA2;
	s_mutpain1.compatdospointer = 0x1FB2;
	s_mutshoot1.compatdospointer = 0x1FC2;
	s_mutshoot2.compatdospointer = 0x1FD2;
	s_mutshoot3.compatdospointer = 0x1FE2;
	s_mutshoot4.compatdospointer = 0x1FF2;
	s_mutchase1.compatdospointer = 0x2002;
	s_mutchase1s.compatdospointer = 0x2012;
	s_mutchase2.compatdospointer = 0x2022;
	s_mutchase3.compatdospointer = 0x2032;
	s_mutchase3s.compatdospointer = 0x2042;
	s_mutchase4.compatdospointer = 0x2052;
	s_mutdie1.compatdospointer = 0x2062;
	s_mutdie2.compatdospointer = 0x2072;
	s_mutdie3.compatdospointer = 0x2082;
	s_mutdie4.compatdospointer = 0x2092;
	s_mutdie5.compatdospointer = 0x20A2;
	s_ssstand.compatdospointer = 0x20B2;
	s_sspath1.compatdospointer = 0x20C2;
	s_sspath1s.compatdospointer = 0x20D2;
	s_sspath2.compatdospointer = 0x20E2;
	s_sspath3.compatdospointer = 0x20F2;
	s_sspath3s.compatdospointer = 0x2102;
	s_sspath4.compatdospointer = 0x2112;
	s_sspain.compatdospointer = 0x2122;
	s_sspain1.compatdospointer = 0x2132;
	s_ssshoot1.compatdospointer = 0x2142;
	s_ssshoot2.compatdospointer = 0x2152;
	s_ssshoot3.compatdospointer = 0x2162;
	s_ssshoot4.compatdospointer = 0x2172;
	s_ssshoot5.compatdospointer = 0x2182;
	s_ssshoot6.compatdospointer = 0x2192;
	s_ssshoot7.compatdospointer = 0x21A2;
	s_ssshoot8.compatdospointer = 0x21B2;
	s_ssshoot9.compatdospointer = 0x21C2;
	s_sschase1.compatdospointer = 0x21D2;
	s_sschase1s.compatdospointer = 0x21E2;
	s_sschase2.compatdospointer = 0x21F2;
	s_sschase3.compatdospointer = 0x2202;
	s_sschase3s.compatdospointer = 0x2212;
	s_sschase4.compatdospointer = 0x2222;
	s_ssdie1.compatdospointer = 0x2232;
	s_ssdie2.compatdospointer = 0x2242;
	s_ssdie3.compatdospointer = 0x2252;
	s_ssdie4.compatdospointer = 0x2262;
	s_transstand.compatdospointer = 0x2284;
	s_transchase1.compatdospointer = 0x2294;
	s_transchase1s.compatdospointer = 0x22A4;
	s_transchase2.compatdospointer = 0x22B4;
	s_transchase3.compatdospointer = 0x22C4;
	s_transchase3s.compatdospointer = 0x22D4;
	s_transchase4.compatdospointer = 0x22E4;
	s_transdie0.compatdospointer = 0x22F4;
	s_transdie01.compatdospointer = 0x2304;
	s_transdie1.compatdospointer = 0x2314;
	s_transdie2.compatdospointer = 0x2324;
	s_transdie3.compatdospointer = 0x2334;
	s_transdie4.compatdospointer = 0x2344;
	s_transshoot1.compatdospointer = 0x2354;
	s_transshoot2.compatdospointer = 0x2364;
	s_transshoot3.compatdospointer = 0x2374;
	s_transshoot4.compatdospointer = 0x2384;
	s_transshoot5.compatdospointer = 0x2394;
	s_transshoot6.compatdospointer = 0x23A4;
	s_transshoot7.compatdospointer = 0x23B4;
	s_transshoot8.compatdospointer = 0x23C4;
	s_uberstand.compatdospointer = 0x23D4;
	s_uberchase1.compatdospointer = 0x23E4;
	s_uberchase1s.compatdospointer = 0x23F4;
	s_uberchase2.compatdospointer = 0x2404;
	s_uberchase3.compatdospointer = 0x2414;
	s_uberchase3s.compatdospointer = 0x2424;
	s_uberchase4.compatdospointer = 0x2434;
	s_uberdie0.compatdospointer = 0x2444;
	s_uberdie01.compatdospointer = 0x2454;
	s_uberdie1.compatdospointer = 0x2464;
	s_uberdie2.compatdospointer = 0x2474;
	s_uberdie3.compatdospointer = 0x2484;
	s_uberdie4.compatdospointer = 0x2494;
	s_uberdie5.compatdospointer = 0x24A4;
	s_ubershoot1.compatdospointer = 0x24B4;
	s_ubershoot2.compatdospointer = 0x24C4;
	s_ubershoot3.compatdospointer = 0x24D4;
	s_ubershoot4.compatdospointer = 0x24E4;
	s_ubershoot5.compatdospointer = 0x24F4;
	s_ubershoot6.compatdospointer = 0x2504;
	s_ubershoot7.compatdospointer = 0x2514;
	s_willstand.compatdospointer = 0x2524;
	s_willchase1.compatdospointer = 0x2534;
	s_willchase1s.compatdospointer = 0x2544;
	s_willchase2.compatdospointer = 0x2554;
	s_willchase3.compatdospointer = 0x2564;
	s_willchase3s.compatdospointer = 0x2574;
	s_willchase4.compatdospointer = 0x2584;
	s_willdeathcam.compatdospointer = 0x2594;
	s_willdie1.compatdospointer = 0x25A4;
	s_willdie2.compatdospointer = 0x25B4;
	s_willdie3.compatdospointer = 0x25C4;
	s_willdie4.compatdospointer = 0x25D4;
	s_willdie5.compatdospointer = 0x25E4;
	s_willdie6.compatdospointer = 0x25F4;
	s_willshoot1.compatdospointer = 0x2604;
	s_willshoot2.compatdospointer = 0x2614;
	s_willshoot3.compatdospointer = 0x2624;
	s_willshoot4.compatdospointer = 0x2634;
	s_willshoot5.compatdospointer = 0x2644;
	s_willshoot6.compatdospointer = 0x2654;
	s_deathstand.compatdospointer = 0x2664;
	s_deathchase1.compatdospointer = 0x2674;
	s_deathchase1s.compatdospointer = 0x2684;
	s_deathchase2.compatdospointer = 0x2694;
	s_deathchase3.compatdospointer = 0x26A4;
	s_deathchase3s.compatdospointer = 0x26B4;
	s_deathchase4.compatdospointer = 0x26C4;
	s_deathdeathcam.compatdospointer = 0x26D4;
	s_deathdie1.compatdospointer = 0x26E4;
	s_deathdie2.compatdospointer = 0x26F4;
	s_deathdie3.compatdospointer = 0x2704;
	s_deathdie4.compatdospointer = 0x2714;
	s_deathdie5.compatdospointer = 0x2724;
	s_deathdie6.compatdospointer = 0x2734;
	s_deathdie7.compatdospointer = 0x2744;
	s_deathdie8.compatdospointer = 0x2754;
	s_deathdie9.compatdospointer = 0x2764;
	s_deathshoot1.compatdospointer = 0x2774;
	s_deathshoot2.compatdospointer = 0x2784;
	s_deathshoot3.compatdospointer = 0x2794;
	s_deathshoot4.compatdospointer = 0x27A4;
	s_deathshoot5.compatdospointer = 0x27B4;
	s_angelstand.compatdospointer = 0x27C4;
	s_angelchase1.compatdospointer = 0x27D4;
	s_angelchase1s.compatdospointer = 0x27E4;
	s_angelchase2.compatdospointer = 0x27F4;
	s_angelchase3.compatdospointer = 0x2804;
	s_angelchase3s.compatdospointer = 0x2814;
	s_angelchase4.compatdospointer = 0x2824;
	s_angeldie1.compatdospointer = 0x2834;
	s_angeldie11.compatdospointer = 0x2844;
	s_angeldie2.compatdospointer = 0x2854;
	s_angeldie3.compatdospointer = 0x2864;
	s_angeldie4.compatdospointer = 0x2874;
	s_angeldie5.compatdospointer = 0x2884;
	s_angeldie6.compatdospointer = 0x2894;
	s_angeldie7.compatdospointer = 0x28A4;
	s_angeldie8.compatdospointer = 0x28B4;
	s_angeldie9.compatdospointer = 0x28C4;
	s_angelshoot1.compatdospointer = 0x28D4;
	s_angelshoot2.compatdospointer = 0x28E4;
	s_angelshoot3.compatdospointer = 0x28F4;
	s_angeltired.compatdospointer = 0x2904;
	s_angeltired2.compatdospointer = 0x2914;
	s_angeltired3.compatdospointer = 0x2924;
	s_angeltired4.compatdospointer = 0x2934;
	s_angeltired5.compatdospointer = 0x2944;
	s_angeltired6.compatdospointer = 0x2954;
	s_angeltired7.compatdospointer = 0x2964;
	s_spark1.compatdospointer = 0x2974;
	s_spark2.compatdospointer = 0x2984;
	s_spark3.compatdospointer = 0x2994;
	s_spark4.compatdospointer = 0x29A4;
	s_spectrewait1.compatdospointer = 0x29B4;
	s_spectrewait2.compatdospointer = 0x29C4;
	s_spectrewait3.compatdospointer = 0x29D4;
	s_spectrewait4.compatdospointer = 0x29E4;
	s_spectrechase1.compatdospointer = 0x29F4;
	s_spectrechase2.compatdospointer = 0x2A04;
	s_spectrechase3.compatdospointer = 0x2A14;
	s_spectrechase4.compatdospointer = 0x2A24;
	s_spectredie1.compatdospointer = 0x2A34;
	s_spectredie2.compatdospointer = 0x2A44;
	s_spectredie3.compatdospointer = 0x2A54;
	s_spectredie4.compatdospointer = 0x2A64;
	s_spectrewake.compatdospointer = 0x2A74;
}

void* RefKeen_GetObjStatePtrFromDOSPointer_NonWL1(uint_fast32_t dosptr)
{
	switch (dosptr)
	{
	case 0x1714: return &s_player;
	case 0x1724: return &s_attack;
	case 0x1A12: return &s_rocket;
	case 0x1A22: return &s_smoke1;
	case 0x1A32: return &s_smoke2;
	case 0x1A42: return &s_smoke3;
	case 0x1A52: return &s_smoke4;
	case 0x1A62: return &s_boom1;
	case 0x1A72: return &s_boom2;
	case 0x1A82: return &s_boom3;
	case 0x1A92: return &s_hrocket;
	case 0x1AA2: return &s_hsmoke1;
	case 0x1AB2: return &s_hsmoke2;
	case 0x1AC2: return &s_hsmoke3;
	case 0x1AD2: return &s_hsmoke4;
	case 0x1AE2: return &s_hboom1;
	case 0x1AF2: return &s_hboom2;
	case 0x1B02: return &s_hboom3;
	case 0x1B12: return &s_grdstand;
	case 0x1B22: return &s_grdpath1;
	case 0x1B32: return &s_grdpath1s;
	case 0x1B42: return &s_grdpath2;
	case 0x1B52: return &s_grdpath3;
	case 0x1B62: return &s_grdpath3s;
	case 0x1B72: return &s_grdpath4;
	case 0x1B82: return &s_grdpain;
	case 0x1B92: return &s_grdpain1;
	case 0x1BA2: return &s_grdshoot1;
	case 0x1BB2: return &s_grdshoot2;
	case 0x1BC2: return &s_grdshoot3;
	case 0x1BD2: return &s_grdchase1;
	case 0x1BE2: return &s_grdchase1s;
	case 0x1BF2: return &s_grdchase2;
	case 0x1C02: return &s_grdchase3;
	case 0x1C12: return &s_grdchase3s;
	case 0x1C22: return &s_grdchase4;
	case 0x1C32: return &s_grddie1;
	case 0x1C42: return &s_grddie2;
	case 0x1C52: return &s_grddie3;
	case 0x1C62: return &s_grddie4;
	case 0x1C72: return &s_dogpath1;
	case 0x1C82: return &s_dogpath1s;
	case 0x1C92: return &s_dogpath2;
	case 0x1CA2: return &s_dogpath3;
	case 0x1CB2: return &s_dogpath3s;
	case 0x1CC2: return &s_dogpath4;
	case 0x1CD2: return &s_dogjump1;
	case 0x1CE2: return &s_dogjump2;
	case 0x1CF2: return &s_dogjump3;
	case 0x1D02: return &s_dogjump4;
	case 0x1D12: return &s_dogjump5;
	case 0x1D22: return &s_dogchase1;
	case 0x1D32: return &s_dogchase1s;
	case 0x1D42: return &s_dogchase2;
	case 0x1D52: return &s_dogchase3;
	case 0x1D62: return &s_dogchase3s;
	case 0x1D72: return &s_dogchase4;
	case 0x1D82: return &s_dogdie1;
	case 0x1D92: return &s_dogdie2;
	case 0x1DA2: return &s_dogdie3;
	case 0x1DB2: return &s_dogdead;
	case 0x1DC2: return &s_ofcstand;
	case 0x1DD2: return &s_ofcpath1;
	case 0x1DE2: return &s_ofcpath1s;
	case 0x1DF2: return &s_ofcpath2;
	case 0x1E02: return &s_ofcpath3;
	case 0x1E12: return &s_ofcpath3s;
	case 0x1E22: return &s_ofcpath4;
	case 0x1E32: return &s_ofcpain;
	case 0x1E42: return &s_ofcpain1;
	case 0x1E52: return &s_ofcshoot1;
	case 0x1E62: return &s_ofcshoot2;
	case 0x1E72: return &s_ofcshoot3;
	case 0x1E82: return &s_ofcchase1;
	case 0x1E92: return &s_ofcchase1s;
	case 0x1EA2: return &s_ofcchase2;
	case 0x1EB2: return &s_ofcchase3;
	case 0x1EC2: return &s_ofcchase3s;
	case 0x1ED2: return &s_ofcchase4;
	case 0x1EE2: return &s_ofcdie1;
	case 0x1EF2: return &s_ofcdie2;
	case 0x1F02: return &s_ofcdie3;
	case 0x1F12: return &s_ofcdie4;
	case 0x1F22: return &s_ofcdie5;
	case 0x1F32: return &s_mutstand;
	case 0x1F42: return &s_mutpath1;
	case 0x1F52: return &s_mutpath1s;
	case 0x1F62: return &s_mutpath2;
	case 0x1F72: return &s_mutpath3;
	case 0x1F82: return &s_mutpath3s;
	case 0x1F92: return &s_mutpath4;
	case 0x1FA2: return &s_mutpain;
	case 0x1FB2: return &s_mutpain1;
	case 0x1FC2: return &s_mutshoot1;
	case 0x1FD2: return &s_mutshoot2;
	case 0x1FE2: return &s_mutshoot3;
	case 0x1FF2: return &s_mutshoot4;
	case 0x2002: return &s_mutchase1;
	case 0x2012: return &s_mutchase1s;
	case 0x2022: return &s_mutchase2;
	case 0x2032: return &s_mutchase3;
	case 0x2042: return &s_mutchase3s;
	case 0x2052: return &s_mutchase4;
	case 0x2062: return &s_mutdie1;
	case 0x2072: return &s_mutdie2;
	case 0x2082: return &s_mutdie3;
	case 0x2092: return &s_mutdie4;
	case 0x20A2: return &s_mutdie5;
	case 0x20B2: return &s_ssstand;
	case 0x20C2: return &s_sspath1;
	case 0x20D2: return &s_sspath1s;
	case 0x20E2: return &s_sspath2;
	case 0x20F2: return &s_sspath3;
	case 0x2102: return &s_sspath3s;
	case 0x2112: return &s_sspath4;
	case 0x2122: return &s_sspain;
	case 0x2132: return &s_sspain1;
	case 0x2142: return &s_ssshoot1;
	case 0x2152: return &s_ssshoot2;
	case 0x2162: return &s_ssshoot3;
	case 0x2172: return &s_ssshoot4;
	case 0x2182: return &s_ssshoot5;
	case 0x2192: return &s_ssshoot6;
	case 0x21A2: return &s_ssshoot7;
	case 0x21B2: return &s_ssshoot8;
	case 0x21C2: return &s_ssshoot9;
	case 0x21D2: return &s_sschase1;
	case 0x21E2: return &s_sschase1s;
	case 0x21F2: return &s_sschase2;
	case 0x2202: return &s_sschase3;
	case 0x2212: return &s_sschase3s;
	case 0x2222: return &s_sschase4;
	case 0x2232: return &s_ssdie1;
	case 0x2242: return &s_ssdie2;
	case 0x2252: return &s_ssdie3;
	case 0x2262: return &s_ssdie4;
	case 0x2284: return &s_transstand;
	case 0x2294: return &s_transchase1;
	case 0x22A4: return &s_transchase1s;
	case 0x22B4: return &s_transchase2;
	case 0x22C4: return &s_transchase3;
	case 0x22D4: return &s_transchase3s;
	case 0x22E4: return &s_transchase4;
	case 0x22F4: return &s_transdie0;
	case 0x2304: return &s_transdie01;
	case 0x2314: return &s_transdie1;
	case 0x2324: return &s_transdie2;
	case 0x2334: return &s_transdie3;
	case 0x2344: return &s_transdie4;
	case 0x2354: return &s_transshoot1;
	case 0x2364: return &s_transshoot2;
	case 0x2374: return &s_transshoot3;
	case 0x2384: return &s_transshoot4;
	case 0x2394: return &s_transshoot5;
	case 0x23A4: return &s_transshoot6;
	case 0x23B4: return &s_transshoot7;
	case 0x23C4: return &s_transshoot8;
	case 0x23D4: return &s_uberstand;
	case 0x23E4: return &s_uberchase1;
	case 0x23F4: return &s_uberchase1s;
	case 0x2404: return &s_uberchase2;
	case 0x2414: return &s_uberchase3;
	case 0x2424: return &s_uberchase3s;
	case 0x2434: return &s_uberchase4;
	case 0x2444: return &s_uberdie0;
	case 0x2454: return &s_uberdie01;
	case 0x2464: return &s_uberdie1;
	case 0x2474: return &s_uberdie2;
	case 0x2484: return &s_uberdie3;
	case 0x2494: return &s_uberdie4;
	case 0x24A4: return &s_uberdie5;
	case 0x24B4: return &s_ubershoot1;
	case 0x24C4: return &s_ubershoot2;
	case 0x24D4: return &s_ubershoot3;
	case 0x24E4: return &s_ubershoot4;
	case 0x24F4: return &s_ubershoot5;
	case 0x2504: return &s_ubershoot6;
	case 0x2514: return &s_ubershoot7;
	case 0x2524: return &s_willstand;
	case 0x2534: return &s_willchase1;
	case 0x2544: return &s_willchase1s;
	case 0x2554: return &s_willchase2;
	case 0x2564: return &s_willchase3;
	case 0x2574: return &s_willchase3s;
	case 0x2584: return &s_willchase4;
	case 0x2594: return &s_willdeathcam;
	case 0x25A4: return &s_willdie1;
	case 0x25B4: return &s_willdie2;
	case 0x25C4: return &s_willdie3;
	case 0x25D4: return &s_willdie4;
	case 0x25E4: return &s_willdie5;
	case 0x25F4: return &s_willdie6;
	case 0x2604: return &s_willshoot1;
	case 0x2614: return &s_willshoot2;
	case 0x2624: return &s_willshoot3;
	case 0x2634: return &s_willshoot4;
	case 0x2644: return &s_willshoot5;
	case 0x2654: return &s_willshoot6;
	case 0x2664: return &s_deathstand;
	case 0x2674: return &s_deathchase1;
	case 0x2684: return &s_deathchase1s;
	case 0x2694: return &s_deathchase2;
	case 0x26A4: return &s_deathchase3;
	case 0x26B4: return &s_deathchase3s;
	case 0x26C4: return &s_deathchase4;
	case 0x26D4: return &s_deathdeathcam;
	case 0x26E4: return &s_deathdie1;
	case 0x26F4: return &s_deathdie2;
	case 0x2704: return &s_deathdie3;
	case 0x2714: return &s_deathdie4;
	case 0x2724: return &s_deathdie5;
	case 0x2734: return &s_deathdie6;
	case 0x2744: return &s_deathdie7;
	case 0x2754: return &s_deathdie8;
	case 0x2764: return &s_deathdie9;
	case 0x2774: return &s_deathshoot1;
	case 0x2784: return &s_deathshoot2;
	case 0x2794: return &s_deathshoot3;
	case 0x27A4: return &s_deathshoot4;
	case 0x27B4: return &s_deathshoot5;
	case 0x27C4: return &s_angelstand;
	case 0x27D4: return &s_angelchase1;
	case 0x27E4: return &s_angelchase1s;
	case 0x27F4: return &s_angelchase2;
	case 0x2804: return &s_angelchase3;
	case 0x2814: return &s_angelchase3s;
	case 0x2824: return &s_angelchase4;
	case 0x2834: return &s_angeldie1;
	case 0x2844: return &s_angeldie11;
	case 0x2854: return &s_angeldie2;
	case 0x2864: return &s_angeldie3;
	case 0x2874: return &s_angeldie4;
	case 0x2884: return &s_angeldie5;
	case 0x2894: return &s_angeldie6;
	case 0x28A4: return &s_angeldie7;
	case 0x28B4: return &s_angeldie8;
	case 0x28C4: return &s_angeldie9;
	case 0x28D4: return &s_angelshoot1;
	case 0x28E4: return &s_angelshoot2;
	case 0x28F4: return &s_angelshoot3;
	case 0x2904: return &s_angeltired;
	case 0x2914: return &s_angeltired2;
	case 0x2924: return &s_angeltired3;
	case 0x2934: return &s_angeltired4;
	case 0x2944: return &s_angeltired5;
	case 0x2954: return &s_angeltired6;
	case 0x2964: return &s_angeltired7;
	case 0x2974: return &s_spark1;
	case 0x2984: return &s_spark2;
	case 0x2994: return &s_spark3;
	case 0x29A4: return &s_spark4;
	case 0x29B4: return &s_spectrewait1;
	case 0x29C4: return &s_spectrewait2;
	case 0x29D4: return &s_spectrewait3;
	case 0x29E4: return &s_spectrewait4;
	case 0x29F4: return &s_spectrechase1;
	case 0x2A04: return &s_spectrechase2;
	case 0x2A14: return &s_spectrechase3;
	case 0x2A24: return &s_spectrechase4;
	case 0x2A34: return &s_spectredie1;
	case 0x2A44: return &s_spectredie2;
	case 0x2A54: return &s_spectredie3;
	case 0x2A64: return &s_spectredie4;
	case 0x2A74: return &s_spectrewake;
	}
	return NULL;
}

REFKEEN_NS_E
#endif
