/* Wolfenstein 3D Source Code
 * Copyright (C) 1993-1996 id Software, Inc.
 *
 * This file is part of Wolfenstein 3D.
 *
 * Wolfenstein 3D is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Wolfenstein 3D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * As an addendum, you can further use the Wolfenstein 3D Source Code under
 * the terms of the limited use software license agreement for Wolfenstein 3D.
 * See id-wolf3d.txt for these terms.
 */

// New file used for preparing and converting pointers to states

#include "wl_def.h"

#ifdef REFKEEN_VER_WJ6IM14
REFKEEN_NS_B

// List of all states
extern statetype s_player;
extern statetype s_attack;
extern statetype s_rocket;
extern statetype s_smoke1;
extern statetype s_smoke2;
extern statetype s_smoke3;
extern statetype s_smoke4;
extern statetype s_boom1;
extern statetype s_boom2;
extern statetype s_boom3;
extern statetype s_grdstand;
extern statetype s_grdpath1;
extern statetype s_grdpath1s;
extern statetype s_grdpath2;
extern statetype s_grdpath3;
extern statetype s_grdpath3s;
extern statetype s_grdpath4;
extern statetype s_grdpain;
extern statetype s_grdpain1;
extern statetype s_grdshoot1;
extern statetype s_grdshoot2;
extern statetype s_grdshoot3;
extern statetype s_grdchase1;
extern statetype s_grdchase1s;
extern statetype s_grdchase2;
extern statetype s_grdchase3;
extern statetype s_grdchase3s;
extern statetype s_grdchase4;
extern statetype s_grddie1;
extern statetype s_grddie2;
extern statetype s_grddie3;
extern statetype s_grddie4;
extern statetype s_blinkychase1;
extern statetype s_blinkychase2;
extern statetype s_inkychase1;
extern statetype s_inkychase2;
extern statetype s_pinkychase1;
extern statetype s_pinkychase2;
extern statetype s_clydechase1;
extern statetype s_clydechase2;
extern statetype s_dogpath1;
extern statetype s_dogpath1s;
extern statetype s_dogpath2;
extern statetype s_dogpath3;
extern statetype s_dogpath3s;
extern statetype s_dogpath4;
extern statetype s_dogjump1;
extern statetype s_dogjump2;
extern statetype s_dogjump3;
extern statetype s_dogjump4;
extern statetype s_dogjump5;
extern statetype s_dogchase1;
extern statetype s_dogchase1s;
extern statetype s_dogchase2;
extern statetype s_dogchase3;
extern statetype s_dogchase3s;
extern statetype s_dogchase4;
extern statetype s_dogdie1;
extern statetype s_dogdie2;
extern statetype s_dogdie3;
extern statetype s_dogdead;
extern statetype s_ofcstand;
extern statetype s_ofcpath1;
extern statetype s_ofcpath1s;
extern statetype s_ofcpath2;
extern statetype s_ofcpath3;
extern statetype s_ofcpath3s;
extern statetype s_ofcpath4;
extern statetype s_ofcpain;
extern statetype s_ofcpain1;
extern statetype s_ofcshoot1;
extern statetype s_ofcshoot2;
extern statetype s_ofcshoot3;
extern statetype s_ofcchase1;
extern statetype s_ofcchase1s;
extern statetype s_ofcchase2;
extern statetype s_ofcchase3;
extern statetype s_ofcchase3s;
extern statetype s_ofcchase4;
extern statetype s_ofcdie1;
extern statetype s_ofcdie2;
extern statetype s_ofcdie3;
extern statetype s_ofcdie4;
extern statetype s_ofcdie5;
extern statetype s_mutstand;
extern statetype s_mutpath1;
extern statetype s_mutpath1s;
extern statetype s_mutpath2;
extern statetype s_mutpath3;
extern statetype s_mutpath3s;
extern statetype s_mutpath4;
extern statetype s_mutpain;
extern statetype s_mutpain1;
extern statetype s_mutshoot1;
extern statetype s_mutshoot2;
extern statetype s_mutshoot3;
extern statetype s_mutshoot4;
extern statetype s_mutchase1;
extern statetype s_mutchase1s;
extern statetype s_mutchase2;
extern statetype s_mutchase3;
extern statetype s_mutchase3s;
extern statetype s_mutchase4;
extern statetype s_mutdie1;
extern statetype s_mutdie2;
extern statetype s_mutdie3;
extern statetype s_mutdie4;
extern statetype s_mutdie5;
extern statetype s_ssstand;
extern statetype s_sspath1;
extern statetype s_sspath1s;
extern statetype s_sspath2;
extern statetype s_sspath3;
extern statetype s_sspath3s;
extern statetype s_sspath4;
extern statetype s_sspain;
extern statetype s_sspain1;
extern statetype s_ssshoot1;
extern statetype s_ssshoot2;
extern statetype s_ssshoot3;
extern statetype s_ssshoot4;
extern statetype s_ssshoot5;
extern statetype s_ssshoot6;
extern statetype s_ssshoot7;
extern statetype s_ssshoot8;
extern statetype s_ssshoot9;
extern statetype s_sschase1;
extern statetype s_sschase1s;
extern statetype s_sschase2;
extern statetype s_sschase3;
extern statetype s_sschase3s;
extern statetype s_sschase4;
extern statetype s_ssdie1;
extern statetype s_ssdie2;
extern statetype s_ssdie3;
extern statetype s_ssdie4;
extern statetype s_bossstand;
extern statetype s_bosschase1;
extern statetype s_bosschase1s;
extern statetype s_bosschase2;
extern statetype s_bosschase3;
extern statetype s_bosschase3s;
extern statetype s_bosschase4;
extern statetype s_bossdie1;
extern statetype s_bossdie2;
extern statetype s_bossdie3;
extern statetype s_bossdie4;
extern statetype s_bossshoot1;
extern statetype s_bossshoot2;
extern statetype s_bossshoot3;
extern statetype s_bossshoot4;
extern statetype s_bossshoot5;
extern statetype s_bossshoot6;
extern statetype s_bossshoot7;
extern statetype s_bossshoot8;
extern statetype s_gretelstand;
extern statetype s_gretelchase1;
extern statetype s_gretelchase1s;
extern statetype s_gretelchase2;
extern statetype s_gretelchase3;
extern statetype s_gretelchase3s;
extern statetype s_gretelchase4;
extern statetype s_greteldie1;
extern statetype s_greteldie2;
extern statetype s_greteldie3;
extern statetype s_greteldie4;
extern statetype s_gretelshoot1;
extern statetype s_gretelshoot2;
extern statetype s_gretelshoot3;
extern statetype s_gretelshoot4;
extern statetype s_gretelshoot5;
extern statetype s_gretelshoot6;
extern statetype s_gretelshoot7;
extern statetype s_gretelshoot8;
extern statetype s_schabbstand;
extern statetype s_schabbchase1;
extern statetype s_schabbchase1s;
extern statetype s_schabbchase2;
extern statetype s_schabbchase3;
extern statetype s_schabbchase3s;
extern statetype s_schabbchase4;
extern statetype s_schabbdeathcam;
extern statetype s_schabbdie1;
extern statetype s_schabbdie2;
extern statetype s_schabbdie3;
extern statetype s_schabbdie4;
extern statetype s_schabbdie5;
extern statetype s_schabbdie6;
extern statetype s_schabbshoot1;
extern statetype s_schabbshoot2;
extern statetype s_needle1;
extern statetype s_needle2;
extern statetype s_needle3;
extern statetype s_needle4;
extern statetype s_giftstand;
extern statetype s_giftchase1;
extern statetype s_giftchase1s;
extern statetype s_giftchase2;
extern statetype s_giftchase3;
extern statetype s_giftchase3s;
extern statetype s_giftchase4;
extern statetype s_giftdeathcam;
extern statetype s_giftdie1;
extern statetype s_giftdie2;
extern statetype s_giftdie3;
extern statetype s_giftdie4;
extern statetype s_giftdie5;
extern statetype s_giftdie6;
extern statetype s_giftshoot1;
extern statetype s_giftshoot2;
extern statetype s_fatstand;
extern statetype s_fatchase1;
extern statetype s_fatchase1s;
extern statetype s_fatchase2;
extern statetype s_fatchase3;
extern statetype s_fatchase3s;
extern statetype s_fatchase4;
extern statetype s_fatdeathcam;
extern statetype s_fatdie1;
extern statetype s_fatdie2;
extern statetype s_fatdie3;
extern statetype s_fatdie4;
extern statetype s_fatdie5;
extern statetype s_fatdie6;
extern statetype s_fatshoot1;
extern statetype s_fatshoot2;
extern statetype s_fatshoot3;
extern statetype s_fatshoot4;
extern statetype s_fatshoot5;
extern statetype s_fatshoot6;
extern statetype s_fakestand;
extern statetype s_fakechase1;
extern statetype s_fakechase1s;
extern statetype s_fakechase2;
extern statetype s_fakechase3;
extern statetype s_fakechase3s;
extern statetype s_fakechase4;
extern statetype s_fakedie1;
extern statetype s_fakedie2;
extern statetype s_fakedie3;
extern statetype s_fakedie4;
extern statetype s_fakedie5;
extern statetype s_fakedie6;
extern statetype s_fakeshoot1;
extern statetype s_fakeshoot2;
extern statetype s_fakeshoot3;
extern statetype s_fakeshoot4;
extern statetype s_fakeshoot5;
extern statetype s_fakeshoot6;
extern statetype s_fakeshoot7;
extern statetype s_fakeshoot8;
extern statetype s_fakeshoot9;
extern statetype s_fire1;
extern statetype s_fire2;
extern statetype s_mechastand;
extern statetype s_mechachase1;
extern statetype s_mechachase1s;
extern statetype s_mechachase2;
extern statetype s_mechachase3;
extern statetype s_mechachase3s;
extern statetype s_mechachase4;
extern statetype s_mechadie1;
extern statetype s_mechadie2;
extern statetype s_mechadie3;
extern statetype s_mechadie4;
extern statetype s_mechashoot1;
extern statetype s_mechashoot2;
extern statetype s_mechashoot3;
extern statetype s_mechashoot4;
extern statetype s_mechashoot5;
extern statetype s_mechashoot6;
extern statetype s_hitlerchase1;
extern statetype s_hitlerchase1s;
extern statetype s_hitlerchase2;
extern statetype s_hitlerchase3;
extern statetype s_hitlerchase3s;
extern statetype s_hitlerchase4;
extern statetype s_hitlerdeathcam;
extern statetype s_hitlerdie1;
extern statetype s_hitlerdie2;
extern statetype s_hitlerdie3;
extern statetype s_hitlerdie4;
extern statetype s_hitlerdie5;
extern statetype s_hitlerdie6;
extern statetype s_hitlerdie7;
extern statetype s_hitlerdie8;
extern statetype s_hitlerdie9;
extern statetype s_hitlerdie10;
extern statetype s_hitlershoot1;
extern statetype s_hitlershoot2;
extern statetype s_hitlershoot3;
extern statetype s_hitlershoot4;
extern statetype s_hitlershoot5;
extern statetype s_hitlershoot6;
extern statetype s_bjrun1;
extern statetype s_bjrun1s;
extern statetype s_bjrun2;
extern statetype s_bjrun3;
extern statetype s_bjrun3s;
extern statetype s_bjrun4;
extern statetype s_bjjump1;
extern statetype s_bjjump2;
extern statetype s_bjjump3;
extern statetype s_bjjump4;
extern statetype s_deathcam;

void RefKeen_FillObjStatesWithDOSPointers_NonWL1(void)
{
	s_player.compatdospointer = 0x1550;
	s_attack.compatdospointer = 0x1560;
	s_rocket.compatdospointer = 0x183E;
	s_smoke1.compatdospointer = 0x184E;
	s_smoke2.compatdospointer = 0x185E;
	s_smoke3.compatdospointer = 0x186E;
	s_smoke4.compatdospointer = 0x187E;
	s_boom1.compatdospointer = 0x188E;
	s_boom2.compatdospointer = 0x189E;
	s_boom3.compatdospointer = 0x18AE;
	s_grdstand.compatdospointer = 0x18BE;
	s_grdpath1.compatdospointer = 0x18CE;
	s_grdpath1s.compatdospointer = 0x18DE;
	s_grdpath2.compatdospointer = 0x18EE;
	s_grdpath3.compatdospointer = 0x18FE;
	s_grdpath3s.compatdospointer = 0x190E;
	s_grdpath4.compatdospointer = 0x191E;
	s_grdpain.compatdospointer = 0x192E;
	s_grdpain1.compatdospointer = 0x193E;
	s_grdshoot1.compatdospointer = 0x194E;
	s_grdshoot2.compatdospointer = 0x195E;
	s_grdshoot3.compatdospointer = 0x196E;
	s_grdchase1.compatdospointer = 0x197E;
	s_grdchase1s.compatdospointer = 0x198E;
	s_grdchase2.compatdospointer = 0x199E;
	s_grdchase3.compatdospointer = 0x19AE;
	s_grdchase3s.compatdospointer = 0x19BE;
	s_grdchase4.compatdospointer = 0x19CE;
	s_grddie1.compatdospointer = 0x19DE;
	s_grddie2.compatdospointer = 0x19EE;
	s_grddie3.compatdospointer = 0x19FE;
	s_grddie4.compatdospointer = 0x1A0E;
	s_blinkychase1.compatdospointer = 0x1A1E;
	s_blinkychase2.compatdospointer = 0x1A2E;
	s_inkychase1.compatdospointer = 0x1A3E;
	s_inkychase2.compatdospointer = 0x1A4E;
	s_pinkychase1.compatdospointer = 0x1A5E;
	s_pinkychase2.compatdospointer = 0x1A6E;
	s_clydechase1.compatdospointer = 0x1A7E;
	s_clydechase2.compatdospointer = 0x1A8E;
	s_dogpath1.compatdospointer = 0x1A9E;
	s_dogpath1s.compatdospointer = 0x1AAE;
	s_dogpath2.compatdospointer = 0x1ABE;
	s_dogpath3.compatdospointer = 0x1ACE;
	s_dogpath3s.compatdospointer = 0x1ADE;
	s_dogpath4.compatdospointer = 0x1AEE;
	s_dogjump1.compatdospointer = 0x1AFE;
	s_dogjump2.compatdospointer = 0x1B0E;
	s_dogjump3.compatdospointer = 0x1B1E;
	s_dogjump4.compatdospointer = 0x1B2E;
	s_dogjump5.compatdospointer = 0x1B3E;
	s_dogchase1.compatdospointer = 0x1B4E;
	s_dogchase1s.compatdospointer = 0x1B5E;
	s_dogchase2.compatdospointer = 0x1B6E;
	s_dogchase3.compatdospointer = 0x1B7E;
	s_dogchase3s.compatdospointer = 0x1B8E;
	s_dogchase4.compatdospointer = 0x1B9E;
	s_dogdie1.compatdospointer = 0x1BAE;
	s_dogdie2.compatdospointer = 0x1BBE;
	s_dogdie3.compatdospointer = 0x1BCE;
	s_dogdead.compatdospointer = 0x1BDE;
	s_ofcstand.compatdospointer = 0x1BEE;
	s_ofcpath1.compatdospointer = 0x1BFE;
	s_ofcpath1s.compatdospointer = 0x1C0E;
	s_ofcpath2.compatdospointer = 0x1C1E;
	s_ofcpath3.compatdospointer = 0x1C2E;
	s_ofcpath3s.compatdospointer = 0x1C3E;
	s_ofcpath4.compatdospointer = 0x1C4E;
	s_ofcpain.compatdospointer = 0x1C5E;
	s_ofcpain1.compatdospointer = 0x1C6E;
	s_ofcshoot1.compatdospointer = 0x1C7E;
	s_ofcshoot2.compatdospointer = 0x1C8E;
	s_ofcshoot3.compatdospointer = 0x1C9E;
	s_ofcchase1.compatdospointer = 0x1CAE;
	s_ofcchase1s.compatdospointer = 0x1CBE;
	s_ofcchase2.compatdospointer = 0x1CCE;
	s_ofcchase3.compatdospointer = 0x1CDE;
	s_ofcchase3s.compatdospointer = 0x1CEE;
	s_ofcchase4.compatdospointer = 0x1CFE;
	s_ofcdie1.compatdospointer = 0x1D0E;
	s_ofcdie2.compatdospointer = 0x1D1E;
	s_ofcdie3.compatdospointer = 0x1D2E;
	s_ofcdie4.compatdospointer = 0x1D3E;
	s_ofcdie5.compatdospointer = 0x1D4E;
	s_mutstand.compatdospointer = 0x1D5E;
	s_mutpath1.compatdospointer = 0x1D6E;
	s_mutpath1s.compatdospointer = 0x1D7E;
	s_mutpath2.compatdospointer = 0x1D8E;
	s_mutpath3.compatdospointer = 0x1D9E;
	s_mutpath3s.compatdospointer = 0x1DAE;
	s_mutpath4.compatdospointer = 0x1DBE;
	s_mutpain.compatdospointer = 0x1DCE;
	s_mutpain1.compatdospointer = 0x1DDE;
	s_mutshoot1.compatdospointer = 0x1DEE;
	s_mutshoot2.compatdospointer = 0x1DFE;
	s_mutshoot3.compatdospointer = 0x1E0E;
	s_mutshoot4.compatdospointer = 0x1E1E;
	s_mutchase1.compatdospointer = 0x1E2E;
	s_mutchase1s.compatdospointer = 0x1E3E;
	s_mutchase2.compatdospointer = 0x1E4E;
	s_mutchase3.compatdospointer = 0x1E5E;
	s_mutchase3s.compatdospointer = 0x1E6E;
	s_mutchase4.compatdospointer = 0x1E7E;
	s_mutdie1.compatdospointer = 0x1E8E;
	s_mutdie2.compatdospointer = 0x1E9E;
	s_mutdie3.compatdospointer = 0x1EAE;
	s_mutdie4.compatdospointer = 0x1EBE;
	s_mutdie5.compatdospointer = 0x1ECE;
	s_ssstand.compatdospointer = 0x1EDE;
	s_sspath1.compatdospointer = 0x1EEE;
	s_sspath1s.compatdospointer = 0x1EFE;
	s_sspath2.compatdospointer = 0x1F0E;
	s_sspath3.compatdospointer = 0x1F1E;
	s_sspath3s.compatdospointer = 0x1F2E;
	s_sspath4.compatdospointer = 0x1F3E;
	s_sspain.compatdospointer = 0x1F4E;
	s_sspain1.compatdospointer = 0x1F5E;
	s_ssshoot1.compatdospointer = 0x1F6E;
	s_ssshoot2.compatdospointer = 0x1F7E;
	s_ssshoot3.compatdospointer = 0x1F8E;
	s_ssshoot4.compatdospointer = 0x1F9E;
	s_ssshoot5.compatdospointer = 0x1FAE;
	s_ssshoot6.compatdospointer = 0x1FBE;
	s_ssshoot7.compatdospointer = 0x1FCE;
	s_ssshoot8.compatdospointer = 0x1FDE;
	s_ssshoot9.compatdospointer = 0x1FEE;
	s_sschase1.compatdospointer = 0x1FFE;
	s_sschase1s.compatdospointer = 0x200E;
	s_sschase2.compatdospointer = 0x201E;
	s_sschase3.compatdospointer = 0x202E;
	s_sschase3s.compatdospointer = 0x203E;
	s_sschase4.compatdospointer = 0x204E;
	s_ssdie1.compatdospointer = 0x205E;
	s_ssdie2.compatdospointer = 0x206E;
	s_ssdie3.compatdospointer = 0x207E;
	s_ssdie4.compatdospointer = 0x208E;
	s_bossstand.compatdospointer = 0x209E;
	s_bosschase1.compatdospointer = 0x20AE;
	s_bosschase1s.compatdospointer = 0x20BE;
	s_bosschase2.compatdospointer = 0x20CE;
	s_bosschase3.compatdospointer = 0x20DE;
	s_bosschase3s.compatdospointer = 0x20EE;
	s_bosschase4.compatdospointer = 0x20FE;
	s_bossdie1.compatdospointer = 0x210E;
	s_bossdie2.compatdospointer = 0x211E;
	s_bossdie3.compatdospointer = 0x212E;
	s_bossdie4.compatdospointer = 0x213E;
	s_bossshoot1.compatdospointer = 0x214E;
	s_bossshoot2.compatdospointer = 0x215E;
	s_bossshoot3.compatdospointer = 0x216E;
	s_bossshoot4.compatdospointer = 0x217E;
	s_bossshoot5.compatdospointer = 0x218E;
	s_bossshoot6.compatdospointer = 0x219E;
	s_bossshoot7.compatdospointer = 0x21AE;
	s_bossshoot8.compatdospointer = 0x21BE;
	s_gretelstand.compatdospointer = 0x21CE;
	s_gretelchase1.compatdospointer = 0x21DE;
	s_gretelchase1s.compatdospointer = 0x21EE;
	s_gretelchase2.compatdospointer = 0x21FE;
	s_gretelchase3.compatdospointer = 0x220E;
	s_gretelchase3s.compatdospointer = 0x221E;
	s_gretelchase4.compatdospointer = 0x222E;
	s_greteldie1.compatdospointer = 0x223E;
	s_greteldie2.compatdospointer = 0x224E;
	s_greteldie3.compatdospointer = 0x225E;
	s_greteldie4.compatdospointer = 0x226E;
	s_gretelshoot1.compatdospointer = 0x227E;
	s_gretelshoot2.compatdospointer = 0x228E;
	s_gretelshoot3.compatdospointer = 0x229E;
	s_gretelshoot4.compatdospointer = 0x22AE;
	s_gretelshoot5.compatdospointer = 0x22BE;
	s_gretelshoot6.compatdospointer = 0x22CE;
	s_gretelshoot7.compatdospointer = 0x22DE;
	s_gretelshoot8.compatdospointer = 0x22EE;
	s_schabbstand.compatdospointer = 0x2310;
	s_schabbchase1.compatdospointer = 0x2320;
	s_schabbchase1s.compatdospointer = 0x2330;
	s_schabbchase2.compatdospointer = 0x2340;
	s_schabbchase3.compatdospointer = 0x2350;
	s_schabbchase3s.compatdospointer = 0x2360;
	s_schabbchase4.compatdospointer = 0x2370;
	s_schabbdeathcam.compatdospointer = 0x2380;
	s_schabbdie1.compatdospointer = 0x2390;
	s_schabbdie2.compatdospointer = 0x23A0;
	s_schabbdie3.compatdospointer = 0x23B0;
	s_schabbdie4.compatdospointer = 0x23C0;
	s_schabbdie5.compatdospointer = 0x23D0;
	s_schabbdie6.compatdospointer = 0x23E0;
	s_schabbshoot1.compatdospointer = 0x23F0;
	s_schabbshoot2.compatdospointer = 0x2400;
	s_needle1.compatdospointer = 0x2410;
	s_needle2.compatdospointer = 0x2420;
	s_needle3.compatdospointer = 0x2430;
	s_needle4.compatdospointer = 0x2440;
	s_giftstand.compatdospointer = 0x2450;
	s_giftchase1.compatdospointer = 0x2460;
	s_giftchase1s.compatdospointer = 0x2470;
	s_giftchase2.compatdospointer = 0x2480;
	s_giftchase3.compatdospointer = 0x2490;
	s_giftchase3s.compatdospointer = 0x24A0;
	s_giftchase4.compatdospointer = 0x24B0;
	s_giftdeathcam.compatdospointer = 0x24C0;
	s_giftdie1.compatdospointer = 0x24D0;
	s_giftdie2.compatdospointer = 0x24E0;
	s_giftdie3.compatdospointer = 0x24F0;
	s_giftdie4.compatdospointer = 0x2500;
	s_giftdie5.compatdospointer = 0x2510;
	s_giftdie6.compatdospointer = 0x2520;
	s_giftshoot1.compatdospointer = 0x2530;
	s_giftshoot2.compatdospointer = 0x2540;
	s_fatstand.compatdospointer = 0x2550;
	s_fatchase1.compatdospointer = 0x2560;
	s_fatchase1s.compatdospointer = 0x2570;
	s_fatchase2.compatdospointer = 0x2580;
	s_fatchase3.compatdospointer = 0x2590;
	s_fatchase3s.compatdospointer = 0x25A0;
	s_fatchase4.compatdospointer = 0x25B0;
	s_fatdeathcam.compatdospointer = 0x25C0;
	s_fatdie1.compatdospointer = 0x25D0;
	s_fatdie2.compatdospointer = 0x25E0;
	s_fatdie3.compatdospointer = 0x25F0;
	s_fatdie4.compatdospointer = 0x2600;
	s_fatdie5.compatdospointer = 0x2610;
	s_fatdie6.compatdospointer = 0x2620;
	s_fatshoot1.compatdospointer = 0x2630;
	s_fatshoot2.compatdospointer = 0x2640;
	s_fatshoot3.compatdospointer = 0x2650;
	s_fatshoot4.compatdospointer = 0x2660;
	s_fatshoot5.compatdospointer = 0x2670;
	s_fatshoot6.compatdospointer = 0x2680;
	s_fakestand.compatdospointer = 0x2690;
	s_fakechase1.compatdospointer = 0x26A0;
	s_fakechase1s.compatdospointer = 0x26B0;
	s_fakechase2.compatdospointer = 0x26C0;
	s_fakechase3.compatdospointer = 0x26D0;
	s_fakechase3s.compatdospointer = 0x26E0;
	s_fakechase4.compatdospointer = 0x26F0;
	s_fakedie1.compatdospointer = 0x2700;
	s_fakedie2.compatdospointer = 0x2710;
	s_fakedie3.compatdospointer = 0x2720;
	s_fakedie4.compatdospointer = 0x2730;
	s_fakedie5.compatdospointer = 0x2740;
	s_fakedie6.compatdospointer = 0x2750;
	s_fakeshoot1.compatdospointer = 0x2760;
	s_fakeshoot2.compatdospointer = 0x2770;
	s_fakeshoot3.compatdospointer = 0x2780;
	s_fakeshoot4.compatdospointer = 0x2790;
	s_fakeshoot5.compatdospointer = 0x27A0;
	s_fakeshoot6.compatdospointer = 0x27B0;
	s_fakeshoot7.compatdospointer = 0x27C0;
	s_fakeshoot8.compatdospointer = 0x27D0;
	s_fakeshoot9.compatdospointer = 0x27E0;
	s_fire1.compatdospointer = 0x27F0;
	s_fire2.compatdospointer = 0x2800;
	s_mechastand.compatdospointer = 0x2810;
	s_mechachase1.compatdospointer = 0x2820;
	s_mechachase1s.compatdospointer = 0x2830;
	s_mechachase2.compatdospointer = 0x2840;
	s_mechachase3.compatdospointer = 0x2850;
	s_mechachase3s.compatdospointer = 0x2860;
	s_mechachase4.compatdospointer = 0x2870;
	s_mechadie1.compatdospointer = 0x2880;
	s_mechadie2.compatdospointer = 0x2890;
	s_mechadie3.compatdospointer = 0x28A0;
	s_mechadie4.compatdospointer = 0x28B0;
	s_mechashoot1.compatdospointer = 0x28C0;
	s_mechashoot2.compatdospointer = 0x28D0;
	s_mechashoot3.compatdospointer = 0x28E0;
	s_mechashoot4.compatdospointer = 0x28F0;
	s_mechashoot5.compatdospointer = 0x2900;
	s_mechashoot6.compatdospointer = 0x2910;
	s_hitlerchase1.compatdospointer = 0x2920;
	s_hitlerchase1s.compatdospointer = 0x2930;
	s_hitlerchase2.compatdospointer = 0x2940;
	s_hitlerchase3.compatdospointer = 0x2950;
	s_hitlerchase3s.compatdospointer = 0x2960;
	s_hitlerchase4.compatdospointer = 0x2970;
	s_hitlerdeathcam.compatdospointer = 0x2980;
	s_hitlerdie1.compatdospointer = 0x2990;
	s_hitlerdie2.compatdospointer = 0x29A0;
	s_hitlerdie3.compatdospointer = 0x29B0;
	s_hitlerdie4.compatdospointer = 0x29C0;
	s_hitlerdie5.compatdospointer = 0x29D0;
	s_hitlerdie6.compatdospointer = 0x29E0;
	s_hitlerdie7.compatdospointer = 0x29F0;
	s_hitlerdie8.compatdospointer = 0x2A00;
	s_hitlerdie9.compatdospointer = 0x2A10;
	s_hitlerdie10.compatdospointer = 0x2A20;
	s_hitlershoot1.compatdospointer = 0x2A30;
	s_hitlershoot2.compatdospointer = 0x2A40;
	s_hitlershoot3.compatdospointer = 0x2A50;
	s_hitlershoot4.compatdospointer = 0x2A60;
	s_hitlershoot5.compatdospointer = 0x2A70;
	s_hitlershoot6.compatdospointer = 0x2A80;
	s_bjrun1.compatdospointer = 0x2A98;
	s_bjrun1s.compatdospointer = 0x2AA8;
	s_bjrun2.compatdospointer = 0x2AB8;
	s_bjrun3.compatdospointer = 0x2AC8;
	s_bjrun3s.compatdospointer = 0x2AD8;
	s_bjrun4.compatdospointer = 0x2AE8;
	s_bjjump1.compatdospointer = 0x2AF8;
	s_bjjump2.compatdospointer = 0x2B08;
	s_bjjump3.compatdospointer = 0x2B18;
	s_bjjump4.compatdospointer = 0x2B28;
	s_deathcam.compatdospointer = 0x2B38;
}

void* RefKeen_GetObjStatePtrFromDOSPointer_NonWL1(uint_fast32_t dosptr)
{
	switch (dosptr)
	{
	case 0x1550: return &s_player;
	case 0x1560: return &s_attack;
	case 0x183E: return &s_rocket;
	case 0x184E: return &s_smoke1;
	case 0x185E: return &s_smoke2;
	case 0x186E: return &s_smoke3;
	case 0x187E: return &s_smoke4;
	case 0x188E: return &s_boom1;
	case 0x189E: return &s_boom2;
	case 0x18AE: return &s_boom3;
	case 0x18BE: return &s_grdstand;
	case 0x18CE: return &s_grdpath1;
	case 0x18DE: return &s_grdpath1s;
	case 0x18EE: return &s_grdpath2;
	case 0x18FE: return &s_grdpath3;
	case 0x190E: return &s_grdpath3s;
	case 0x191E: return &s_grdpath4;
	case 0x192E: return &s_grdpain;
	case 0x193E: return &s_grdpain1;
	case 0x194E: return &s_grdshoot1;
	case 0x195E: return &s_grdshoot2;
	case 0x196E: return &s_grdshoot3;
	case 0x197E: return &s_grdchase1;
	case 0x198E: return &s_grdchase1s;
	case 0x199E: return &s_grdchase2;
	case 0x19AE: return &s_grdchase3;
	case 0x19BE: return &s_grdchase3s;
	case 0x19CE: return &s_grdchase4;
	case 0x19DE: return &s_grddie1;
	case 0x19EE: return &s_grddie2;
	case 0x19FE: return &s_grddie3;
	case 0x1A0E: return &s_grddie4;
	case 0x1A1E: return &s_blinkychase1;
	case 0x1A2E: return &s_blinkychase2;
	case 0x1A3E: return &s_inkychase1;
	case 0x1A4E: return &s_inkychase2;
	case 0x1A5E: return &s_pinkychase1;
	case 0x1A6E: return &s_pinkychase2;
	case 0x1A7E: return &s_clydechase1;
	case 0x1A8E: return &s_clydechase2;
	case 0x1A9E: return &s_dogpath1;
	case 0x1AAE: return &s_dogpath1s;
	case 0x1ABE: return &s_dogpath2;
	case 0x1ACE: return &s_dogpath3;
	case 0x1ADE: return &s_dogpath3s;
	case 0x1AEE: return &s_dogpath4;
	case 0x1AFE: return &s_dogjump1;
	case 0x1B0E: return &s_dogjump2;
	case 0x1B1E: return &s_dogjump3;
	case 0x1B2E: return &s_dogjump4;
	case 0x1B3E: return &s_dogjump5;
	case 0x1B4E: return &s_dogchase1;
	case 0x1B5E: return &s_dogchase1s;
	case 0x1B6E: return &s_dogchase2;
	case 0x1B7E: return &s_dogchase3;
	case 0x1B8E: return &s_dogchase3s;
	case 0x1B9E: return &s_dogchase4;
	case 0x1BAE: return &s_dogdie1;
	case 0x1BBE: return &s_dogdie2;
	case 0x1BCE: return &s_dogdie3;
	case 0x1BDE: return &s_dogdead;
	case 0x1BEE: return &s_ofcstand;
	case 0x1BFE: return &s_ofcpath1;
	case 0x1C0E: return &s_ofcpath1s;
	case 0x1C1E: return &s_ofcpath2;
	case 0x1C2E: return &s_ofcpath3;
	case 0x1C3E: return &s_ofcpath3s;
	case 0x1C4E: return &s_ofcpath4;
	case 0x1C5E: return &s_ofcpain;
	case 0x1C6E: return &s_ofcpain1;
	case 0x1C7E: return &s_ofcshoot1;
	case 0x1C8E: return &s_ofcshoot2;
	case 0x1C9E: return &s_ofcshoot3;
	case 0x1CAE: return &s_ofcchase1;
	case 0x1CBE: return &s_ofcchase1s;
	case 0x1CCE: return &s_ofcchase2;
	case 0x1CDE: return &s_ofcchase3;
	case 0x1CEE: return &s_ofcchase3s;
	case 0x1CFE: return &s_ofcchase4;
	case 0x1D0E: return &s_ofcdie1;
	case 0x1D1E: return &s_ofcdie2;
	case 0x1D2E: return &s_ofcdie3;
	case 0x1D3E: return &s_ofcdie4;
	case 0x1D4E: return &s_ofcdie5;
	case 0x1D5E: return &s_mutstand;
	case 0x1D6E: return &s_mutpath1;
	case 0x1D7E: return &s_mutpath1s;
	case 0x1D8E: return &s_mutpath2;
	case 0x1D9E: return &s_mutpath3;
	case 0x1DAE: return &s_mutpath3s;
	case 0x1DBE: return &s_mutpath4;
	case 0x1DCE: return &s_mutpain;
	case 0x1DDE: return &s_mutpain1;
	case 0x1DEE: return &s_mutshoot1;
	case 0x1DFE: return &s_mutshoot2;
	case 0x1E0E: return &s_mutshoot3;
	case 0x1E1E: return &s_mutshoot4;
	case 0x1E2E: return &s_mutchase1;
	case 0x1E3E: return &s_mutchase1s;
	case 0x1E4E: return &s_mutchase2;
	case 0x1E5E: return &s_mutchase3;
	case 0x1E6E: return &s_mutchase3s;
	case 0x1E7E: return &s_mutchase4;
	case 0x1E8E: return &s_mutdie1;
	case 0x1E9E: return &s_mutdie2;
	case 0x1EAE: return &s_mutdie3;
	case 0x1EBE: return &s_mutdie4;
	case 0x1ECE: return &s_mutdie5;
	case 0x1EDE: return &s_ssstand;
	case 0x1EEE: return &s_sspath1;
	case 0x1EFE: return &s_sspath1s;
	case 0x1F0E: return &s_sspath2;
	case 0x1F1E: return &s_sspath3;
	case 0x1F2E: return &s_sspath3s;
	case 0x1F3E: return &s_sspath4;
	case 0x1F4E: return &s_sspain;
	case 0x1F5E: return &s_sspain1;
	case 0x1F6E: return &s_ssshoot1;
	case 0x1F7E: return &s_ssshoot2;
	case 0x1F8E: return &s_ssshoot3;
	case 0x1F9E: return &s_ssshoot4;
	case 0x1FAE: return &s_ssshoot5;
	case 0x1FBE: return &s_ssshoot6;
	case 0x1FCE: return &s_ssshoot7;
	case 0x1FDE: return &s_ssshoot8;
	case 0x1FEE: return &s_ssshoot9;
	case 0x1FFE: return &s_sschase1;
	case 0x200E: return &s_sschase1s;
	case 0x201E: return &s_sschase2;
	case 0x202E: return &s_sschase3;
	case 0x203E: return &s_sschase3s;
	case 0x204E: return &s_sschase4;
	case 0x205E: return &s_ssdie1;
	case 0x206E: return &s_ssdie2;
	case 0x207E: return &s_ssdie3;
	case 0x208E: return &s_ssdie4;
	case 0x209E: return &s_bossstand;
	case 0x20AE: return &s_bosschase1;
	case 0x20BE: return &s_bosschase1s;
	case 0x20CE: return &s_bosschase2;
	case 0x20DE: return &s_bosschase3;
	case 0x20EE: return &s_bosschase3s;
	case 0x20FE: return &s_bosschase4;
	case 0x210E: return &s_bossdie1;
	case 0x211E: return &s_bossdie2;
	case 0x212E: return &s_bossdie3;
	case 0x213E: return &s_bossdie4;
	case 0x214E: return &s_bossshoot1;
	case 0x215E: return &s_bossshoot2;
	case 0x216E: return &s_bossshoot3;
	case 0x217E: return &s_bossshoot4;
	case 0x218E: return &s_bossshoot5;
	case 0x219E: return &s_bossshoot6;
	case 0x21AE: return &s_bossshoot7;
	case 0x21BE: return &s_bossshoot8;
	case 0x21CE: return &s_gretelstand;
	case 0x21DE: return &s_gretelchase1;
	case 0x21EE: return &s_gretelchase1s;
	case 0x21FE: return &s_gretelchase2;
	case 0x220E: return &s_gretelchase3;
	case 0x221E: return &s_gretelchase3s;
	case 0x222E: return &s_gretelchase4;
	case 0x223E: return &s_greteldie1;
	case 0x224E: return &s_greteldie2;
	case 0x225E: return &s_greteldie3;
	case 0x226E: return &s_greteldie4;
	case 0x227E: return &s_gretelshoot1;
	case 0x228E: return &s_gretelshoot2;
	case 0x229E: return &s_gretelshoot3;
	case 0x22AE: return &s_gretelshoot4;
	case 0x22BE: return &s_gretelshoot5;
	case 0x22CE: return &s_gretelshoot6;
	case 0x22DE: return &s_gretelshoot7;
	case 0x22EE: return &s_gretelshoot8;
	case 0x2310: return &s_schabbstand;
	case 0x2320: return &s_schabbchase1;
	case 0x2330: return &s_schabbchase1s;
	case 0x2340: return &s_schabbchase2;
	case 0x2350: return &s_schabbchase3;
	case 0x2360: return &s_schabbchase3s;
	case 0x2370: return &s_schabbchase4;
	case 0x2380: return &s_schabbdeathcam;
	case 0x2390: return &s_schabbdie1;
	case 0x23A0: return &s_schabbdie2;
	case 0x23B0: return &s_schabbdie3;
	case 0x23C0: return &s_schabbdie4;
	case 0x23D0: return &s_schabbdie5;
	case 0x23E0: return &s_schabbdie6;
	case 0x23F0: return &s_schabbshoot1;
	case 0x2400: return &s_schabbshoot2;
	case 0x2410: return &s_needle1;
	case 0x2420: return &s_needle2;
	case 0x2430: return &s_needle3;
	case 0x2440: return &s_needle4;
	case 0x2450: return &s_giftstand;
	case 0x2460: return &s_giftchase1;
	case 0x2470: return &s_giftchase1s;
	case 0x2480: return &s_giftchase2;
	case 0x2490: return &s_giftchase3;
	case 0x24A0: return &s_giftchase3s;
	case 0x24B0: return &s_giftchase4;
	case 0x24C0: return &s_giftdeathcam;
	case 0x24D0: return &s_giftdie1;
	case 0x24E0: return &s_giftdie2;
	case 0x24F0: return &s_giftdie3;
	case 0x2500: return &s_giftdie4;
	case 0x2510: return &s_giftdie5;
	case 0x2520: return &s_giftdie6;
	case 0x2530: return &s_giftshoot1;
	case 0x2540: return &s_giftshoot2;
	case 0x2550: return &s_fatstand;
	case 0x2560: return &s_fatchase1;
	case 0x2570: return &s_fatchase1s;
	case 0x2580: return &s_fatchase2;
	case 0x2590: return &s_fatchase3;
	case 0x25A0: return &s_fatchase3s;
	case 0x25B0: return &s_fatchase4;
	case 0x25C0: return &s_fatdeathcam;
	case 0x25D0: return &s_fatdie1;
	case 0x25E0: return &s_fatdie2;
	case 0x25F0: return &s_fatdie3;
	case 0x2600: return &s_fatdie4;
	case 0x2610: return &s_fatdie5;
	case 0x2620: return &s_fatdie6;
	case 0x2630: return &s_fatshoot1;
	case 0x2640: return &s_fatshoot2;
	case 0x2650: return &s_fatshoot3;
	case 0x2660: return &s_fatshoot4;
	case 0x2670: return &s_fatshoot5;
	case 0x2680: return &s_fatshoot6;
	case 0x2690: return &s_fakestand;
	case 0x26A0: return &s_fakechase1;
	case 0x26B0: return &s_fakechase1s;
	case 0x26C0: return &s_fakechase2;
	case 0x26D0: return &s_fakechase3;
	case 0x26E0: return &s_fakechase3s;
	case 0x26F0: return &s_fakechase4;
	case 0x2700: return &s_fakedie1;
	case 0x2710: return &s_fakedie2;
	case 0x2720: return &s_fakedie3;
	case 0x2730: return &s_fakedie4;
	case 0x2740: return &s_fakedie5;
	case 0x2750: return &s_fakedie6;
	case 0x2760: return &s_fakeshoot1;
	case 0x2770: return &s_fakeshoot2;
	case 0x2780: return &s_fakeshoot3;
	case 0x2790: return &s_fakeshoot4;
	case 0x27A0: return &s_fakeshoot5;
	case 0x27B0: return &s_fakeshoot6;
	case 0x27C0: return &s_fakeshoot7;
	case 0x27D0: return &s_fakeshoot8;
	case 0x27E0: return &s_fakeshoot9;
	case 0x27F0: return &s_fire1;
	case 0x2800: return &s_fire2;
	case 0x2810: return &s_mechastand;
	case 0x2820: return &s_mechachase1;
	case 0x2830: return &s_mechachase1s;
	case 0x2840: return &s_mechachase2;
	case 0x2850: return &s_mechachase3;
	case 0x2860: return &s_mechachase3s;
	case 0x2870: return &s_mechachase4;
	case 0x2880: return &s_mechadie1;
	case 0x2890: return &s_mechadie2;
	case 0x28A0: return &s_mechadie3;
	case 0x28B0: return &s_mechadie4;
	case 0x28C0: return &s_mechashoot1;
	case 0x28D0: return &s_mechashoot2;
	case 0x28E0: return &s_mechashoot3;
	case 0x28F0: return &s_mechashoot4;
	case 0x2900: return &s_mechashoot5;
	case 0x2910: return &s_mechashoot6;
	case 0x2920: return &s_hitlerchase1;
	case 0x2930: return &s_hitlerchase1s;
	case 0x2940: return &s_hitlerchase2;
	case 0x2950: return &s_hitlerchase3;
	case 0x2960: return &s_hitlerchase3s;
	case 0x2970: return &s_hitlerchase4;
	case 0x2980: return &s_hitlerdeathcam;
	case 0x2990: return &s_hitlerdie1;
	case 0x29A0: return &s_hitlerdie2;
	case 0x29B0: return &s_hitlerdie3;
	case 0x29C0: return &s_hitlerdie4;
	case 0x29D0: return &s_hitlerdie5;
	case 0x29E0: return &s_hitlerdie6;
	case 0x29F0: return &s_hitlerdie7;
	case 0x2A00: return &s_hitlerdie8;
	case 0x2A10: return &s_hitlerdie9;
	case 0x2A20: return &s_hitlerdie10;
	case 0x2A30: return &s_hitlershoot1;
	case 0x2A40: return &s_hitlershoot2;
	case 0x2A50: return &s_hitlershoot3;
	case 0x2A60: return &s_hitlershoot4;
	case 0x2A70: return &s_hitlershoot5;
	case 0x2A80: return &s_hitlershoot6;
	case 0x2A98: return &s_bjrun1;
	case 0x2AA8: return &s_bjrun1s;
	case 0x2AB8: return &s_bjrun2;
	case 0x2AC8: return &s_bjrun3;
	case 0x2AD8: return &s_bjrun3s;
	case 0x2AE8: return &s_bjrun4;
	case 0x2AF8: return &s_bjjump1;
	case 0x2B08: return &s_bjjump2;
	case 0x2B18: return &s_bjjump3;
	case 0x2B28: return &s_bjjump4;
	case 0x2B38: return &s_deathcam;
	}
	return NULL;
}

REFKEEN_NS_E
#endif
