/* Wolfenstein 3D Source Code
 * Copyright (C) 1993-1996 id Software, Inc.
 *
 * This file is part of Wolfenstein 3D.
 *
 * Wolfenstein 3D is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Wolfenstein 3D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * As an addendum, you can further use the Wolfenstein 3D Source Code under
 * the terms of the limited use software license agreement for Wolfenstein 3D.
 * See id-wolf3d.txt for these terms.
 */

// New file used for preparing and converting pointers to states

#include "wl_def.h"

#ifdef REFKEEN_VER_WL1AP10
REFKEEN_NS_B

// List of all states
extern statetype s_player;
extern statetype s_attack;
extern statetype s_grdstand;
extern statetype s_grdpath1;
extern statetype s_grdpath1s;
extern statetype s_grdpath2;
extern statetype s_grdpath3;
extern statetype s_grdpath3s;
extern statetype s_grdpath4;
extern statetype s_grdpain;
extern statetype s_grdshoot1;
extern statetype s_grdshoot2;
extern statetype s_grdshoot3;
extern statetype s_grdchase1;
extern statetype s_grdchase1s;
extern statetype s_grdchase2;
extern statetype s_grdchase3;
extern statetype s_grdchase3s;
extern statetype s_grdchase4;
extern statetype s_grddie1;
extern statetype s_grddie2;
extern statetype s_grddie3;
extern statetype s_grddie4;
extern statetype s_blinkychase1;
extern statetype s_blinkychase2;
extern statetype s_inkychase1;
extern statetype s_inkychase2;
extern statetype s_pinkychase1;
extern statetype s_pinkychase2;
extern statetype s_clydechase1;
extern statetype s_clydechase2;
extern statetype s_dogpath1;
extern statetype s_dogpath1s;
extern statetype s_dogpath2;
extern statetype s_dogpath3;
extern statetype s_dogpath3s;
extern statetype s_dogpath4;
extern statetype s_dogjump1;
extern statetype s_dogjump2;
extern statetype s_dogjump3;
extern statetype s_dogjump4;
extern statetype s_dogjump5;
extern statetype s_dogchase1;
extern statetype s_dogchase1s;
extern statetype s_dogchase2;
extern statetype s_dogchase3;
extern statetype s_dogchase3s;
extern statetype s_dogchase4;
extern statetype s_dogdie1;
extern statetype s_dogdie2;
extern statetype s_dogdie3;
extern statetype s_dogdead;
extern statetype s_ofcstand;
extern statetype s_ofcpath1;
extern statetype s_ofcpath1s;
extern statetype s_ofcpath2;
extern statetype s_ofcpath3;
extern statetype s_ofcpath3s;
extern statetype s_ofcpath4;
extern statetype s_ofcpain;
extern statetype s_ofcshoot1;
extern statetype s_ofcshoot2;
extern statetype s_ofcshoot3;
extern statetype s_ofcchase1;
extern statetype s_ofcchase1s;
extern statetype s_ofcchase2;
extern statetype s_ofcchase3;
extern statetype s_ofcchase3s;
extern statetype s_ofcchase4;
extern statetype s_ofcdie1;
extern statetype s_ofcdie2;
extern statetype s_ofcdie3;
extern statetype s_ofcdie4;
extern statetype s_ofcdie5;
extern statetype s_mutstand;
extern statetype s_mutpath1;
extern statetype s_mutpath1s;
extern statetype s_mutpath2;
extern statetype s_mutpath3;
extern statetype s_mutpath3s;
extern statetype s_mutpath4;
extern statetype s_mutpain;
extern statetype s_mutshoot1;
extern statetype s_mutshoot2;
extern statetype s_mutshoot3;
extern statetype s_mutshoot4;
extern statetype s_mutchase1;
extern statetype s_mutchase1s;
extern statetype s_mutchase2;
extern statetype s_mutchase3;
extern statetype s_mutchase3s;
extern statetype s_mutchase4;
extern statetype s_mutdie1;
extern statetype s_mutdie2;
extern statetype s_mutdie3;
extern statetype s_mutdie4;
extern statetype s_mutdie5;
extern statetype s_ssstand;
extern statetype s_sspath1;
extern statetype s_sspath1s;
extern statetype s_sspath2;
extern statetype s_sspath3;
extern statetype s_sspath3s;
extern statetype s_sspath4;
extern statetype s_sspain;
extern statetype s_ssshoot1;
extern statetype s_ssshoot2;
extern statetype s_ssshoot3;
extern statetype s_ssshoot4;
extern statetype s_ssshoot5;
extern statetype s_ssshoot6;
extern statetype s_ssshoot7;
extern statetype s_ssshoot8;
extern statetype s_ssshoot9;
extern statetype s_sschase1;
extern statetype s_sschase1s;
extern statetype s_sschase2;
extern statetype s_sschase3;
extern statetype s_sschase3s;
extern statetype s_sschase4;
extern statetype s_ssdie1;
extern statetype s_ssdie2;
extern statetype s_ssdie3;
extern statetype s_ssdie4;
extern statetype s_bossstand;
extern statetype s_bosschase1;
extern statetype s_bosschase1s;
extern statetype s_bosschase2;
extern statetype s_bosschase3;
extern statetype s_bosschase3s;
extern statetype s_bosschase4;
extern statetype s_bossdie1;
extern statetype s_bossdie2;
extern statetype s_bossdie3;
extern statetype s_bossdie4;
extern statetype s_bossshoot1;
extern statetype s_bossshoot2;
extern statetype s_bossshoot3;
extern statetype s_bossshoot4;
extern statetype s_bossshoot5;
extern statetype s_bossshoot6;
extern statetype s_bossshoot7;
extern statetype s_bossshoot8;
extern statetype s_schabbstand;
extern statetype s_schabbchase1;
extern statetype s_schabbchase1s;
extern statetype s_schabbchase2;
extern statetype s_schabbchase3;
extern statetype s_schabbchase3s;
extern statetype s_schabbchase4;
extern statetype s_schabbdie1;
extern statetype s_schabbdie2;
extern statetype s_schabbdie3;
extern statetype s_schabbdie4;
extern statetype s_schabbdie5;
extern statetype s_schabbshoot1;
extern statetype s_schabbshoot2;
extern statetype s_needle1;
extern statetype s_needle2;
extern statetype s_needle3;
extern statetype s_needle4;
extern statetype s_fakestand;
extern statetype s_fakechase1;
extern statetype s_fakechase1s;
extern statetype s_fakechase2;
extern statetype s_fakechase3;
extern statetype s_fakechase3s;
extern statetype s_fakechase4;
extern statetype s_fakedie1;
extern statetype s_fakedie2;
extern statetype s_fakedie3;
extern statetype s_fakedie4;
extern statetype s_fakedie5;
extern statetype s_fakedie6;
extern statetype s_fakeshoot1;
extern statetype s_fakeshoot2;
extern statetype s_fakeshoot3;
extern statetype s_fakeshoot4;
extern statetype s_fakeshoot5;
extern statetype s_fakeshoot6;
extern statetype s_fakeshoot7;
extern statetype s_fakeshoot8;
extern statetype s_fakeshoot9;
extern statetype s_fire1;
extern statetype s_fire2;
extern statetype s_mechastand;
extern statetype s_mechachase1;
extern statetype s_mechachase1s;
extern statetype s_mechachase2;
extern statetype s_mechachase3;
extern statetype s_mechachase3s;
extern statetype s_mechachase4;
extern statetype s_mechadie1;
extern statetype s_mechadie2;
extern statetype s_mechadie3;
extern statetype s_mechadie4;
extern statetype s_mechashoot1;
extern statetype s_mechashoot2;
extern statetype s_mechashoot3;
extern statetype s_mechashoot4;
extern statetype s_mechashoot5;
extern statetype s_mechashoot6;
extern statetype s_hitlerchase1;
extern statetype s_hitlerchase1s;
extern statetype s_hitlerchase2;
extern statetype s_hitlerchase3;
extern statetype s_hitlerchase3s;
extern statetype s_hitlerchase4;
extern statetype s_hitlerdie1;
extern statetype s_hitlerdie2;
extern statetype s_hitlerdie3;
extern statetype s_hitlerdie4;
extern statetype s_hitlerdie5;
extern statetype s_hitlerdie6;
extern statetype s_hitlerdie7;
extern statetype s_hitlerdie8;
extern statetype s_hitlerdie9;
extern statetype s_hitlershoot1;
extern statetype s_hitlershoot2;
extern statetype s_hitlershoot3;
extern statetype s_hitlershoot4;
extern statetype s_hitlershoot5;
extern statetype s_hitlershoot6;
extern statetype s_bjrun1;
extern statetype s_bjrun1s;
extern statetype s_bjrun2;
extern statetype s_bjrun3;
extern statetype s_bjrun3s;
extern statetype s_bjrun4;
extern statetype s_bjjump1;
extern statetype s_bjjump2;
extern statetype s_bjjump3;
extern statetype s_bjjump4;

void RefKeen_FillObjStatesWithDOSPointers_WL1(void)
{
	s_player.compatdospointer = 0x268E;
	s_attack.compatdospointer = 0x269E;
	s_grdstand.compatdospointer = 0x28E6;
	s_grdpath1.compatdospointer = 0x28F6;
	s_grdpath1s.compatdospointer = 0x2906;
	s_grdpath2.compatdospointer = 0x2916;
	s_grdpath3.compatdospointer = 0x2926;
	s_grdpath3s.compatdospointer = 0x2936;
	s_grdpath4.compatdospointer = 0x2946;
	s_grdpain.compatdospointer = 0x2956;
	s_grdshoot1.compatdospointer = 0x2966;
	s_grdshoot2.compatdospointer = 0x2976;
	s_grdshoot3.compatdospointer = 0x2986;
	s_grdchase1.compatdospointer = 0x2996;
	s_grdchase1s.compatdospointer = 0x29A6;
	s_grdchase2.compatdospointer = 0x29B6;
	s_grdchase3.compatdospointer = 0x29C6;
	s_grdchase3s.compatdospointer = 0x29D6;
	s_grdchase4.compatdospointer = 0x29E6;
	s_grddie1.compatdospointer = 0x29F6;
	s_grddie2.compatdospointer = 0x2A06;
	s_grddie3.compatdospointer = 0x2A16;
	s_grddie4.compatdospointer = 0x2A26;
	s_blinkychase1.compatdospointer = 0x2A36;
	s_blinkychase2.compatdospointer = 0x2A46;
	s_inkychase1.compatdospointer = 0x2A56;
	s_inkychase2.compatdospointer = 0x2A66;
	s_pinkychase1.compatdospointer = 0x2A76;
	s_pinkychase2.compatdospointer = 0x2A86;
	s_clydechase1.compatdospointer = 0x2A96;
	s_clydechase2.compatdospointer = 0x2AA6;
	s_dogpath1.compatdospointer = 0x2AB6;
	s_dogpath1s.compatdospointer = 0x2AC6;
	s_dogpath2.compatdospointer = 0x2AD6;
	s_dogpath3.compatdospointer = 0x2AE6;
	s_dogpath3s.compatdospointer = 0x2AF6;
	s_dogpath4.compatdospointer = 0x2B06;
	s_dogjump1.compatdospointer = 0x2B16;
	s_dogjump2.compatdospointer = 0x2B26;
	s_dogjump3.compatdospointer = 0x2B36;
	s_dogjump4.compatdospointer = 0x2B46;
	s_dogjump5.compatdospointer = 0x2B56;
	s_dogchase1.compatdospointer = 0x2B66;
	s_dogchase1s.compatdospointer = 0x2B76;
	s_dogchase2.compatdospointer = 0x2B86;
	s_dogchase3.compatdospointer = 0x2B96;
	s_dogchase3s.compatdospointer = 0x2BA6;
	s_dogchase4.compatdospointer = 0x2BB6;
	s_dogdie1.compatdospointer = 0x2BC6;
	s_dogdie2.compatdospointer = 0x2BD6;
	s_dogdie3.compatdospointer = 0x2BE6;
	s_dogdead.compatdospointer = 0x2BF6;
	s_ofcstand.compatdospointer = 0x2C06;
	s_ofcpath1.compatdospointer = 0x2C16;
	s_ofcpath1s.compatdospointer = 0x2C26;
	s_ofcpath2.compatdospointer = 0x2C36;
	s_ofcpath3.compatdospointer = 0x2C46;
	s_ofcpath3s.compatdospointer = 0x2C56;
	s_ofcpath4.compatdospointer = 0x2C66;
	s_ofcpain.compatdospointer = 0x2C76;
	s_ofcshoot1.compatdospointer = 0x2C86;
	s_ofcshoot2.compatdospointer = 0x2C96;
	s_ofcshoot3.compatdospointer = 0x2CA6;
	s_ofcchase1.compatdospointer = 0x2CB6;
	s_ofcchase1s.compatdospointer = 0x2CC6;
	s_ofcchase2.compatdospointer = 0x2CD6;
	s_ofcchase3.compatdospointer = 0x2CE6;
	s_ofcchase3s.compatdospointer = 0x2CF6;
	s_ofcchase4.compatdospointer = 0x2D06;
	s_ofcdie1.compatdospointer = 0x2D16;
	s_ofcdie2.compatdospointer = 0x2D26;
	s_ofcdie3.compatdospointer = 0x2D36;
	s_ofcdie4.compatdospointer = 0x2D46;
	s_ofcdie5.compatdospointer = 0x2D56;
	s_mutstand.compatdospointer = 0x2D66;
	s_mutpath1.compatdospointer = 0x2D76;
	s_mutpath1s.compatdospointer = 0x2D86;
	s_mutpath2.compatdospointer = 0x2D96;
	s_mutpath3.compatdospointer = 0x2DA6;
	s_mutpath3s.compatdospointer = 0x2DB6;
	s_mutpath4.compatdospointer = 0x2DC6;
	s_mutpain.compatdospointer = 0x2DD6;
	s_mutshoot1.compatdospointer = 0x2DE6;
	s_mutshoot2.compatdospointer = 0x2DF6;
	s_mutshoot3.compatdospointer = 0x2E06;
	s_mutshoot4.compatdospointer = 0x2E16;
	s_mutchase1.compatdospointer = 0x2E26;
	s_mutchase1s.compatdospointer = 0x2E36;
	s_mutchase2.compatdospointer = 0x2E46;
	s_mutchase3.compatdospointer = 0x2E56;
	s_mutchase3s.compatdospointer = 0x2E66;
	s_mutchase4.compatdospointer = 0x2E76;
	s_mutdie1.compatdospointer = 0x2E86;
	s_mutdie2.compatdospointer = 0x2E96;
	s_mutdie3.compatdospointer = 0x2EA6;
	s_mutdie4.compatdospointer = 0x2EB6;
	s_mutdie5.compatdospointer = 0x2EC6;
	s_ssstand.compatdospointer = 0x2ED6;
	s_sspath1.compatdospointer = 0x2EE6;
	s_sspath1s.compatdospointer = 0x2EF6;
	s_sspath2.compatdospointer = 0x2F06;
	s_sspath3.compatdospointer = 0x2F16;
	s_sspath3s.compatdospointer = 0x2F26;
	s_sspath4.compatdospointer = 0x2F36;
	s_sspain.compatdospointer = 0x2F46;
	s_ssshoot1.compatdospointer = 0x2F56;
	s_ssshoot2.compatdospointer = 0x2F66;
	s_ssshoot3.compatdospointer = 0x2F76;
	s_ssshoot4.compatdospointer = 0x2F86;
	s_ssshoot5.compatdospointer = 0x2F96;
	s_ssshoot6.compatdospointer = 0x2FA6;
	s_ssshoot7.compatdospointer = 0x2FB6;
	s_ssshoot8.compatdospointer = 0x2FC6;
	s_ssshoot9.compatdospointer = 0x2FD6;
	s_sschase1.compatdospointer = 0x2FE6;
	s_sschase1s.compatdospointer = 0x2FF6;
	s_sschase2.compatdospointer = 0x3006;
	s_sschase3.compatdospointer = 0x3016;
	s_sschase3s.compatdospointer = 0x3026;
	s_sschase4.compatdospointer = 0x3036;
	s_ssdie1.compatdospointer = 0x3046;
	s_ssdie2.compatdospointer = 0x3056;
	s_ssdie3.compatdospointer = 0x3066;
	s_ssdie4.compatdospointer = 0x3076;
	s_bossstand.compatdospointer = 0x3086;
	s_bosschase1.compatdospointer = 0x3096;
	s_bosschase1s.compatdospointer = 0x30A6;
	s_bosschase2.compatdospointer = 0x30B6;
	s_bosschase3.compatdospointer = 0x30C6;
	s_bosschase3s.compatdospointer = 0x30D6;
	s_bosschase4.compatdospointer = 0x30E6;
	s_bossdie1.compatdospointer = 0x30F6;
	s_bossdie2.compatdospointer = 0x3106;
	s_bossdie3.compatdospointer = 0x3116;
	s_bossdie4.compatdospointer = 0x3126;
	s_bossshoot1.compatdospointer = 0x3136;
	s_bossshoot2.compatdospointer = 0x3146;
	s_bossshoot3.compatdospointer = 0x3156;
	s_bossshoot4.compatdospointer = 0x3166;
	s_bossshoot5.compatdospointer = 0x3176;
	s_bossshoot6.compatdospointer = 0x3186;
	s_bossshoot7.compatdospointer = 0x3196;
	s_bossshoot8.compatdospointer = 0x31A6;
	s_schabbstand.compatdospointer = 0x31BE;
	s_schabbchase1.compatdospointer = 0x31CE;
	s_schabbchase1s.compatdospointer = 0x31DE;
	s_schabbchase2.compatdospointer = 0x31EE;
	s_schabbchase3.compatdospointer = 0x31FE;
	s_schabbchase3s.compatdospointer = 0x320E;
	s_schabbchase4.compatdospointer = 0x321E;
	s_schabbdie1.compatdospointer = 0x322E;
	s_schabbdie2.compatdospointer = 0x323E;
	s_schabbdie3.compatdospointer = 0x324E;
	s_schabbdie4.compatdospointer = 0x325E;
	s_schabbdie5.compatdospointer = 0x326E;
	s_schabbshoot1.compatdospointer = 0x327E;
	s_schabbshoot2.compatdospointer = 0x328E;
	s_needle1.compatdospointer = 0x329E;
	s_needle2.compatdospointer = 0x32AE;
	s_needle3.compatdospointer = 0x32BE;
	s_needle4.compatdospointer = 0x32CE;
	s_fakestand.compatdospointer = 0x32DE;
	s_fakechase1.compatdospointer = 0x32EE;
	s_fakechase1s.compatdospointer = 0x32FE;
	s_fakechase2.compatdospointer = 0x330E;
	s_fakechase3.compatdospointer = 0x331E;
	s_fakechase3s.compatdospointer = 0x332E;
	s_fakechase4.compatdospointer = 0x333E;
	s_fakedie1.compatdospointer = 0x334E;
	s_fakedie2.compatdospointer = 0x335E;
	s_fakedie3.compatdospointer = 0x336E;
	s_fakedie4.compatdospointer = 0x337E;
	s_fakedie5.compatdospointer = 0x338E;
	s_fakedie6.compatdospointer = 0x339E;
	s_fakeshoot1.compatdospointer = 0x33AE;
	s_fakeshoot2.compatdospointer = 0x33BE;
	s_fakeshoot3.compatdospointer = 0x33CE;
	s_fakeshoot4.compatdospointer = 0x33DE;
	s_fakeshoot5.compatdospointer = 0x33EE;
	s_fakeshoot6.compatdospointer = 0x33FE;
	s_fakeshoot7.compatdospointer = 0x340E;
	s_fakeshoot8.compatdospointer = 0x341E;
	s_fakeshoot9.compatdospointer = 0x342E;
	s_fire1.compatdospointer = 0x343E;
	s_fire2.compatdospointer = 0x344E;
	s_mechastand.compatdospointer = 0x345E;
	s_mechachase1.compatdospointer = 0x346E;
	s_mechachase1s.compatdospointer = 0x347E;
	s_mechachase2.compatdospointer = 0x348E;
	s_mechachase3.compatdospointer = 0x349E;
	s_mechachase3s.compatdospointer = 0x34AE;
	s_mechachase4.compatdospointer = 0x34BE;
	s_mechadie1.compatdospointer = 0x34CE;
	s_mechadie2.compatdospointer = 0x34DE;
	s_mechadie3.compatdospointer = 0x34EE;
	s_mechadie4.compatdospointer = 0x34FE;
	s_mechashoot1.compatdospointer = 0x350E;
	s_mechashoot2.compatdospointer = 0x351E;
	s_mechashoot3.compatdospointer = 0x352E;
	s_mechashoot4.compatdospointer = 0x353E;
	s_mechashoot5.compatdospointer = 0x354E;
	s_mechashoot6.compatdospointer = 0x355E;
	s_hitlerchase1.compatdospointer = 0x356E;
	s_hitlerchase1s.compatdospointer = 0x357E;
	s_hitlerchase2.compatdospointer = 0x358E;
	s_hitlerchase3.compatdospointer = 0x359E;
	s_hitlerchase3s.compatdospointer = 0x35AE;
	s_hitlerchase4.compatdospointer = 0x35BE;
	s_hitlerdie1.compatdospointer = 0x35CE;
	s_hitlerdie2.compatdospointer = 0x35DE;
	s_hitlerdie3.compatdospointer = 0x35EE;
	s_hitlerdie4.compatdospointer = 0x35FE;
	s_hitlerdie5.compatdospointer = 0x360E;
	s_hitlerdie6.compatdospointer = 0x361E;
	s_hitlerdie7.compatdospointer = 0x362E;
	s_hitlerdie8.compatdospointer = 0x363E;
	s_hitlerdie9.compatdospointer = 0x364E;
	s_hitlershoot1.compatdospointer = 0x365E;
	s_hitlershoot2.compatdospointer = 0x366E;
	s_hitlershoot3.compatdospointer = 0x367E;
	s_hitlershoot4.compatdospointer = 0x368E;
	s_hitlershoot5.compatdospointer = 0x369E;
	s_hitlershoot6.compatdospointer = 0x36AE;
	s_bjrun1.compatdospointer = 0x36BE;
	s_bjrun1s.compatdospointer = 0x36CE;
	s_bjrun2.compatdospointer = 0x36DE;
	s_bjrun3.compatdospointer = 0x36EE;
	s_bjrun3s.compatdospointer = 0x36FE;
	s_bjrun4.compatdospointer = 0x370E;
	s_bjjump1.compatdospointer = 0x371E;
	s_bjjump2.compatdospointer = 0x372E;
	s_bjjump3.compatdospointer = 0x373E;
	s_bjjump4.compatdospointer = 0x374E;
}

void* RefKeen_GetObjStatePtrFromDOSPointer_WL1(uint_fast32_t dosptr)
{
	switch (dosptr)
	{
	case 0x268E: return &s_player;
	case 0x269E: return &s_attack;
	case 0x28E6: return &s_grdstand;
	case 0x28F6: return &s_grdpath1;
	case 0x2906: return &s_grdpath1s;
	case 0x2916: return &s_grdpath2;
	case 0x2926: return &s_grdpath3;
	case 0x2936: return &s_grdpath3s;
	case 0x2946: return &s_grdpath4;
	case 0x2956: return &s_grdpain;
	case 0x2966: return &s_grdshoot1;
	case 0x2976: return &s_grdshoot2;
	case 0x2986: return &s_grdshoot3;
	case 0x2996: return &s_grdchase1;
	case 0x29A6: return &s_grdchase1s;
	case 0x29B6: return &s_grdchase2;
	case 0x29C6: return &s_grdchase3;
	case 0x29D6: return &s_grdchase3s;
	case 0x29E6: return &s_grdchase4;
	case 0x29F6: return &s_grddie1;
	case 0x2A06: return &s_grddie2;
	case 0x2A16: return &s_grddie3;
	case 0x2A26: return &s_grddie4;
	case 0x2A36: return &s_blinkychase1;
	case 0x2A46: return &s_blinkychase2;
	case 0x2A56: return &s_inkychase1;
	case 0x2A66: return &s_inkychase2;
	case 0x2A76: return &s_pinkychase1;
	case 0x2A86: return &s_pinkychase2;
	case 0x2A96: return &s_clydechase1;
	case 0x2AA6: return &s_clydechase2;
	case 0x2AB6: return &s_dogpath1;
	case 0x2AC6: return &s_dogpath1s;
	case 0x2AD6: return &s_dogpath2;
	case 0x2AE6: return &s_dogpath3;
	case 0x2AF6: return &s_dogpath3s;
	case 0x2B06: return &s_dogpath4;
	case 0x2B16: return &s_dogjump1;
	case 0x2B26: return &s_dogjump2;
	case 0x2B36: return &s_dogjump3;
	case 0x2B46: return &s_dogjump4;
	case 0x2B56: return &s_dogjump5;
	case 0x2B66: return &s_dogchase1;
	case 0x2B76: return &s_dogchase1s;
	case 0x2B86: return &s_dogchase2;
	case 0x2B96: return &s_dogchase3;
	case 0x2BA6: return &s_dogchase3s;
	case 0x2BB6: return &s_dogchase4;
	case 0x2BC6: return &s_dogdie1;
	case 0x2BD6: return &s_dogdie2;
	case 0x2BE6: return &s_dogdie3;
	case 0x2BF6: return &s_dogdead;
	case 0x2C06: return &s_ofcstand;
	case 0x2C16: return &s_ofcpath1;
	case 0x2C26: return &s_ofcpath1s;
	case 0x2C36: return &s_ofcpath2;
	case 0x2C46: return &s_ofcpath3;
	case 0x2C56: return &s_ofcpath3s;
	case 0x2C66: return &s_ofcpath4;
	case 0x2C76: return &s_ofcpain;
	case 0x2C86: return &s_ofcshoot1;
	case 0x2C96: return &s_ofcshoot2;
	case 0x2CA6: return &s_ofcshoot3;
	case 0x2CB6: return &s_ofcchase1;
	case 0x2CC6: return &s_ofcchase1s;
	case 0x2CD6: return &s_ofcchase2;
	case 0x2CE6: return &s_ofcchase3;
	case 0x2CF6: return &s_ofcchase3s;
	case 0x2D06: return &s_ofcchase4;
	case 0x2D16: return &s_ofcdie1;
	case 0x2D26: return &s_ofcdie2;
	case 0x2D36: return &s_ofcdie3;
	case 0x2D46: return &s_ofcdie4;
	case 0x2D56: return &s_ofcdie5;
	case 0x2D66: return &s_mutstand;
	case 0x2D76: return &s_mutpath1;
	case 0x2D86: return &s_mutpath1s;
	case 0x2D96: return &s_mutpath2;
	case 0x2DA6: return &s_mutpath3;
	case 0x2DB6: return &s_mutpath3s;
	case 0x2DC6: return &s_mutpath4;
	case 0x2DD6: return &s_mutpain;
	case 0x2DE6: return &s_mutshoot1;
	case 0x2DF6: return &s_mutshoot2;
	case 0x2E06: return &s_mutshoot3;
	case 0x2E16: return &s_mutshoot4;
	case 0x2E26: return &s_mutchase1;
	case 0x2E36: return &s_mutchase1s;
	case 0x2E46: return &s_mutchase2;
	case 0x2E56: return &s_mutchase3;
	case 0x2E66: return &s_mutchase3s;
	case 0x2E76: return &s_mutchase4;
	case 0x2E86: return &s_mutdie1;
	case 0x2E96: return &s_mutdie2;
	case 0x2EA6: return &s_mutdie3;
	case 0x2EB6: return &s_mutdie4;
	case 0x2EC6: return &s_mutdie5;
	case 0x2ED6: return &s_ssstand;
	case 0x2EE6: return &s_sspath1;
	case 0x2EF6: return &s_sspath1s;
	case 0x2F06: return &s_sspath2;
	case 0x2F16: return &s_sspath3;
	case 0x2F26: return &s_sspath3s;
	case 0x2F36: return &s_sspath4;
	case 0x2F46: return &s_sspain;
	case 0x2F56: return &s_ssshoot1;
	case 0x2F66: return &s_ssshoot2;
	case 0x2F76: return &s_ssshoot3;
	case 0x2F86: return &s_ssshoot4;
	case 0x2F96: return &s_ssshoot5;
	case 0x2FA6: return &s_ssshoot6;
	case 0x2FB6: return &s_ssshoot7;
	case 0x2FC6: return &s_ssshoot8;
	case 0x2FD6: return &s_ssshoot9;
	case 0x2FE6: return &s_sschase1;
	case 0x2FF6: return &s_sschase1s;
	case 0x3006: return &s_sschase2;
	case 0x3016: return &s_sschase3;
	case 0x3026: return &s_sschase3s;
	case 0x3036: return &s_sschase4;
	case 0x3046: return &s_ssdie1;
	case 0x3056: return &s_ssdie2;
	case 0x3066: return &s_ssdie3;
	case 0x3076: return &s_ssdie4;
	case 0x3086: return &s_bossstand;
	case 0x3096: return &s_bosschase1;
	case 0x30A6: return &s_bosschase1s;
	case 0x30B6: return &s_bosschase2;
	case 0x30C6: return &s_bosschase3;
	case 0x30D6: return &s_bosschase3s;
	case 0x30E6: return &s_bosschase4;
	case 0x30F6: return &s_bossdie1;
	case 0x3106: return &s_bossdie2;
	case 0x3116: return &s_bossdie3;
	case 0x3126: return &s_bossdie4;
	case 0x3136: return &s_bossshoot1;
	case 0x3146: return &s_bossshoot2;
	case 0x3156: return &s_bossshoot3;
	case 0x3166: return &s_bossshoot4;
	case 0x3176: return &s_bossshoot5;
	case 0x3186: return &s_bossshoot6;
	case 0x3196: return &s_bossshoot7;
	case 0x31A6: return &s_bossshoot8;
	case 0x31BE: return &s_schabbstand;
	case 0x31CE: return &s_schabbchase1;
	case 0x31DE: return &s_schabbchase1s;
	case 0x31EE: return &s_schabbchase2;
	case 0x31FE: return &s_schabbchase3;
	case 0x320E: return &s_schabbchase3s;
	case 0x321E: return &s_schabbchase4;
	case 0x322E: return &s_schabbdie1;
	case 0x323E: return &s_schabbdie2;
	case 0x324E: return &s_schabbdie3;
	case 0x325E: return &s_schabbdie4;
	case 0x326E: return &s_schabbdie5;
	case 0x327E: return &s_schabbshoot1;
	case 0x328E: return &s_schabbshoot2;
	case 0x329E: return &s_needle1;
	case 0x32AE: return &s_needle2;
	case 0x32BE: return &s_needle3;
	case 0x32CE: return &s_needle4;
	case 0x32DE: return &s_fakestand;
	case 0x32EE: return &s_fakechase1;
	case 0x32FE: return &s_fakechase1s;
	case 0x330E: return &s_fakechase2;
	case 0x331E: return &s_fakechase3;
	case 0x332E: return &s_fakechase3s;
	case 0x333E: return &s_fakechase4;
	case 0x334E: return &s_fakedie1;
	case 0x335E: return &s_fakedie2;
	case 0x336E: return &s_fakedie3;
	case 0x337E: return &s_fakedie4;
	case 0x338E: return &s_fakedie5;
	case 0x339E: return &s_fakedie6;
	case 0x33AE: return &s_fakeshoot1;
	case 0x33BE: return &s_fakeshoot2;
	case 0x33CE: return &s_fakeshoot3;
	case 0x33DE: return &s_fakeshoot4;
	case 0x33EE: return &s_fakeshoot5;
	case 0x33FE: return &s_fakeshoot6;
	case 0x340E: return &s_fakeshoot7;
	case 0x341E: return &s_fakeshoot8;
	case 0x342E: return &s_fakeshoot9;
	case 0x343E: return &s_fire1;
	case 0x344E: return &s_fire2;
	case 0x345E: return &s_mechastand;
	case 0x346E: return &s_mechachase1;
	case 0x347E: return &s_mechachase1s;
	case 0x348E: return &s_mechachase2;
	case 0x349E: return &s_mechachase3;
	case 0x34AE: return &s_mechachase3s;
	case 0x34BE: return &s_mechachase4;
	case 0x34CE: return &s_mechadie1;
	case 0x34DE: return &s_mechadie2;
	case 0x34EE: return &s_mechadie3;
	case 0x34FE: return &s_mechadie4;
	case 0x350E: return &s_mechashoot1;
	case 0x351E: return &s_mechashoot2;
	case 0x352E: return &s_mechashoot3;
	case 0x353E: return &s_mechashoot4;
	case 0x354E: return &s_mechashoot5;
	case 0x355E: return &s_mechashoot6;
	case 0x356E: return &s_hitlerchase1;
	case 0x357E: return &s_hitlerchase1s;
	case 0x358E: return &s_hitlerchase2;
	case 0x359E: return &s_hitlerchase3;
	case 0x35AE: return &s_hitlerchase3s;
	case 0x35BE: return &s_hitlerchase4;
	case 0x35CE: return &s_hitlerdie1;
	case 0x35DE: return &s_hitlerdie2;
	case 0x35EE: return &s_hitlerdie3;
	case 0x35FE: return &s_hitlerdie4;
	case 0x360E: return &s_hitlerdie5;
	case 0x361E: return &s_hitlerdie6;
	case 0x362E: return &s_hitlerdie7;
	case 0x363E: return &s_hitlerdie8;
	case 0x364E: return &s_hitlerdie9;
	case 0x365E: return &s_hitlershoot1;
	case 0x366E: return &s_hitlershoot2;
	case 0x367E: return &s_hitlershoot3;
	case 0x368E: return &s_hitlershoot4;
	case 0x369E: return &s_hitlershoot5;
	case 0x36AE: return &s_hitlershoot6;
	case 0x36BE: return &s_bjrun1;
	case 0x36CE: return &s_bjrun1s;
	case 0x36DE: return &s_bjrun2;
	case 0x36EE: return &s_bjrun3;
	case 0x36FE: return &s_bjrun3s;
	case 0x370E: return &s_bjrun4;
	case 0x371E: return &s_bjjump1;
	case 0x372E: return &s_bjjump2;
	case 0x373E: return &s_bjjump3;
	case 0x374E: return &s_bjjump4;
	}
	return NULL;
}

REFKEEN_NS_E
#endif
