/* Wolfenstein 3D Source Code
 * Copyright (C) 1993-1996 id Software, Inc.
 *
 * This file is part of Wolfenstein 3D.
 *
 * Wolfenstein 3D is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Wolfenstein 3D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * As an addendum, you can further use the Wolfenstein 3D Source Code under
 * the terms of the limited use software license agreement for Wolfenstein 3D.
 * See id-wolf3d.txt for these terms.
 */

// New file used for preparing and converting pointers to states

#include "wl_def.h"

#ifdef REFKEEN_VER_WL1AP11
REFKEEN_NS_B

// List of all states
extern statetype s_player;
extern statetype s_attack;
extern statetype s_grdstand;
extern statetype s_grdpath1;
extern statetype s_grdpath1s;
extern statetype s_grdpath2;
extern statetype s_grdpath3;
extern statetype s_grdpath3s;
extern statetype s_grdpath4;
extern statetype s_grdpain;
extern statetype s_grdshoot1;
extern statetype s_grdshoot2;
extern statetype s_grdshoot3;
extern statetype s_grdchase1;
extern statetype s_grdchase1s;
extern statetype s_grdchase2;
extern statetype s_grdchase3;
extern statetype s_grdchase3s;
extern statetype s_grdchase4;
extern statetype s_grddie1;
extern statetype s_grddie2;
extern statetype s_grddie3;
extern statetype s_grddie4;
extern statetype s_blinkychase1;
extern statetype s_blinkychase2;
extern statetype s_inkychase1;
extern statetype s_inkychase2;
extern statetype s_pinkychase1;
extern statetype s_pinkychase2;
extern statetype s_clydechase1;
extern statetype s_clydechase2;
extern statetype s_dogpath1;
extern statetype s_dogpath1s;
extern statetype s_dogpath2;
extern statetype s_dogpath3;
extern statetype s_dogpath3s;
extern statetype s_dogpath4;
extern statetype s_dogjump1;
extern statetype s_dogjump2;
extern statetype s_dogjump3;
extern statetype s_dogjump4;
extern statetype s_dogjump5;
extern statetype s_dogchase1;
extern statetype s_dogchase1s;
extern statetype s_dogchase2;
extern statetype s_dogchase3;
extern statetype s_dogchase3s;
extern statetype s_dogchase4;
extern statetype s_dogdie1;
extern statetype s_dogdie2;
extern statetype s_dogdie3;
extern statetype s_dogdead;
extern statetype s_ofcstand;
extern statetype s_ofcpath1;
extern statetype s_ofcpath1s;
extern statetype s_ofcpath2;
extern statetype s_ofcpath3;
extern statetype s_ofcpath3s;
extern statetype s_ofcpath4;
extern statetype s_ofcpain;
extern statetype s_ofcshoot1;
extern statetype s_ofcshoot2;
extern statetype s_ofcshoot3;
extern statetype s_ofcchase1;
extern statetype s_ofcchase1s;
extern statetype s_ofcchase2;
extern statetype s_ofcchase3;
extern statetype s_ofcchase3s;
extern statetype s_ofcchase4;
extern statetype s_ofcdie1;
extern statetype s_ofcdie2;
extern statetype s_ofcdie3;
extern statetype s_ofcdie4;
extern statetype s_ofcdie5;
extern statetype s_mutstand;
extern statetype s_mutpath1;
extern statetype s_mutpath1s;
extern statetype s_mutpath2;
extern statetype s_mutpath3;
extern statetype s_mutpath3s;
extern statetype s_mutpath4;
extern statetype s_mutpain;
extern statetype s_mutshoot1;
extern statetype s_mutshoot2;
extern statetype s_mutshoot3;
extern statetype s_mutshoot4;
extern statetype s_mutchase1;
extern statetype s_mutchase1s;
extern statetype s_mutchase2;
extern statetype s_mutchase3;
extern statetype s_mutchase3s;
extern statetype s_mutchase4;
extern statetype s_mutdie1;
extern statetype s_mutdie2;
extern statetype s_mutdie3;
extern statetype s_mutdie4;
extern statetype s_mutdie5;
extern statetype s_ssstand;
extern statetype s_sspath1;
extern statetype s_sspath1s;
extern statetype s_sspath2;
extern statetype s_sspath3;
extern statetype s_sspath3s;
extern statetype s_sspath4;
extern statetype s_sspain;
extern statetype s_ssshoot1;
extern statetype s_ssshoot2;
extern statetype s_ssshoot3;
extern statetype s_ssshoot4;
extern statetype s_ssshoot5;
extern statetype s_ssshoot6;
extern statetype s_ssshoot7;
extern statetype s_ssshoot8;
extern statetype s_ssshoot9;
extern statetype s_sschase1;
extern statetype s_sschase1s;
extern statetype s_sschase2;
extern statetype s_sschase3;
extern statetype s_sschase3s;
extern statetype s_sschase4;
extern statetype s_ssdie1;
extern statetype s_ssdie2;
extern statetype s_ssdie3;
extern statetype s_ssdie4;
extern statetype s_bossstand;
extern statetype s_bosschase1;
extern statetype s_bosschase1s;
extern statetype s_bosschase2;
extern statetype s_bosschase3;
extern statetype s_bosschase3s;
extern statetype s_bosschase4;
extern statetype s_bossdie1;
extern statetype s_bossdie2;
extern statetype s_bossdie3;
extern statetype s_bossdie4;
extern statetype s_bossshoot1;
extern statetype s_bossshoot2;
extern statetype s_bossshoot3;
extern statetype s_bossshoot4;
extern statetype s_bossshoot5;
extern statetype s_bossshoot6;
extern statetype s_bossshoot7;
extern statetype s_bossshoot8;
extern statetype s_gretelstand;
extern statetype s_gretelchase1;
extern statetype s_gretelchase1s;
extern statetype s_gretelchase2;
extern statetype s_gretelchase3;
extern statetype s_gretelchase3s;
extern statetype s_gretelchase4;
extern statetype s_greteldie1;
extern statetype s_greteldie2;
extern statetype s_greteldie3;
extern statetype s_greteldie4;
extern statetype s_gretelshoot1;
extern statetype s_gretelshoot2;
extern statetype s_gretelshoot3;
extern statetype s_gretelshoot4;
extern statetype s_gretelshoot5;
extern statetype s_gretelshoot6;
extern statetype s_gretelshoot7;
extern statetype s_gretelshoot8;
extern statetype s_schabbstand;
extern statetype s_schabbchase1;
extern statetype s_schabbchase1s;
extern statetype s_schabbchase2;
extern statetype s_schabbchase3;
extern statetype s_schabbchase3s;
extern statetype s_schabbchase4;
extern statetype s_schabbdeathcam;
extern statetype s_schabbdie1;
extern statetype s_schabbdie2;
extern statetype s_schabbdie3;
extern statetype s_schabbdie4;
extern statetype s_schabbdie5;
extern statetype s_schabbdie6;
extern statetype s_schabbshoot1;
extern statetype s_schabbshoot2;
extern statetype s_needle1;
extern statetype s_needle2;
extern statetype s_needle3;
extern statetype s_needle4;
extern statetype s_giftstand;
extern statetype s_giftchase1;
extern statetype s_giftchase1s;
extern statetype s_giftchase2;
extern statetype s_giftchase3;
extern statetype s_giftchase3s;
extern statetype s_giftchase4;
extern statetype s_giftdeathcam;
extern statetype s_giftdie1;
extern statetype s_giftdie2;
extern statetype s_giftdie3;
extern statetype s_giftdie4;
extern statetype s_giftdie5;
extern statetype s_giftdie6;
extern statetype s_giftshoot1;
extern statetype s_giftshoot2;
extern statetype s_rocket;
extern statetype s_smoke1;
extern statetype s_smoke2;
extern statetype s_smoke3;
extern statetype s_smoke4;
extern statetype s_fatstand;
extern statetype s_fatchase1;
extern statetype s_fatchase1s;
extern statetype s_fatchase2;
extern statetype s_fatchase3;
extern statetype s_fatchase3s;
extern statetype s_fatchase4;
extern statetype s_fatdeathcam;
extern statetype s_fatdie1;
extern statetype s_fatdie2;
extern statetype s_fatdie3;
extern statetype s_fatdie4;
extern statetype s_fatdie5;
extern statetype s_fatdie6;
extern statetype s_fatshoot1;
extern statetype s_fatshoot2;
extern statetype s_fatshoot3;
extern statetype s_fatshoot4;
extern statetype s_fatshoot5;
extern statetype s_fatshoot6;
extern statetype s_fakestand;
extern statetype s_fakechase1;
extern statetype s_fakechase1s;
extern statetype s_fakechase2;
extern statetype s_fakechase3;
extern statetype s_fakechase3s;
extern statetype s_fakechase4;
extern statetype s_fakedie1;
extern statetype s_fakedie2;
extern statetype s_fakedie3;
extern statetype s_fakedie4;
extern statetype s_fakedie5;
extern statetype s_fakedie6;
extern statetype s_fakeshoot1;
extern statetype s_fakeshoot2;
extern statetype s_fakeshoot3;
extern statetype s_fakeshoot4;
extern statetype s_fakeshoot5;
extern statetype s_fakeshoot6;
extern statetype s_fakeshoot7;
extern statetype s_fakeshoot8;
extern statetype s_fakeshoot9;
extern statetype s_fire1;
extern statetype s_fire2;
extern statetype s_mechastand;
extern statetype s_mechachase1;
extern statetype s_mechachase1s;
extern statetype s_mechachase2;
extern statetype s_mechachase3;
extern statetype s_mechachase3s;
extern statetype s_mechachase4;
extern statetype s_mechadie1;
extern statetype s_mechadie2;
extern statetype s_mechadie3;
extern statetype s_mechadie4;
extern statetype s_mechashoot1;
extern statetype s_mechashoot2;
extern statetype s_mechashoot3;
extern statetype s_mechashoot4;
extern statetype s_mechashoot5;
extern statetype s_mechashoot6;
extern statetype s_hitlerchase1;
extern statetype s_hitlerchase1s;
extern statetype s_hitlerchase2;
extern statetype s_hitlerchase3;
extern statetype s_hitlerchase3s;
extern statetype s_hitlerchase4;
extern statetype s_hitlerdeathcam;
extern statetype s_hitlerdie1;
extern statetype s_hitlerdie2;
extern statetype s_hitlerdie3;
extern statetype s_hitlerdie4;
extern statetype s_hitlerdie5;
extern statetype s_hitlerdie6;
extern statetype s_hitlerdie7;
extern statetype s_hitlerdie8;
extern statetype s_hitlerdie9;
extern statetype s_hitlerdie10;
extern statetype s_hitlershoot1;
extern statetype s_hitlershoot2;
extern statetype s_hitlershoot3;
extern statetype s_hitlershoot4;
extern statetype s_hitlershoot5;
extern statetype s_hitlershoot6;
extern statetype s_bjrun1;
extern statetype s_bjrun1s;
extern statetype s_bjrun2;
extern statetype s_bjrun3;
extern statetype s_bjrun3s;
extern statetype s_bjrun4;
extern statetype s_bjjump1;
extern statetype s_bjjump2;
extern statetype s_bjjump3;
extern statetype s_bjjump4;
extern statetype s_deathcam;

void RefKeen_FillObjStatesWithDOSPointers_WL1(void)
{
	s_player.compatdospointer = 0x17A2;
	s_attack.compatdospointer = 0x17B2;
	s_grdstand.compatdospointer = 0x1A60;
	s_grdpath1.compatdospointer = 0x1A70;
	s_grdpath1s.compatdospointer = 0x1A80;
	s_grdpath2.compatdospointer = 0x1A90;
	s_grdpath3.compatdospointer = 0x1AA0;
	s_grdpath3s.compatdospointer = 0x1AB0;
	s_grdpath4.compatdospointer = 0x1AC0;
	s_grdpain.compatdospointer = 0x1AD0;
	s_grdshoot1.compatdospointer = 0x1AE0;
	s_grdshoot2.compatdospointer = 0x1AF0;
	s_grdshoot3.compatdospointer = 0x1B00;
	s_grdchase1.compatdospointer = 0x1B10;
	s_grdchase1s.compatdospointer = 0x1B20;
	s_grdchase2.compatdospointer = 0x1B30;
	s_grdchase3.compatdospointer = 0x1B40;
	s_grdchase3s.compatdospointer = 0x1B50;
	s_grdchase4.compatdospointer = 0x1B60;
	s_grddie1.compatdospointer = 0x1B70;
	s_grddie2.compatdospointer = 0x1B80;
	s_grddie3.compatdospointer = 0x1B90;
	s_grddie4.compatdospointer = 0x1BA0;
	s_blinkychase1.compatdospointer = 0x1BB0;
	s_blinkychase2.compatdospointer = 0x1BC0;
	s_inkychase1.compatdospointer = 0x1BD0;
	s_inkychase2.compatdospointer = 0x1BE0;
	s_pinkychase1.compatdospointer = 0x1BF0;
	s_pinkychase2.compatdospointer = 0x1C00;
	s_clydechase1.compatdospointer = 0x1C10;
	s_clydechase2.compatdospointer = 0x1C20;
	s_dogpath1.compatdospointer = 0x1C30;
	s_dogpath1s.compatdospointer = 0x1C40;
	s_dogpath2.compatdospointer = 0x1C50;
	s_dogpath3.compatdospointer = 0x1C60;
	s_dogpath3s.compatdospointer = 0x1C70;
	s_dogpath4.compatdospointer = 0x1C80;
	s_dogjump1.compatdospointer = 0x1C90;
	s_dogjump2.compatdospointer = 0x1CA0;
	s_dogjump3.compatdospointer = 0x1CB0;
	s_dogjump4.compatdospointer = 0x1CC0;
	s_dogjump5.compatdospointer = 0x1CD0;
	s_dogchase1.compatdospointer = 0x1CE0;
	s_dogchase1s.compatdospointer = 0x1CF0;
	s_dogchase2.compatdospointer = 0x1D00;
	s_dogchase3.compatdospointer = 0x1D10;
	s_dogchase3s.compatdospointer = 0x1D20;
	s_dogchase4.compatdospointer = 0x1D30;
	s_dogdie1.compatdospointer = 0x1D40;
	s_dogdie2.compatdospointer = 0x1D50;
	s_dogdie3.compatdospointer = 0x1D60;
	s_dogdead.compatdospointer = 0x1D70;
	s_ofcstand.compatdospointer = 0x1D80;
	s_ofcpath1.compatdospointer = 0x1D90;
	s_ofcpath1s.compatdospointer = 0x1DA0;
	s_ofcpath2.compatdospointer = 0x1DB0;
	s_ofcpath3.compatdospointer = 0x1DC0;
	s_ofcpath3s.compatdospointer = 0x1DD0;
	s_ofcpath4.compatdospointer = 0x1DE0;
	s_ofcpain.compatdospointer = 0x1DF0;
	s_ofcshoot1.compatdospointer = 0x1E00;
	s_ofcshoot2.compatdospointer = 0x1E10;
	s_ofcshoot3.compatdospointer = 0x1E20;
	s_ofcchase1.compatdospointer = 0x1E30;
	s_ofcchase1s.compatdospointer = 0x1E40;
	s_ofcchase2.compatdospointer = 0x1E50;
	s_ofcchase3.compatdospointer = 0x1E60;
	s_ofcchase3s.compatdospointer = 0x1E70;
	s_ofcchase4.compatdospointer = 0x1E80;
	s_ofcdie1.compatdospointer = 0x1E90;
	s_ofcdie2.compatdospointer = 0x1EA0;
	s_ofcdie3.compatdospointer = 0x1EB0;
	s_ofcdie4.compatdospointer = 0x1EC0;
	s_ofcdie5.compatdospointer = 0x1ED0;
	s_mutstand.compatdospointer = 0x1EE0;
	s_mutpath1.compatdospointer = 0x1EF0;
	s_mutpath1s.compatdospointer = 0x1F00;
	s_mutpath2.compatdospointer = 0x1F10;
	s_mutpath3.compatdospointer = 0x1F20;
	s_mutpath3s.compatdospointer = 0x1F30;
	s_mutpath4.compatdospointer = 0x1F40;
	s_mutpain.compatdospointer = 0x1F50;
	s_mutshoot1.compatdospointer = 0x1F60;
	s_mutshoot2.compatdospointer = 0x1F70;
	s_mutshoot3.compatdospointer = 0x1F80;
	s_mutshoot4.compatdospointer = 0x1F90;
	s_mutchase1.compatdospointer = 0x1FA0;
	s_mutchase1s.compatdospointer = 0x1FB0;
	s_mutchase2.compatdospointer = 0x1FC0;
	s_mutchase3.compatdospointer = 0x1FD0;
	s_mutchase3s.compatdospointer = 0x1FE0;
	s_mutchase4.compatdospointer = 0x1FF0;
	s_mutdie1.compatdospointer = 0x2000;
	s_mutdie2.compatdospointer = 0x2010;
	s_mutdie3.compatdospointer = 0x2020;
	s_mutdie4.compatdospointer = 0x2030;
	s_mutdie5.compatdospointer = 0x2040;
	s_ssstand.compatdospointer = 0x2050;
	s_sspath1.compatdospointer = 0x2060;
	s_sspath1s.compatdospointer = 0x2070;
	s_sspath2.compatdospointer = 0x2080;
	s_sspath3.compatdospointer = 0x2090;
	s_sspath3s.compatdospointer = 0x20A0;
	s_sspath4.compatdospointer = 0x20B0;
	s_sspain.compatdospointer = 0x20C0;
	s_ssshoot1.compatdospointer = 0x20D0;
	s_ssshoot2.compatdospointer = 0x20E0;
	s_ssshoot3.compatdospointer = 0x20F0;
	s_ssshoot4.compatdospointer = 0x2100;
	s_ssshoot5.compatdospointer = 0x2110;
	s_ssshoot6.compatdospointer = 0x2120;
	s_ssshoot7.compatdospointer = 0x2130;
	s_ssshoot8.compatdospointer = 0x2140;
	s_ssshoot9.compatdospointer = 0x2150;
	s_sschase1.compatdospointer = 0x2160;
	s_sschase1s.compatdospointer = 0x2170;
	s_sschase2.compatdospointer = 0x2180;
	s_sschase3.compatdospointer = 0x2190;
	s_sschase3s.compatdospointer = 0x21A0;
	s_sschase4.compatdospointer = 0x21B0;
	s_ssdie1.compatdospointer = 0x21C0;
	s_ssdie2.compatdospointer = 0x21D0;
	s_ssdie3.compatdospointer = 0x21E0;
	s_ssdie4.compatdospointer = 0x21F0;
	s_bossstand.compatdospointer = 0x2200;
	s_bosschase1.compatdospointer = 0x2210;
	s_bosschase1s.compatdospointer = 0x2220;
	s_bosschase2.compatdospointer = 0x2230;
	s_bosschase3.compatdospointer = 0x2240;
	s_bosschase3s.compatdospointer = 0x2250;
	s_bosschase4.compatdospointer = 0x2260;
	s_bossdie1.compatdospointer = 0x2270;
	s_bossdie2.compatdospointer = 0x2280;
	s_bossdie3.compatdospointer = 0x2290;
	s_bossdie4.compatdospointer = 0x22A0;
	s_bossshoot1.compatdospointer = 0x22B0;
	s_bossshoot2.compatdospointer = 0x22C0;
	s_bossshoot3.compatdospointer = 0x22D0;
	s_bossshoot4.compatdospointer = 0x22E0;
	s_bossshoot5.compatdospointer = 0x22F0;
	s_bossshoot6.compatdospointer = 0x2300;
	s_bossshoot7.compatdospointer = 0x2310;
	s_bossshoot8.compatdospointer = 0x2320;
	s_gretelstand.compatdospointer = 0x2330;
	s_gretelchase1.compatdospointer = 0x2340;
	s_gretelchase1s.compatdospointer = 0x2350;
	s_gretelchase2.compatdospointer = 0x2360;
	s_gretelchase3.compatdospointer = 0x2370;
	s_gretelchase3s.compatdospointer = 0x2380;
	s_gretelchase4.compatdospointer = 0x2390;
	s_greteldie1.compatdospointer = 0x23A0;
	s_greteldie2.compatdospointer = 0x23B0;
	s_greteldie3.compatdospointer = 0x23C0;
	s_greteldie4.compatdospointer = 0x23D0;
	s_gretelshoot1.compatdospointer = 0x23E0;
	s_gretelshoot2.compatdospointer = 0x23F0;
	s_gretelshoot3.compatdospointer = 0x2400;
	s_gretelshoot4.compatdospointer = 0x2410;
	s_gretelshoot5.compatdospointer = 0x2420;
	s_gretelshoot6.compatdospointer = 0x2430;
	s_gretelshoot7.compatdospointer = 0x2440;
	s_gretelshoot8.compatdospointer = 0x2450;
	s_schabbstand.compatdospointer = 0x2472;
	s_schabbchase1.compatdospointer = 0x2482;
	s_schabbchase1s.compatdospointer = 0x2492;
	s_schabbchase2.compatdospointer = 0x24A2;
	s_schabbchase3.compatdospointer = 0x24B2;
	s_schabbchase3s.compatdospointer = 0x24C2;
	s_schabbchase4.compatdospointer = 0x24D2;
	s_schabbdeathcam.compatdospointer = 0x24E2;
	s_schabbdie1.compatdospointer = 0x24F2;
	s_schabbdie2.compatdospointer = 0x2502;
	s_schabbdie3.compatdospointer = 0x2512;
	s_schabbdie4.compatdospointer = 0x2522;
	s_schabbdie5.compatdospointer = 0x2532;
	s_schabbdie6.compatdospointer = 0x2542;
	s_schabbshoot1.compatdospointer = 0x2552;
	s_schabbshoot2.compatdospointer = 0x2562;
	s_needle1.compatdospointer = 0x2572;
	s_needle2.compatdospointer = 0x2582;
	s_needle3.compatdospointer = 0x2592;
	s_needle4.compatdospointer = 0x25A2;
	s_giftstand.compatdospointer = 0x25B2;
	s_giftchase1.compatdospointer = 0x25C2;
	s_giftchase1s.compatdospointer = 0x25D2;
	s_giftchase2.compatdospointer = 0x25E2;
	s_giftchase3.compatdospointer = 0x25F2;
	s_giftchase3s.compatdospointer = 0x2602;
	s_giftchase4.compatdospointer = 0x2612;
	s_giftdeathcam.compatdospointer = 0x2622;
	s_giftdie1.compatdospointer = 0x2632;
	s_giftdie2.compatdospointer = 0x2642;
	s_giftdie3.compatdospointer = 0x2652;
	s_giftdie4.compatdospointer = 0x2662;
	s_giftdie5.compatdospointer = 0x2672;
	s_giftdie6.compatdospointer = 0x2682;
	s_giftshoot1.compatdospointer = 0x2692;
	s_giftshoot2.compatdospointer = 0x26A2;
	s_rocket.compatdospointer = 0x26B2;
	s_smoke1.compatdospointer = 0x26C2;
	s_smoke2.compatdospointer = 0x26D2;
	s_smoke3.compatdospointer = 0x26E2;
	s_smoke4.compatdospointer = 0x26F2;
	s_fatstand.compatdospointer = 0x2702;
	s_fatchase1.compatdospointer = 0x2712;
	s_fatchase1s.compatdospointer = 0x2722;
	s_fatchase2.compatdospointer = 0x2732;
	s_fatchase3.compatdospointer = 0x2742;
	s_fatchase3s.compatdospointer = 0x2752;
	s_fatchase4.compatdospointer = 0x2762;
	s_fatdeathcam.compatdospointer = 0x2772;
	s_fatdie1.compatdospointer = 0x2782;
	s_fatdie2.compatdospointer = 0x2792;
	s_fatdie3.compatdospointer = 0x27A2;
	s_fatdie4.compatdospointer = 0x27B2;
	s_fatdie5.compatdospointer = 0x27C2;
	s_fatdie6.compatdospointer = 0x27D2;
	s_fatshoot1.compatdospointer = 0x27E2;
	s_fatshoot2.compatdospointer = 0x27F2;
	s_fatshoot3.compatdospointer = 0x2802;
	s_fatshoot4.compatdospointer = 0x2812;
	s_fatshoot5.compatdospointer = 0x2822;
	s_fatshoot6.compatdospointer = 0x2832;
	s_fakestand.compatdospointer = 0x2842;
	s_fakechase1.compatdospointer = 0x2852;
	s_fakechase1s.compatdospointer = 0x2862;
	s_fakechase2.compatdospointer = 0x2872;
	s_fakechase3.compatdospointer = 0x2882;
	s_fakechase3s.compatdospointer = 0x2892;
	s_fakechase4.compatdospointer = 0x28A2;
	s_fakedie1.compatdospointer = 0x28B2;
	s_fakedie2.compatdospointer = 0x28C2;
	s_fakedie3.compatdospointer = 0x28D2;
	s_fakedie4.compatdospointer = 0x28E2;
	s_fakedie5.compatdospointer = 0x28F2;
	s_fakedie6.compatdospointer = 0x2902;
	s_fakeshoot1.compatdospointer = 0x2912;
	s_fakeshoot2.compatdospointer = 0x2922;
	s_fakeshoot3.compatdospointer = 0x2932;
	s_fakeshoot4.compatdospointer = 0x2942;
	s_fakeshoot5.compatdospointer = 0x2952;
	s_fakeshoot6.compatdospointer = 0x2962;
	s_fakeshoot7.compatdospointer = 0x2972;
	s_fakeshoot8.compatdospointer = 0x2982;
	s_fakeshoot9.compatdospointer = 0x2992;
	s_fire1.compatdospointer = 0x29A2;
	s_fire2.compatdospointer = 0x29B2;
	s_mechastand.compatdospointer = 0x29C2;
	s_mechachase1.compatdospointer = 0x29D2;
	s_mechachase1s.compatdospointer = 0x29E2;
	s_mechachase2.compatdospointer = 0x29F2;
	s_mechachase3.compatdospointer = 0x2A02;
	s_mechachase3s.compatdospointer = 0x2A12;
	s_mechachase4.compatdospointer = 0x2A22;
	s_mechadie1.compatdospointer = 0x2A32;
	s_mechadie2.compatdospointer = 0x2A42;
	s_mechadie3.compatdospointer = 0x2A52;
	s_mechadie4.compatdospointer = 0x2A62;
	s_mechashoot1.compatdospointer = 0x2A72;
	s_mechashoot2.compatdospointer = 0x2A82;
	s_mechashoot3.compatdospointer = 0x2A92;
	s_mechashoot4.compatdospointer = 0x2AA2;
	s_mechashoot5.compatdospointer = 0x2AB2;
	s_mechashoot6.compatdospointer = 0x2AC2;
	s_hitlerchase1.compatdospointer = 0x2AD2;
	s_hitlerchase1s.compatdospointer = 0x2AE2;
	s_hitlerchase2.compatdospointer = 0x2AF2;
	s_hitlerchase3.compatdospointer = 0x2B02;
	s_hitlerchase3s.compatdospointer = 0x2B12;
	s_hitlerchase4.compatdospointer = 0x2B22;
	s_hitlerdeathcam.compatdospointer = 0x2B32;
	s_hitlerdie1.compatdospointer = 0x2B42;
	s_hitlerdie2.compatdospointer = 0x2B52;
	s_hitlerdie3.compatdospointer = 0x2B62;
	s_hitlerdie4.compatdospointer = 0x2B72;
	s_hitlerdie5.compatdospointer = 0x2B82;
	s_hitlerdie6.compatdospointer = 0x2B92;
	s_hitlerdie7.compatdospointer = 0x2BA2;
	s_hitlerdie8.compatdospointer = 0x2BB2;
	s_hitlerdie9.compatdospointer = 0x2BC2;
	s_hitlerdie10.compatdospointer = 0x2BD2;
	s_hitlershoot1.compatdospointer = 0x2BE2;
	s_hitlershoot2.compatdospointer = 0x2BF2;
	s_hitlershoot3.compatdospointer = 0x2C02;
	s_hitlershoot4.compatdospointer = 0x2C12;
	s_hitlershoot5.compatdospointer = 0x2C22;
	s_hitlershoot6.compatdospointer = 0x2C32;
	s_bjrun1.compatdospointer = 0x2C4A;
	s_bjrun1s.compatdospointer = 0x2C5A;
	s_bjrun2.compatdospointer = 0x2C6A;
	s_bjrun3.compatdospointer = 0x2C7A;
	s_bjrun3s.compatdospointer = 0x2C8A;
	s_bjrun4.compatdospointer = 0x2C9A;
	s_bjjump1.compatdospointer = 0x2CAA;
	s_bjjump2.compatdospointer = 0x2CBA;
	s_bjjump3.compatdospointer = 0x2CCA;
	s_bjjump4.compatdospointer = 0x2CDA;
	s_deathcam.compatdospointer = 0x2CEA;
}

void* RefKeen_GetObjStatePtrFromDOSPointer_WL1(uint_fast32_t dosptr)
{
	switch (dosptr)
	{
	case 0x17A2: return &s_player;
	case 0x17B2: return &s_attack;
	case 0x1A60: return &s_grdstand;
	case 0x1A70: return &s_grdpath1;
	case 0x1A80: return &s_grdpath1s;
	case 0x1A90: return &s_grdpath2;
	case 0x1AA0: return &s_grdpath3;
	case 0x1AB0: return &s_grdpath3s;
	case 0x1AC0: return &s_grdpath4;
	case 0x1AD0: return &s_grdpain;
	case 0x1AE0: return &s_grdshoot1;
	case 0x1AF0: return &s_grdshoot2;
	case 0x1B00: return &s_grdshoot3;
	case 0x1B10: return &s_grdchase1;
	case 0x1B20: return &s_grdchase1s;
	case 0x1B30: return &s_grdchase2;
	case 0x1B40: return &s_grdchase3;
	case 0x1B50: return &s_grdchase3s;
	case 0x1B60: return &s_grdchase4;
	case 0x1B70: return &s_grddie1;
	case 0x1B80: return &s_grddie2;
	case 0x1B90: return &s_grddie3;
	case 0x1BA0: return &s_grddie4;
	case 0x1BB0: return &s_blinkychase1;
	case 0x1BC0: return &s_blinkychase2;
	case 0x1BD0: return &s_inkychase1;
	case 0x1BE0: return &s_inkychase2;
	case 0x1BF0: return &s_pinkychase1;
	case 0x1C00: return &s_pinkychase2;
	case 0x1C10: return &s_clydechase1;
	case 0x1C20: return &s_clydechase2;
	case 0x1C30: return &s_dogpath1;
	case 0x1C40: return &s_dogpath1s;
	case 0x1C50: return &s_dogpath2;
	case 0x1C60: return &s_dogpath3;
	case 0x1C70: return &s_dogpath3s;
	case 0x1C80: return &s_dogpath4;
	case 0x1C90: return &s_dogjump1;
	case 0x1CA0: return &s_dogjump2;
	case 0x1CB0: return &s_dogjump3;
	case 0x1CC0: return &s_dogjump4;
	case 0x1CD0: return &s_dogjump5;
	case 0x1CE0: return &s_dogchase1;
	case 0x1CF0: return &s_dogchase1s;
	case 0x1D00: return &s_dogchase2;
	case 0x1D10: return &s_dogchase3;
	case 0x1D20: return &s_dogchase3s;
	case 0x1D30: return &s_dogchase4;
	case 0x1D40: return &s_dogdie1;
	case 0x1D50: return &s_dogdie2;
	case 0x1D60: return &s_dogdie3;
	case 0x1D70: return &s_dogdead;
	case 0x1D80: return &s_ofcstand;
	case 0x1D90: return &s_ofcpath1;
	case 0x1DA0: return &s_ofcpath1s;
	case 0x1DB0: return &s_ofcpath2;
	case 0x1DC0: return &s_ofcpath3;
	case 0x1DD0: return &s_ofcpath3s;
	case 0x1DE0: return &s_ofcpath4;
	case 0x1DF0: return &s_ofcpain;
	case 0x1E00: return &s_ofcshoot1;
	case 0x1E10: return &s_ofcshoot2;
	case 0x1E20: return &s_ofcshoot3;
	case 0x1E30: return &s_ofcchase1;
	case 0x1E40: return &s_ofcchase1s;
	case 0x1E50: return &s_ofcchase2;
	case 0x1E60: return &s_ofcchase3;
	case 0x1E70: return &s_ofcchase3s;
	case 0x1E80: return &s_ofcchase4;
	case 0x1E90: return &s_ofcdie1;
	case 0x1EA0: return &s_ofcdie2;
	case 0x1EB0: return &s_ofcdie3;
	case 0x1EC0: return &s_ofcdie4;
	case 0x1ED0: return &s_ofcdie5;
	case 0x1EE0: return &s_mutstand;
	case 0x1EF0: return &s_mutpath1;
	case 0x1F00: return &s_mutpath1s;
	case 0x1F10: return &s_mutpath2;
	case 0x1F20: return &s_mutpath3;
	case 0x1F30: return &s_mutpath3s;
	case 0x1F40: return &s_mutpath4;
	case 0x1F50: return &s_mutpain;
	case 0x1F60: return &s_mutshoot1;
	case 0x1F70: return &s_mutshoot2;
	case 0x1F80: return &s_mutshoot3;
	case 0x1F90: return &s_mutshoot4;
	case 0x1FA0: return &s_mutchase1;
	case 0x1FB0: return &s_mutchase1s;
	case 0x1FC0: return &s_mutchase2;
	case 0x1FD0: return &s_mutchase3;
	case 0x1FE0: return &s_mutchase3s;
	case 0x1FF0: return &s_mutchase4;
	case 0x2000: return &s_mutdie1;
	case 0x2010: return &s_mutdie2;
	case 0x2020: return &s_mutdie3;
	case 0x2030: return &s_mutdie4;
	case 0x2040: return &s_mutdie5;
	case 0x2050: return &s_ssstand;
	case 0x2060: return &s_sspath1;
	case 0x2070: return &s_sspath1s;
	case 0x2080: return &s_sspath2;
	case 0x2090: return &s_sspath3;
	case 0x20A0: return &s_sspath3s;
	case 0x20B0: return &s_sspath4;
	case 0x20C0: return &s_sspain;
	case 0x20D0: return &s_ssshoot1;
	case 0x20E0: return &s_ssshoot2;
	case 0x20F0: return &s_ssshoot3;
	case 0x2100: return &s_ssshoot4;
	case 0x2110: return &s_ssshoot5;
	case 0x2120: return &s_ssshoot6;
	case 0x2130: return &s_ssshoot7;
	case 0x2140: return &s_ssshoot8;
	case 0x2150: return &s_ssshoot9;
	case 0x2160: return &s_sschase1;
	case 0x2170: return &s_sschase1s;
	case 0x2180: return &s_sschase2;
	case 0x2190: return &s_sschase3;
	case 0x21A0: return &s_sschase3s;
	case 0x21B0: return &s_sschase4;
	case 0x21C0: return &s_ssdie1;
	case 0x21D0: return &s_ssdie2;
	case 0x21E0: return &s_ssdie3;
	case 0x21F0: return &s_ssdie4;
	case 0x2200: return &s_bossstand;
	case 0x2210: return &s_bosschase1;
	case 0x2220: return &s_bosschase1s;
	case 0x2230: return &s_bosschase2;
	case 0x2240: return &s_bosschase3;
	case 0x2250: return &s_bosschase3s;
	case 0x2260: return &s_bosschase4;
	case 0x2270: return &s_bossdie1;
	case 0x2280: return &s_bossdie2;
	case 0x2290: return &s_bossdie3;
	case 0x22A0: return &s_bossdie4;
	case 0x22B0: return &s_bossshoot1;
	case 0x22C0: return &s_bossshoot2;
	case 0x22D0: return &s_bossshoot3;
	case 0x22E0: return &s_bossshoot4;
	case 0x22F0: return &s_bossshoot5;
	case 0x2300: return &s_bossshoot6;
	case 0x2310: return &s_bossshoot7;
	case 0x2320: return &s_bossshoot8;
	case 0x2330: return &s_gretelstand;
	case 0x2340: return &s_gretelchase1;
	case 0x2350: return &s_gretelchase1s;
	case 0x2360: return &s_gretelchase2;
	case 0x2370: return &s_gretelchase3;
	case 0x2380: return &s_gretelchase3s;
	case 0x2390: return &s_gretelchase4;
	case 0x23A0: return &s_greteldie1;
	case 0x23B0: return &s_greteldie2;
	case 0x23C0: return &s_greteldie3;
	case 0x23D0: return &s_greteldie4;
	case 0x23E0: return &s_gretelshoot1;
	case 0x23F0: return &s_gretelshoot2;
	case 0x2400: return &s_gretelshoot3;
	case 0x2410: return &s_gretelshoot4;
	case 0x2420: return &s_gretelshoot5;
	case 0x2430: return &s_gretelshoot6;
	case 0x2440: return &s_gretelshoot7;
	case 0x2450: return &s_gretelshoot8;
	case 0x2472: return &s_schabbstand;
	case 0x2482: return &s_schabbchase1;
	case 0x2492: return &s_schabbchase1s;
	case 0x24A2: return &s_schabbchase2;
	case 0x24B2: return &s_schabbchase3;
	case 0x24C2: return &s_schabbchase3s;
	case 0x24D2: return &s_schabbchase4;
	case 0x24E2: return &s_schabbdeathcam;
	case 0x24F2: return &s_schabbdie1;
	case 0x2502: return &s_schabbdie2;
	case 0x2512: return &s_schabbdie3;
	case 0x2522: return &s_schabbdie4;
	case 0x2532: return &s_schabbdie5;
	case 0x2542: return &s_schabbdie6;
	case 0x2552: return &s_schabbshoot1;
	case 0x2562: return &s_schabbshoot2;
	case 0x2572: return &s_needle1;
	case 0x2582: return &s_needle2;
	case 0x2592: return &s_needle3;
	case 0x25A2: return &s_needle4;
	case 0x25B2: return &s_giftstand;
	case 0x25C2: return &s_giftchase1;
	case 0x25D2: return &s_giftchase1s;
	case 0x25E2: return &s_giftchase2;
	case 0x25F2: return &s_giftchase3;
	case 0x2602: return &s_giftchase3s;
	case 0x2612: return &s_giftchase4;
	case 0x2622: return &s_giftdeathcam;
	case 0x2632: return &s_giftdie1;
	case 0x2642: return &s_giftdie2;
	case 0x2652: return &s_giftdie3;
	case 0x2662: return &s_giftdie4;
	case 0x2672: return &s_giftdie5;
	case 0x2682: return &s_giftdie6;
	case 0x2692: return &s_giftshoot1;
	case 0x26A2: return &s_giftshoot2;
	case 0x26B2: return &s_rocket;
	case 0x26C2: return &s_smoke1;
	case 0x26D2: return &s_smoke2;
	case 0x26E2: return &s_smoke3;
	case 0x26F2: return &s_smoke4;
	case 0x2702: return &s_fatstand;
	case 0x2712: return &s_fatchase1;
	case 0x2722: return &s_fatchase1s;
	case 0x2732: return &s_fatchase2;
	case 0x2742: return &s_fatchase3;
	case 0x2752: return &s_fatchase3s;
	case 0x2762: return &s_fatchase4;
	case 0x2772: return &s_fatdeathcam;
	case 0x2782: return &s_fatdie1;
	case 0x2792: return &s_fatdie2;
	case 0x27A2: return &s_fatdie3;
	case 0x27B2: return &s_fatdie4;
	case 0x27C2: return &s_fatdie5;
	case 0x27D2: return &s_fatdie6;
	case 0x27E2: return &s_fatshoot1;
	case 0x27F2: return &s_fatshoot2;
	case 0x2802: return &s_fatshoot3;
	case 0x2812: return &s_fatshoot4;
	case 0x2822: return &s_fatshoot5;
	case 0x2832: return &s_fatshoot6;
	case 0x2842: return &s_fakestand;
	case 0x2852: return &s_fakechase1;
	case 0x2862: return &s_fakechase1s;
	case 0x2872: return &s_fakechase2;
	case 0x2882: return &s_fakechase3;
	case 0x2892: return &s_fakechase3s;
	case 0x28A2: return &s_fakechase4;
	case 0x28B2: return &s_fakedie1;
	case 0x28C2: return &s_fakedie2;
	case 0x28D2: return &s_fakedie3;
	case 0x28E2: return &s_fakedie4;
	case 0x28F2: return &s_fakedie5;
	case 0x2902: return &s_fakedie6;
	case 0x2912: return &s_fakeshoot1;
	case 0x2922: return &s_fakeshoot2;
	case 0x2932: return &s_fakeshoot3;
	case 0x2942: return &s_fakeshoot4;
	case 0x2952: return &s_fakeshoot5;
	case 0x2962: return &s_fakeshoot6;
	case 0x2972: return &s_fakeshoot7;
	case 0x2982: return &s_fakeshoot8;
	case 0x2992: return &s_fakeshoot9;
	case 0x29A2: return &s_fire1;
	case 0x29B2: return &s_fire2;
	case 0x29C2: return &s_mechastand;
	case 0x29D2: return &s_mechachase1;
	case 0x29E2: return &s_mechachase1s;
	case 0x29F2: return &s_mechachase2;
	case 0x2A02: return &s_mechachase3;
	case 0x2A12: return &s_mechachase3s;
	case 0x2A22: return &s_mechachase4;
	case 0x2A32: return &s_mechadie1;
	case 0x2A42: return &s_mechadie2;
	case 0x2A52: return &s_mechadie3;
	case 0x2A62: return &s_mechadie4;
	case 0x2A72: return &s_mechashoot1;
	case 0x2A82: return &s_mechashoot2;
	case 0x2A92: return &s_mechashoot3;
	case 0x2AA2: return &s_mechashoot4;
	case 0x2AB2: return &s_mechashoot5;
	case 0x2AC2: return &s_mechashoot6;
	case 0x2AD2: return &s_hitlerchase1;
	case 0x2AE2: return &s_hitlerchase1s;
	case 0x2AF2: return &s_hitlerchase2;
	case 0x2B02: return &s_hitlerchase3;
	case 0x2B12: return &s_hitlerchase3s;
	case 0x2B22: return &s_hitlerchase4;
	case 0x2B32: return &s_hitlerdeathcam;
	case 0x2B42: return &s_hitlerdie1;
	case 0x2B52: return &s_hitlerdie2;
	case 0x2B62: return &s_hitlerdie3;
	case 0x2B72: return &s_hitlerdie4;
	case 0x2B82: return &s_hitlerdie5;
	case 0x2B92: return &s_hitlerdie6;
	case 0x2BA2: return &s_hitlerdie7;
	case 0x2BB2: return &s_hitlerdie8;
	case 0x2BC2: return &s_hitlerdie9;
	case 0x2BD2: return &s_hitlerdie10;
	case 0x2BE2: return &s_hitlershoot1;
	case 0x2BF2: return &s_hitlershoot2;
	case 0x2C02: return &s_hitlershoot3;
	case 0x2C12: return &s_hitlershoot4;
	case 0x2C22: return &s_hitlershoot5;
	case 0x2C32: return &s_hitlershoot6;
	case 0x2C4A: return &s_bjrun1;
	case 0x2C5A: return &s_bjrun1s;
	case 0x2C6A: return &s_bjrun2;
	case 0x2C7A: return &s_bjrun3;
	case 0x2C8A: return &s_bjrun3s;
	case 0x2C9A: return &s_bjrun4;
	case 0x2CAA: return &s_bjjump1;
	case 0x2CBA: return &s_bjjump2;
	case 0x2CCA: return &s_bjjump3;
	case 0x2CDA: return &s_bjjump4;
	case 0x2CEA: return &s_deathcam;
	}
	return NULL;
}

REFKEEN_NS_E
#endif
