/* Wolfenstein 3D Source Code
 * Copyright (C) 1993-1996 id Software, Inc.
 *
 * This file is part of Wolfenstein 3D.
 *
 * Wolfenstein 3D is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Wolfenstein 3D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * As an addendum, you can further use the Wolfenstein 3D Source Code under
 * the terms of the limited use software license agreement for Wolfenstein 3D.
 * See id-wolf3d.txt for these terms.
 */

// New file used for preparing and converting pointers to states

#include "wl_def.h"

#ifdef REFKEEN_VER_WL6AP11
REFKEEN_NS_B

// List of all states
extern statetype s_player;
extern statetype s_attack;
extern statetype s_grdstand;
extern statetype s_grdpath1;
extern statetype s_grdpath1s;
extern statetype s_grdpath2;
extern statetype s_grdpath3;
extern statetype s_grdpath3s;
extern statetype s_grdpath4;
extern statetype s_grdpain;
extern statetype s_grdshoot1;
extern statetype s_grdshoot2;
extern statetype s_grdshoot3;
extern statetype s_grdchase1;
extern statetype s_grdchase1s;
extern statetype s_grdchase2;
extern statetype s_grdchase3;
extern statetype s_grdchase3s;
extern statetype s_grdchase4;
extern statetype s_grddie1;
extern statetype s_grddie2;
extern statetype s_grddie3;
extern statetype s_grddie4;
extern statetype s_blinkychase1;
extern statetype s_blinkychase2;
extern statetype s_inkychase1;
extern statetype s_inkychase2;
extern statetype s_pinkychase1;
extern statetype s_pinkychase2;
extern statetype s_clydechase1;
extern statetype s_clydechase2;
extern statetype s_dogpath1;
extern statetype s_dogpath1s;
extern statetype s_dogpath2;
extern statetype s_dogpath3;
extern statetype s_dogpath3s;
extern statetype s_dogpath4;
extern statetype s_dogjump1;
extern statetype s_dogjump2;
extern statetype s_dogjump3;
extern statetype s_dogjump4;
extern statetype s_dogjump5;
extern statetype s_dogchase1;
extern statetype s_dogchase1s;
extern statetype s_dogchase2;
extern statetype s_dogchase3;
extern statetype s_dogchase3s;
extern statetype s_dogchase4;
extern statetype s_dogdie1;
extern statetype s_dogdie2;
extern statetype s_dogdie3;
extern statetype s_dogdead;
extern statetype s_ofcstand;
extern statetype s_ofcpath1;
extern statetype s_ofcpath1s;
extern statetype s_ofcpath2;
extern statetype s_ofcpath3;
extern statetype s_ofcpath3s;
extern statetype s_ofcpath4;
extern statetype s_ofcpain;
extern statetype s_ofcshoot1;
extern statetype s_ofcshoot2;
extern statetype s_ofcshoot3;
extern statetype s_ofcchase1;
extern statetype s_ofcchase1s;
extern statetype s_ofcchase2;
extern statetype s_ofcchase3;
extern statetype s_ofcchase3s;
extern statetype s_ofcchase4;
extern statetype s_ofcdie1;
extern statetype s_ofcdie2;
extern statetype s_ofcdie3;
extern statetype s_ofcdie4;
extern statetype s_ofcdie5;
extern statetype s_mutstand;
extern statetype s_mutpath1;
extern statetype s_mutpath1s;
extern statetype s_mutpath2;
extern statetype s_mutpath3;
extern statetype s_mutpath3s;
extern statetype s_mutpath4;
extern statetype s_mutpain;
extern statetype s_mutshoot1;
extern statetype s_mutshoot2;
extern statetype s_mutshoot3;
extern statetype s_mutshoot4;
extern statetype s_mutchase1;
extern statetype s_mutchase1s;
extern statetype s_mutchase2;
extern statetype s_mutchase3;
extern statetype s_mutchase3s;
extern statetype s_mutchase4;
extern statetype s_mutdie1;
extern statetype s_mutdie2;
extern statetype s_mutdie3;
extern statetype s_mutdie4;
extern statetype s_mutdie5;
extern statetype s_ssstand;
extern statetype s_sspath1;
extern statetype s_sspath1s;
extern statetype s_sspath2;
extern statetype s_sspath3;
extern statetype s_sspath3s;
extern statetype s_sspath4;
extern statetype s_sspain;
extern statetype s_ssshoot1;
extern statetype s_ssshoot2;
extern statetype s_ssshoot3;
extern statetype s_ssshoot4;
extern statetype s_ssshoot5;
extern statetype s_ssshoot6;
extern statetype s_ssshoot7;
extern statetype s_ssshoot8;
extern statetype s_ssshoot9;
extern statetype s_sschase1;
extern statetype s_sschase1s;
extern statetype s_sschase2;
extern statetype s_sschase3;
extern statetype s_sschase3s;
extern statetype s_sschase4;
extern statetype s_ssdie1;
extern statetype s_ssdie2;
extern statetype s_ssdie3;
extern statetype s_ssdie4;
extern statetype s_bossstand;
extern statetype s_bosschase1;
extern statetype s_bosschase1s;
extern statetype s_bosschase2;
extern statetype s_bosschase3;
extern statetype s_bosschase3s;
extern statetype s_bosschase4;
extern statetype s_bossdie1;
extern statetype s_bossdie2;
extern statetype s_bossdie3;
extern statetype s_bossdie4;
extern statetype s_bossshoot1;
extern statetype s_bossshoot2;
extern statetype s_bossshoot3;
extern statetype s_bossshoot4;
extern statetype s_bossshoot5;
extern statetype s_bossshoot6;
extern statetype s_bossshoot7;
extern statetype s_bossshoot8;
extern statetype s_gretelstand;
extern statetype s_gretelchase1;
extern statetype s_gretelchase1s;
extern statetype s_gretelchase2;
extern statetype s_gretelchase3;
extern statetype s_gretelchase3s;
extern statetype s_gretelchase4;
extern statetype s_greteldie1;
extern statetype s_greteldie2;
extern statetype s_greteldie3;
extern statetype s_greteldie4;
extern statetype s_gretelshoot1;
extern statetype s_gretelshoot2;
extern statetype s_gretelshoot3;
extern statetype s_gretelshoot4;
extern statetype s_gretelshoot5;
extern statetype s_gretelshoot6;
extern statetype s_gretelshoot7;
extern statetype s_gretelshoot8;
extern statetype s_schabbstand;
extern statetype s_schabbchase1;
extern statetype s_schabbchase1s;
extern statetype s_schabbchase2;
extern statetype s_schabbchase3;
extern statetype s_schabbchase3s;
extern statetype s_schabbchase4;
extern statetype s_schabbdeathcam;
extern statetype s_schabbdie1;
extern statetype s_schabbdie2;
extern statetype s_schabbdie3;
extern statetype s_schabbdie4;
extern statetype s_schabbdie5;
extern statetype s_schabbdie6;
extern statetype s_schabbshoot1;
extern statetype s_schabbshoot2;
extern statetype s_needle1;
extern statetype s_needle2;
extern statetype s_needle3;
extern statetype s_needle4;
extern statetype s_giftstand;
extern statetype s_giftchase1;
extern statetype s_giftchase1s;
extern statetype s_giftchase2;
extern statetype s_giftchase3;
extern statetype s_giftchase3s;
extern statetype s_giftchase4;
extern statetype s_giftdeathcam;
extern statetype s_giftdie1;
extern statetype s_giftdie2;
extern statetype s_giftdie3;
extern statetype s_giftdie4;
extern statetype s_giftdie5;
extern statetype s_giftdie6;
extern statetype s_giftshoot1;
extern statetype s_giftshoot2;
extern statetype s_rocket;
extern statetype s_smoke1;
extern statetype s_smoke2;
extern statetype s_smoke3;
extern statetype s_smoke4;
extern statetype s_boom1;
extern statetype s_boom2;
extern statetype s_boom3;
extern statetype s_fatstand;
extern statetype s_fatchase1;
extern statetype s_fatchase1s;
extern statetype s_fatchase2;
extern statetype s_fatchase3;
extern statetype s_fatchase3s;
extern statetype s_fatchase4;
extern statetype s_fatdeathcam;
extern statetype s_fatdie1;
extern statetype s_fatdie2;
extern statetype s_fatdie3;
extern statetype s_fatdie4;
extern statetype s_fatdie5;
extern statetype s_fatdie6;
extern statetype s_fatshoot1;
extern statetype s_fatshoot2;
extern statetype s_fatshoot3;
extern statetype s_fatshoot4;
extern statetype s_fatshoot5;
extern statetype s_fatshoot6;
extern statetype s_fakestand;
extern statetype s_fakechase1;
extern statetype s_fakechase1s;
extern statetype s_fakechase2;
extern statetype s_fakechase3;
extern statetype s_fakechase3s;
extern statetype s_fakechase4;
extern statetype s_fakedie1;
extern statetype s_fakedie2;
extern statetype s_fakedie3;
extern statetype s_fakedie4;
extern statetype s_fakedie5;
extern statetype s_fakedie6;
extern statetype s_fakeshoot1;
extern statetype s_fakeshoot2;
extern statetype s_fakeshoot3;
extern statetype s_fakeshoot4;
extern statetype s_fakeshoot5;
extern statetype s_fakeshoot6;
extern statetype s_fakeshoot7;
extern statetype s_fakeshoot8;
extern statetype s_fakeshoot9;
extern statetype s_fire1;
extern statetype s_fire2;
extern statetype s_mechastand;
extern statetype s_mechachase1;
extern statetype s_mechachase1s;
extern statetype s_mechachase2;
extern statetype s_mechachase3;
extern statetype s_mechachase3s;
extern statetype s_mechachase4;
extern statetype s_mechadie1;
extern statetype s_mechadie2;
extern statetype s_mechadie3;
extern statetype s_mechadie4;
extern statetype s_mechashoot1;
extern statetype s_mechashoot2;
extern statetype s_mechashoot3;
extern statetype s_mechashoot4;
extern statetype s_mechashoot5;
extern statetype s_mechashoot6;
extern statetype s_hitlerchase1;
extern statetype s_hitlerchase1s;
extern statetype s_hitlerchase2;
extern statetype s_hitlerchase3;
extern statetype s_hitlerchase3s;
extern statetype s_hitlerchase4;
extern statetype s_hitlerdeathcam;
extern statetype s_hitlerdie1;
extern statetype s_hitlerdie2;
extern statetype s_hitlerdie3;
extern statetype s_hitlerdie4;
extern statetype s_hitlerdie5;
extern statetype s_hitlerdie6;
extern statetype s_hitlerdie7;
extern statetype s_hitlerdie8;
extern statetype s_hitlerdie9;
extern statetype s_hitlerdie10;
extern statetype s_hitlershoot1;
extern statetype s_hitlershoot2;
extern statetype s_hitlershoot3;
extern statetype s_hitlershoot4;
extern statetype s_hitlershoot5;
extern statetype s_hitlershoot6;
extern statetype s_bjrun1;
extern statetype s_bjrun1s;
extern statetype s_bjrun2;
extern statetype s_bjrun3;
extern statetype s_bjrun3s;
extern statetype s_bjrun4;
extern statetype s_bjjump1;
extern statetype s_bjjump2;
extern statetype s_bjjump3;
extern statetype s_bjjump4;
extern statetype s_deathcam;

void RefKeen_FillObjStatesWithDOSPointers_NonWL1(void)
{
	s_player.compatdospointer = 0x185E;
	s_attack.compatdospointer = 0x186E;
	s_grdstand.compatdospointer = 0x1B1C;
	s_grdpath1.compatdospointer = 0x1B2C;
	s_grdpath1s.compatdospointer = 0x1B3C;
	s_grdpath2.compatdospointer = 0x1B4C;
	s_grdpath3.compatdospointer = 0x1B5C;
	s_grdpath3s.compatdospointer = 0x1B6C;
	s_grdpath4.compatdospointer = 0x1B7C;
	s_grdpain.compatdospointer = 0x1B8C;
	s_grdshoot1.compatdospointer = 0x1B9C;
	s_grdshoot2.compatdospointer = 0x1BAC;
	s_grdshoot3.compatdospointer = 0x1BBC;
	s_grdchase1.compatdospointer = 0x1BCC;
	s_grdchase1s.compatdospointer = 0x1BDC;
	s_grdchase2.compatdospointer = 0x1BEC;
	s_grdchase3.compatdospointer = 0x1BFC;
	s_grdchase3s.compatdospointer = 0x1C0C;
	s_grdchase4.compatdospointer = 0x1C1C;
	s_grddie1.compatdospointer = 0x1C2C;
	s_grddie2.compatdospointer = 0x1C3C;
	s_grddie3.compatdospointer = 0x1C4C;
	s_grddie4.compatdospointer = 0x1C5C;
	s_blinkychase1.compatdospointer = 0x1C6C;
	s_blinkychase2.compatdospointer = 0x1C7C;
	s_inkychase1.compatdospointer = 0x1C8C;
	s_inkychase2.compatdospointer = 0x1C9C;
	s_pinkychase1.compatdospointer = 0x1CAC;
	s_pinkychase2.compatdospointer = 0x1CBC;
	s_clydechase1.compatdospointer = 0x1CCC;
	s_clydechase2.compatdospointer = 0x1CDC;
	s_dogpath1.compatdospointer = 0x1CEC;
	s_dogpath1s.compatdospointer = 0x1CFC;
	s_dogpath2.compatdospointer = 0x1D0C;
	s_dogpath3.compatdospointer = 0x1D1C;
	s_dogpath3s.compatdospointer = 0x1D2C;
	s_dogpath4.compatdospointer = 0x1D3C;
	s_dogjump1.compatdospointer = 0x1D4C;
	s_dogjump2.compatdospointer = 0x1D5C;
	s_dogjump3.compatdospointer = 0x1D6C;
	s_dogjump4.compatdospointer = 0x1D7C;
	s_dogjump5.compatdospointer = 0x1D8C;
	s_dogchase1.compatdospointer = 0x1D9C;
	s_dogchase1s.compatdospointer = 0x1DAC;
	s_dogchase2.compatdospointer = 0x1DBC;
	s_dogchase3.compatdospointer = 0x1DCC;
	s_dogchase3s.compatdospointer = 0x1DDC;
	s_dogchase4.compatdospointer = 0x1DEC;
	s_dogdie1.compatdospointer = 0x1DFC;
	s_dogdie2.compatdospointer = 0x1E0C;
	s_dogdie3.compatdospointer = 0x1E1C;
	s_dogdead.compatdospointer = 0x1E2C;
	s_ofcstand.compatdospointer = 0x1E3C;
	s_ofcpath1.compatdospointer = 0x1E4C;
	s_ofcpath1s.compatdospointer = 0x1E5C;
	s_ofcpath2.compatdospointer = 0x1E6C;
	s_ofcpath3.compatdospointer = 0x1E7C;
	s_ofcpath3s.compatdospointer = 0x1E8C;
	s_ofcpath4.compatdospointer = 0x1E9C;
	s_ofcpain.compatdospointer = 0x1EAC;
	s_ofcshoot1.compatdospointer = 0x1EBC;
	s_ofcshoot2.compatdospointer = 0x1ECC;
	s_ofcshoot3.compatdospointer = 0x1EDC;
	s_ofcchase1.compatdospointer = 0x1EEC;
	s_ofcchase1s.compatdospointer = 0x1EFC;
	s_ofcchase2.compatdospointer = 0x1F0C;
	s_ofcchase3.compatdospointer = 0x1F1C;
	s_ofcchase3s.compatdospointer = 0x1F2C;
	s_ofcchase4.compatdospointer = 0x1F3C;
	s_ofcdie1.compatdospointer = 0x1F4C;
	s_ofcdie2.compatdospointer = 0x1F5C;
	s_ofcdie3.compatdospointer = 0x1F6C;
	s_ofcdie4.compatdospointer = 0x1F7C;
	s_ofcdie5.compatdospointer = 0x1F8C;
	s_mutstand.compatdospointer = 0x1F9C;
	s_mutpath1.compatdospointer = 0x1FAC;
	s_mutpath1s.compatdospointer = 0x1FBC;
	s_mutpath2.compatdospointer = 0x1FCC;
	s_mutpath3.compatdospointer = 0x1FDC;
	s_mutpath3s.compatdospointer = 0x1FEC;
	s_mutpath4.compatdospointer = 0x1FFC;
	s_mutpain.compatdospointer = 0x200C;
	s_mutshoot1.compatdospointer = 0x201C;
	s_mutshoot2.compatdospointer = 0x202C;
	s_mutshoot3.compatdospointer = 0x203C;
	s_mutshoot4.compatdospointer = 0x204C;
	s_mutchase1.compatdospointer = 0x205C;
	s_mutchase1s.compatdospointer = 0x206C;
	s_mutchase2.compatdospointer = 0x207C;
	s_mutchase3.compatdospointer = 0x208C;
	s_mutchase3s.compatdospointer = 0x209C;
	s_mutchase4.compatdospointer = 0x20AC;
	s_mutdie1.compatdospointer = 0x20BC;
	s_mutdie2.compatdospointer = 0x20CC;
	s_mutdie3.compatdospointer = 0x20DC;
	s_mutdie4.compatdospointer = 0x20EC;
	s_mutdie5.compatdospointer = 0x20FC;
	s_ssstand.compatdospointer = 0x210C;
	s_sspath1.compatdospointer = 0x211C;
	s_sspath1s.compatdospointer = 0x212C;
	s_sspath2.compatdospointer = 0x213C;
	s_sspath3.compatdospointer = 0x214C;
	s_sspath3s.compatdospointer = 0x215C;
	s_sspath4.compatdospointer = 0x216C;
	s_sspain.compatdospointer = 0x217C;
	s_ssshoot1.compatdospointer = 0x218C;
	s_ssshoot2.compatdospointer = 0x219C;
	s_ssshoot3.compatdospointer = 0x21AC;
	s_ssshoot4.compatdospointer = 0x21BC;
	s_ssshoot5.compatdospointer = 0x21CC;
	s_ssshoot6.compatdospointer = 0x21DC;
	s_ssshoot7.compatdospointer = 0x21EC;
	s_ssshoot8.compatdospointer = 0x21FC;
	s_ssshoot9.compatdospointer = 0x220C;
	s_sschase1.compatdospointer = 0x221C;
	s_sschase1s.compatdospointer = 0x222C;
	s_sschase2.compatdospointer = 0x223C;
	s_sschase3.compatdospointer = 0x224C;
	s_sschase3s.compatdospointer = 0x225C;
	s_sschase4.compatdospointer = 0x226C;
	s_ssdie1.compatdospointer = 0x227C;
	s_ssdie2.compatdospointer = 0x228C;
	s_ssdie3.compatdospointer = 0x229C;
	s_ssdie4.compatdospointer = 0x22AC;
	s_bossstand.compatdospointer = 0x22BC;
	s_bosschase1.compatdospointer = 0x22CC;
	s_bosschase1s.compatdospointer = 0x22DC;
	s_bosschase2.compatdospointer = 0x22EC;
	s_bosschase3.compatdospointer = 0x22FC;
	s_bosschase3s.compatdospointer = 0x230C;
	s_bosschase4.compatdospointer = 0x231C;
	s_bossdie1.compatdospointer = 0x232C;
	s_bossdie2.compatdospointer = 0x233C;
	s_bossdie3.compatdospointer = 0x234C;
	s_bossdie4.compatdospointer = 0x235C;
	s_bossshoot1.compatdospointer = 0x236C;
	s_bossshoot2.compatdospointer = 0x237C;
	s_bossshoot3.compatdospointer = 0x238C;
	s_bossshoot4.compatdospointer = 0x239C;
	s_bossshoot5.compatdospointer = 0x23AC;
	s_bossshoot6.compatdospointer = 0x23BC;
	s_bossshoot7.compatdospointer = 0x23CC;
	s_bossshoot8.compatdospointer = 0x23DC;
	s_gretelstand.compatdospointer = 0x23EC;
	s_gretelchase1.compatdospointer = 0x23FC;
	s_gretelchase1s.compatdospointer = 0x240C;
	s_gretelchase2.compatdospointer = 0x241C;
	s_gretelchase3.compatdospointer = 0x242C;
	s_gretelchase3s.compatdospointer = 0x243C;
	s_gretelchase4.compatdospointer = 0x244C;
	s_greteldie1.compatdospointer = 0x245C;
	s_greteldie2.compatdospointer = 0x246C;
	s_greteldie3.compatdospointer = 0x247C;
	s_greteldie4.compatdospointer = 0x248C;
	s_gretelshoot1.compatdospointer = 0x249C;
	s_gretelshoot2.compatdospointer = 0x24AC;
	s_gretelshoot3.compatdospointer = 0x24BC;
	s_gretelshoot4.compatdospointer = 0x24CC;
	s_gretelshoot5.compatdospointer = 0x24DC;
	s_gretelshoot6.compatdospointer = 0x24EC;
	s_gretelshoot7.compatdospointer = 0x24FC;
	s_gretelshoot8.compatdospointer = 0x250C;
	s_schabbstand.compatdospointer = 0x252E;
	s_schabbchase1.compatdospointer = 0x253E;
	s_schabbchase1s.compatdospointer = 0x254E;
	s_schabbchase2.compatdospointer = 0x255E;
	s_schabbchase3.compatdospointer = 0x256E;
	s_schabbchase3s.compatdospointer = 0x257E;
	s_schabbchase4.compatdospointer = 0x258E;
	s_schabbdeathcam.compatdospointer = 0x259E;
	s_schabbdie1.compatdospointer = 0x25AE;
	s_schabbdie2.compatdospointer = 0x25BE;
	s_schabbdie3.compatdospointer = 0x25CE;
	s_schabbdie4.compatdospointer = 0x25DE;
	s_schabbdie5.compatdospointer = 0x25EE;
	s_schabbdie6.compatdospointer = 0x25FE;
	s_schabbshoot1.compatdospointer = 0x260E;
	s_schabbshoot2.compatdospointer = 0x261E;
	s_needle1.compatdospointer = 0x262E;
	s_needle2.compatdospointer = 0x263E;
	s_needle3.compatdospointer = 0x264E;
	s_needle4.compatdospointer = 0x265E;
	s_giftstand.compatdospointer = 0x266E;
	s_giftchase1.compatdospointer = 0x267E;
	s_giftchase1s.compatdospointer = 0x268E;
	s_giftchase2.compatdospointer = 0x269E;
	s_giftchase3.compatdospointer = 0x26AE;
	s_giftchase3s.compatdospointer = 0x26BE;
	s_giftchase4.compatdospointer = 0x26CE;
	s_giftdeathcam.compatdospointer = 0x26DE;
	s_giftdie1.compatdospointer = 0x26EE;
	s_giftdie2.compatdospointer = 0x26FE;
	s_giftdie3.compatdospointer = 0x270E;
	s_giftdie4.compatdospointer = 0x271E;
	s_giftdie5.compatdospointer = 0x272E;
	s_giftdie6.compatdospointer = 0x273E;
	s_giftshoot1.compatdospointer = 0x274E;
	s_giftshoot2.compatdospointer = 0x275E;
	s_rocket.compatdospointer = 0x276E;
	s_smoke1.compatdospointer = 0x277E;
	s_smoke2.compatdospointer = 0x278E;
	s_smoke3.compatdospointer = 0x279E;
	s_smoke4.compatdospointer = 0x27AE;
	s_boom1.compatdospointer = 0x27BE;
	s_boom2.compatdospointer = 0x27CE;
	s_boom3.compatdospointer = 0x27DE;
	s_fatstand.compatdospointer = 0x27EE;
	s_fatchase1.compatdospointer = 0x27FE;
	s_fatchase1s.compatdospointer = 0x280E;
	s_fatchase2.compatdospointer = 0x281E;
	s_fatchase3.compatdospointer = 0x282E;
	s_fatchase3s.compatdospointer = 0x283E;
	s_fatchase4.compatdospointer = 0x284E;
	s_fatdeathcam.compatdospointer = 0x285E;
	s_fatdie1.compatdospointer = 0x286E;
	s_fatdie2.compatdospointer = 0x287E;
	s_fatdie3.compatdospointer = 0x288E;
	s_fatdie4.compatdospointer = 0x289E;
	s_fatdie5.compatdospointer = 0x28AE;
	s_fatdie6.compatdospointer = 0x28BE;
	s_fatshoot1.compatdospointer = 0x28CE;
	s_fatshoot2.compatdospointer = 0x28DE;
	s_fatshoot3.compatdospointer = 0x28EE;
	s_fatshoot4.compatdospointer = 0x28FE;
	s_fatshoot5.compatdospointer = 0x290E;
	s_fatshoot6.compatdospointer = 0x291E;
	s_fakestand.compatdospointer = 0x292E;
	s_fakechase1.compatdospointer = 0x293E;
	s_fakechase1s.compatdospointer = 0x294E;
	s_fakechase2.compatdospointer = 0x295E;
	s_fakechase3.compatdospointer = 0x296E;
	s_fakechase3s.compatdospointer = 0x297E;
	s_fakechase4.compatdospointer = 0x298E;
	s_fakedie1.compatdospointer = 0x299E;
	s_fakedie2.compatdospointer = 0x29AE;
	s_fakedie3.compatdospointer = 0x29BE;
	s_fakedie4.compatdospointer = 0x29CE;
	s_fakedie5.compatdospointer = 0x29DE;
	s_fakedie6.compatdospointer = 0x29EE;
	s_fakeshoot1.compatdospointer = 0x29FE;
	s_fakeshoot2.compatdospointer = 0x2A0E;
	s_fakeshoot3.compatdospointer = 0x2A1E;
	s_fakeshoot4.compatdospointer = 0x2A2E;
	s_fakeshoot5.compatdospointer = 0x2A3E;
	s_fakeshoot6.compatdospointer = 0x2A4E;
	s_fakeshoot7.compatdospointer = 0x2A5E;
	s_fakeshoot8.compatdospointer = 0x2A6E;
	s_fakeshoot9.compatdospointer = 0x2A7E;
	s_fire1.compatdospointer = 0x2A8E;
	s_fire2.compatdospointer = 0x2A9E;
	s_mechastand.compatdospointer = 0x2AAE;
	s_mechachase1.compatdospointer = 0x2ABE;
	s_mechachase1s.compatdospointer = 0x2ACE;
	s_mechachase2.compatdospointer = 0x2ADE;
	s_mechachase3.compatdospointer = 0x2AEE;
	s_mechachase3s.compatdospointer = 0x2AFE;
	s_mechachase4.compatdospointer = 0x2B0E;
	s_mechadie1.compatdospointer = 0x2B1E;
	s_mechadie2.compatdospointer = 0x2B2E;
	s_mechadie3.compatdospointer = 0x2B3E;
	s_mechadie4.compatdospointer = 0x2B4E;
	s_mechashoot1.compatdospointer = 0x2B5E;
	s_mechashoot2.compatdospointer = 0x2B6E;
	s_mechashoot3.compatdospointer = 0x2B7E;
	s_mechashoot4.compatdospointer = 0x2B8E;
	s_mechashoot5.compatdospointer = 0x2B9E;
	s_mechashoot6.compatdospointer = 0x2BAE;
	s_hitlerchase1.compatdospointer = 0x2BBE;
	s_hitlerchase1s.compatdospointer = 0x2BCE;
	s_hitlerchase2.compatdospointer = 0x2BDE;
	s_hitlerchase3.compatdospointer = 0x2BEE;
	s_hitlerchase3s.compatdospointer = 0x2BFE;
	s_hitlerchase4.compatdospointer = 0x2C0E;
	s_hitlerdeathcam.compatdospointer = 0x2C1E;
	s_hitlerdie1.compatdospointer = 0x2C2E;
	s_hitlerdie2.compatdospointer = 0x2C3E;
	s_hitlerdie3.compatdospointer = 0x2C4E;
	s_hitlerdie4.compatdospointer = 0x2C5E;
	s_hitlerdie5.compatdospointer = 0x2C6E;
	s_hitlerdie6.compatdospointer = 0x2C7E;
	s_hitlerdie7.compatdospointer = 0x2C8E;
	s_hitlerdie8.compatdospointer = 0x2C9E;
	s_hitlerdie9.compatdospointer = 0x2CAE;
	s_hitlerdie10.compatdospointer = 0x2CBE;
	s_hitlershoot1.compatdospointer = 0x2CCE;
	s_hitlershoot2.compatdospointer = 0x2CDE;
	s_hitlershoot3.compatdospointer = 0x2CEE;
	s_hitlershoot4.compatdospointer = 0x2CFE;
	s_hitlershoot5.compatdospointer = 0x2D0E;
	s_hitlershoot6.compatdospointer = 0x2D1E;
	s_bjrun1.compatdospointer = 0x2D36;
	s_bjrun1s.compatdospointer = 0x2D46;
	s_bjrun2.compatdospointer = 0x2D56;
	s_bjrun3.compatdospointer = 0x2D66;
	s_bjrun3s.compatdospointer = 0x2D76;
	s_bjrun4.compatdospointer = 0x2D86;
	s_bjjump1.compatdospointer = 0x2D96;
	s_bjjump2.compatdospointer = 0x2DA6;
	s_bjjump3.compatdospointer = 0x2DB6;
	s_bjjump4.compatdospointer = 0x2DC6;
	s_deathcam.compatdospointer = 0x2DD6;
}

void* RefKeen_GetObjStatePtrFromDOSPointer_NonWL1(uint_fast32_t dosptr)
{
	switch (dosptr)
	{
	case 0x185E: return &s_player;
	case 0x186E: return &s_attack;
	case 0x1B1C: return &s_grdstand;
	case 0x1B2C: return &s_grdpath1;
	case 0x1B3C: return &s_grdpath1s;
	case 0x1B4C: return &s_grdpath2;
	case 0x1B5C: return &s_grdpath3;
	case 0x1B6C: return &s_grdpath3s;
	case 0x1B7C: return &s_grdpath4;
	case 0x1B8C: return &s_grdpain;
	case 0x1B9C: return &s_grdshoot1;
	case 0x1BAC: return &s_grdshoot2;
	case 0x1BBC: return &s_grdshoot3;
	case 0x1BCC: return &s_grdchase1;
	case 0x1BDC: return &s_grdchase1s;
	case 0x1BEC: return &s_grdchase2;
	case 0x1BFC: return &s_grdchase3;
	case 0x1C0C: return &s_grdchase3s;
	case 0x1C1C: return &s_grdchase4;
	case 0x1C2C: return &s_grddie1;
	case 0x1C3C: return &s_grddie2;
	case 0x1C4C: return &s_grddie3;
	case 0x1C5C: return &s_grddie4;
	case 0x1C6C: return &s_blinkychase1;
	case 0x1C7C: return &s_blinkychase2;
	case 0x1C8C: return &s_inkychase1;
	case 0x1C9C: return &s_inkychase2;
	case 0x1CAC: return &s_pinkychase1;
	case 0x1CBC: return &s_pinkychase2;
	case 0x1CCC: return &s_clydechase1;
	case 0x1CDC: return &s_clydechase2;
	case 0x1CEC: return &s_dogpath1;
	case 0x1CFC: return &s_dogpath1s;
	case 0x1D0C: return &s_dogpath2;
	case 0x1D1C: return &s_dogpath3;
	case 0x1D2C: return &s_dogpath3s;
	case 0x1D3C: return &s_dogpath4;
	case 0x1D4C: return &s_dogjump1;
	case 0x1D5C: return &s_dogjump2;
	case 0x1D6C: return &s_dogjump3;
	case 0x1D7C: return &s_dogjump4;
	case 0x1D8C: return &s_dogjump5;
	case 0x1D9C: return &s_dogchase1;
	case 0x1DAC: return &s_dogchase1s;
	case 0x1DBC: return &s_dogchase2;
	case 0x1DCC: return &s_dogchase3;
	case 0x1DDC: return &s_dogchase3s;
	case 0x1DEC: return &s_dogchase4;
	case 0x1DFC: return &s_dogdie1;
	case 0x1E0C: return &s_dogdie2;
	case 0x1E1C: return &s_dogdie3;
	case 0x1E2C: return &s_dogdead;
	case 0x1E3C: return &s_ofcstand;
	case 0x1E4C: return &s_ofcpath1;
	case 0x1E5C: return &s_ofcpath1s;
	case 0x1E6C: return &s_ofcpath2;
	case 0x1E7C: return &s_ofcpath3;
	case 0x1E8C: return &s_ofcpath3s;
	case 0x1E9C: return &s_ofcpath4;
	case 0x1EAC: return &s_ofcpain;
	case 0x1EBC: return &s_ofcshoot1;
	case 0x1ECC: return &s_ofcshoot2;
	case 0x1EDC: return &s_ofcshoot3;
	case 0x1EEC: return &s_ofcchase1;
	case 0x1EFC: return &s_ofcchase1s;
	case 0x1F0C: return &s_ofcchase2;
	case 0x1F1C: return &s_ofcchase3;
	case 0x1F2C: return &s_ofcchase3s;
	case 0x1F3C: return &s_ofcchase4;
	case 0x1F4C: return &s_ofcdie1;
	case 0x1F5C: return &s_ofcdie2;
	case 0x1F6C: return &s_ofcdie3;
	case 0x1F7C: return &s_ofcdie4;
	case 0x1F8C: return &s_ofcdie5;
	case 0x1F9C: return &s_mutstand;
	case 0x1FAC: return &s_mutpath1;
	case 0x1FBC: return &s_mutpath1s;
	case 0x1FCC: return &s_mutpath2;
	case 0x1FDC: return &s_mutpath3;
	case 0x1FEC: return &s_mutpath3s;
	case 0x1FFC: return &s_mutpath4;
	case 0x200C: return &s_mutpain;
	case 0x201C: return &s_mutshoot1;
	case 0x202C: return &s_mutshoot2;
	case 0x203C: return &s_mutshoot3;
	case 0x204C: return &s_mutshoot4;
	case 0x205C: return &s_mutchase1;
	case 0x206C: return &s_mutchase1s;
	case 0x207C: return &s_mutchase2;
	case 0x208C: return &s_mutchase3;
	case 0x209C: return &s_mutchase3s;
	case 0x20AC: return &s_mutchase4;
	case 0x20BC: return &s_mutdie1;
	case 0x20CC: return &s_mutdie2;
	case 0x20DC: return &s_mutdie3;
	case 0x20EC: return &s_mutdie4;
	case 0x20FC: return &s_mutdie5;
	case 0x210C: return &s_ssstand;
	case 0x211C: return &s_sspath1;
	case 0x212C: return &s_sspath1s;
	case 0x213C: return &s_sspath2;
	case 0x214C: return &s_sspath3;
	case 0x215C: return &s_sspath3s;
	case 0x216C: return &s_sspath4;
	case 0x217C: return &s_sspain;
	case 0x218C: return &s_ssshoot1;
	case 0x219C: return &s_ssshoot2;
	case 0x21AC: return &s_ssshoot3;
	case 0x21BC: return &s_ssshoot4;
	case 0x21CC: return &s_ssshoot5;
	case 0x21DC: return &s_ssshoot6;
	case 0x21EC: return &s_ssshoot7;
	case 0x21FC: return &s_ssshoot8;
	case 0x220C: return &s_ssshoot9;
	case 0x221C: return &s_sschase1;
	case 0x222C: return &s_sschase1s;
	case 0x223C: return &s_sschase2;
	case 0x224C: return &s_sschase3;
	case 0x225C: return &s_sschase3s;
	case 0x226C: return &s_sschase4;
	case 0x227C: return &s_ssdie1;
	case 0x228C: return &s_ssdie2;
	case 0x229C: return &s_ssdie3;
	case 0x22AC: return &s_ssdie4;
	case 0x22BC: return &s_bossstand;
	case 0x22CC: return &s_bosschase1;
	case 0x22DC: return &s_bosschase1s;
	case 0x22EC: return &s_bosschase2;
	case 0x22FC: return &s_bosschase3;
	case 0x230C: return &s_bosschase3s;
	case 0x231C: return &s_bosschase4;
	case 0x232C: return &s_bossdie1;
	case 0x233C: return &s_bossdie2;
	case 0x234C: return &s_bossdie3;
	case 0x235C: return &s_bossdie4;
	case 0x236C: return &s_bossshoot1;
	case 0x237C: return &s_bossshoot2;
	case 0x238C: return &s_bossshoot3;
	case 0x239C: return &s_bossshoot4;
	case 0x23AC: return &s_bossshoot5;
	case 0x23BC: return &s_bossshoot6;
	case 0x23CC: return &s_bossshoot7;
	case 0x23DC: return &s_bossshoot8;
	case 0x23EC: return &s_gretelstand;
	case 0x23FC: return &s_gretelchase1;
	case 0x240C: return &s_gretelchase1s;
	case 0x241C: return &s_gretelchase2;
	case 0x242C: return &s_gretelchase3;
	case 0x243C: return &s_gretelchase3s;
	case 0x244C: return &s_gretelchase4;
	case 0x245C: return &s_greteldie1;
	case 0x246C: return &s_greteldie2;
	case 0x247C: return &s_greteldie3;
	case 0x248C: return &s_greteldie4;
	case 0x249C: return &s_gretelshoot1;
	case 0x24AC: return &s_gretelshoot2;
	case 0x24BC: return &s_gretelshoot3;
	case 0x24CC: return &s_gretelshoot4;
	case 0x24DC: return &s_gretelshoot5;
	case 0x24EC: return &s_gretelshoot6;
	case 0x24FC: return &s_gretelshoot7;
	case 0x250C: return &s_gretelshoot8;
	case 0x252E: return &s_schabbstand;
	case 0x253E: return &s_schabbchase1;
	case 0x254E: return &s_schabbchase1s;
	case 0x255E: return &s_schabbchase2;
	case 0x256E: return &s_schabbchase3;
	case 0x257E: return &s_schabbchase3s;
	case 0x258E: return &s_schabbchase4;
	case 0x259E: return &s_schabbdeathcam;
	case 0x25AE: return &s_schabbdie1;
	case 0x25BE: return &s_schabbdie2;
	case 0x25CE: return &s_schabbdie3;
	case 0x25DE: return &s_schabbdie4;
	case 0x25EE: return &s_schabbdie5;
	case 0x25FE: return &s_schabbdie6;
	case 0x260E: return &s_schabbshoot1;
	case 0x261E: return &s_schabbshoot2;
	case 0x262E: return &s_needle1;
	case 0x263E: return &s_needle2;
	case 0x264E: return &s_needle3;
	case 0x265E: return &s_needle4;
	case 0x266E: return &s_giftstand;
	case 0x267E: return &s_giftchase1;
	case 0x268E: return &s_giftchase1s;
	case 0x269E: return &s_giftchase2;
	case 0x26AE: return &s_giftchase3;
	case 0x26BE: return &s_giftchase3s;
	case 0x26CE: return &s_giftchase4;
	case 0x26DE: return &s_giftdeathcam;
	case 0x26EE: return &s_giftdie1;
	case 0x26FE: return &s_giftdie2;
	case 0x270E: return &s_giftdie3;
	case 0x271E: return &s_giftdie4;
	case 0x272E: return &s_giftdie5;
	case 0x273E: return &s_giftdie6;
	case 0x274E: return &s_giftshoot1;
	case 0x275E: return &s_giftshoot2;
	case 0x276E: return &s_rocket;
	case 0x277E: return &s_smoke1;
	case 0x278E: return &s_smoke2;
	case 0x279E: return &s_smoke3;
	case 0x27AE: return &s_smoke4;
	case 0x27BE: return &s_boom1;
	case 0x27CE: return &s_boom2;
	case 0x27DE: return &s_boom3;
	case 0x27EE: return &s_fatstand;
	case 0x27FE: return &s_fatchase1;
	case 0x280E: return &s_fatchase1s;
	case 0x281E: return &s_fatchase2;
	case 0x282E: return &s_fatchase3;
	case 0x283E: return &s_fatchase3s;
	case 0x284E: return &s_fatchase4;
	case 0x285E: return &s_fatdeathcam;
	case 0x286E: return &s_fatdie1;
	case 0x287E: return &s_fatdie2;
	case 0x288E: return &s_fatdie3;
	case 0x289E: return &s_fatdie4;
	case 0x28AE: return &s_fatdie5;
	case 0x28BE: return &s_fatdie6;
	case 0x28CE: return &s_fatshoot1;
	case 0x28DE: return &s_fatshoot2;
	case 0x28EE: return &s_fatshoot3;
	case 0x28FE: return &s_fatshoot4;
	case 0x290E: return &s_fatshoot5;
	case 0x291E: return &s_fatshoot6;
	case 0x292E: return &s_fakestand;
	case 0x293E: return &s_fakechase1;
	case 0x294E: return &s_fakechase1s;
	case 0x295E: return &s_fakechase2;
	case 0x296E: return &s_fakechase3;
	case 0x297E: return &s_fakechase3s;
	case 0x298E: return &s_fakechase4;
	case 0x299E: return &s_fakedie1;
	case 0x29AE: return &s_fakedie2;
	case 0x29BE: return &s_fakedie3;
	case 0x29CE: return &s_fakedie4;
	case 0x29DE: return &s_fakedie5;
	case 0x29EE: return &s_fakedie6;
	case 0x29FE: return &s_fakeshoot1;
	case 0x2A0E: return &s_fakeshoot2;
	case 0x2A1E: return &s_fakeshoot3;
	case 0x2A2E: return &s_fakeshoot4;
	case 0x2A3E: return &s_fakeshoot5;
	case 0x2A4E: return &s_fakeshoot6;
	case 0x2A5E: return &s_fakeshoot7;
	case 0x2A6E: return &s_fakeshoot8;
	case 0x2A7E: return &s_fakeshoot9;
	case 0x2A8E: return &s_fire1;
	case 0x2A9E: return &s_fire2;
	case 0x2AAE: return &s_mechastand;
	case 0x2ABE: return &s_mechachase1;
	case 0x2ACE: return &s_mechachase1s;
	case 0x2ADE: return &s_mechachase2;
	case 0x2AEE: return &s_mechachase3;
	case 0x2AFE: return &s_mechachase3s;
	case 0x2B0E: return &s_mechachase4;
	case 0x2B1E: return &s_mechadie1;
	case 0x2B2E: return &s_mechadie2;
	case 0x2B3E: return &s_mechadie3;
	case 0x2B4E: return &s_mechadie4;
	case 0x2B5E: return &s_mechashoot1;
	case 0x2B6E: return &s_mechashoot2;
	case 0x2B7E: return &s_mechashoot3;
	case 0x2B8E: return &s_mechashoot4;
	case 0x2B9E: return &s_mechashoot5;
	case 0x2BAE: return &s_mechashoot6;
	case 0x2BBE: return &s_hitlerchase1;
	case 0x2BCE: return &s_hitlerchase1s;
	case 0x2BDE: return &s_hitlerchase2;
	case 0x2BEE: return &s_hitlerchase3;
	case 0x2BFE: return &s_hitlerchase3s;
	case 0x2C0E: return &s_hitlerchase4;
	case 0x2C1E: return &s_hitlerdeathcam;
	case 0x2C2E: return &s_hitlerdie1;
	case 0x2C3E: return &s_hitlerdie2;
	case 0x2C4E: return &s_hitlerdie3;
	case 0x2C5E: return &s_hitlerdie4;
	case 0x2C6E: return &s_hitlerdie5;
	case 0x2C7E: return &s_hitlerdie6;
	case 0x2C8E: return &s_hitlerdie7;
	case 0x2C9E: return &s_hitlerdie8;
	case 0x2CAE: return &s_hitlerdie9;
	case 0x2CBE: return &s_hitlerdie10;
	case 0x2CCE: return &s_hitlershoot1;
	case 0x2CDE: return &s_hitlershoot2;
	case 0x2CEE: return &s_hitlershoot3;
	case 0x2CFE: return &s_hitlershoot4;
	case 0x2D0E: return &s_hitlershoot5;
	case 0x2D1E: return &s_hitlershoot6;
	case 0x2D36: return &s_bjrun1;
	case 0x2D46: return &s_bjrun1s;
	case 0x2D56: return &s_bjrun2;
	case 0x2D66: return &s_bjrun3;
	case 0x2D76: return &s_bjrun3s;
	case 0x2D86: return &s_bjrun4;
	case 0x2D96: return &s_bjjump1;
	case 0x2DA6: return &s_bjjump2;
	case 0x2DB6: return &s_bjjump3;
	case 0x2DC6: return &s_bjjump4;
	case 0x2DD6: return &s_deathcam;
	}
	return NULL;
}

REFKEEN_NS_E
#endif
