/* Wolfenstein 3D Source Code
 * Copyright (C) 1993-1996 id Software, Inc.
 *
 * This file is part of Wolfenstein 3D.
 *
 * Wolfenstein 3D is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Wolfenstein 3D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * As an addendum, you can further use the Wolfenstein 3D Source Code under
 * the terms of the limited use software license agreement for Wolfenstein 3D.
 * See id-wolf3d.txt for these terms.
 */

// New file used for preparing and converting pointers to states

#include "wl_def.h"

#if (defined REFKEEN_VER_WL6GT14A) || (defined REFKEEN_VER_WL6GT14B)
REFKEEN_NS_B

// List of all states
extern statetype s_player;
extern statetype s_attack;
extern statetype s_rocket;
extern statetype s_smoke1;
extern statetype s_smoke2;
extern statetype s_smoke3;
extern statetype s_smoke4;
extern statetype s_boom1;
extern statetype s_boom2;
extern statetype s_boom3;
extern statetype s_grdstand;
extern statetype s_grdpath1;
extern statetype s_grdpath1s;
extern statetype s_grdpath2;
extern statetype s_grdpath3;
extern statetype s_grdpath3s;
extern statetype s_grdpath4;
extern statetype s_grdpain;
extern statetype s_grdpain1;
extern statetype s_grdshoot1;
extern statetype s_grdshoot2;
extern statetype s_grdshoot3;
extern statetype s_grdchase1;
extern statetype s_grdchase1s;
extern statetype s_grdchase2;
extern statetype s_grdchase3;
extern statetype s_grdchase3s;
extern statetype s_grdchase4;
extern statetype s_grddie1;
extern statetype s_grddie2;
extern statetype s_grddie3;
extern statetype s_grddie4;
extern statetype s_blinkychase1;
extern statetype s_blinkychase2;
extern statetype s_inkychase1;
extern statetype s_inkychase2;
extern statetype s_pinkychase1;
extern statetype s_pinkychase2;
extern statetype s_clydechase1;
extern statetype s_clydechase2;
extern statetype s_dogpath1;
extern statetype s_dogpath1s;
extern statetype s_dogpath2;
extern statetype s_dogpath3;
extern statetype s_dogpath3s;
extern statetype s_dogpath4;
extern statetype s_dogjump1;
extern statetype s_dogjump2;
extern statetype s_dogjump3;
extern statetype s_dogjump4;
extern statetype s_dogjump5;
extern statetype s_dogchase1;
extern statetype s_dogchase1s;
extern statetype s_dogchase2;
extern statetype s_dogchase3;
extern statetype s_dogchase3s;
extern statetype s_dogchase4;
extern statetype s_dogdie1;
extern statetype s_dogdie2;
extern statetype s_dogdie3;
extern statetype s_dogdead;
extern statetype s_ofcstand;
extern statetype s_ofcpath1;
extern statetype s_ofcpath1s;
extern statetype s_ofcpath2;
extern statetype s_ofcpath3;
extern statetype s_ofcpath3s;
extern statetype s_ofcpath4;
extern statetype s_ofcpain;
extern statetype s_ofcpain1;
extern statetype s_ofcshoot1;
extern statetype s_ofcshoot2;
extern statetype s_ofcshoot3;
extern statetype s_ofcchase1;
extern statetype s_ofcchase1s;
extern statetype s_ofcchase2;
extern statetype s_ofcchase3;
extern statetype s_ofcchase3s;
extern statetype s_ofcchase4;
extern statetype s_ofcdie1;
extern statetype s_ofcdie2;
extern statetype s_ofcdie3;
extern statetype s_ofcdie4;
extern statetype s_ofcdie5;
extern statetype s_mutstand;
extern statetype s_mutpath1;
extern statetype s_mutpath1s;
extern statetype s_mutpath2;
extern statetype s_mutpath3;
extern statetype s_mutpath3s;
extern statetype s_mutpath4;
extern statetype s_mutpain;
extern statetype s_mutpain1;
extern statetype s_mutshoot1;
extern statetype s_mutshoot2;
extern statetype s_mutshoot3;
extern statetype s_mutshoot4;
extern statetype s_mutchase1;
extern statetype s_mutchase1s;
extern statetype s_mutchase2;
extern statetype s_mutchase3;
extern statetype s_mutchase3s;
extern statetype s_mutchase4;
extern statetype s_mutdie1;
extern statetype s_mutdie2;
extern statetype s_mutdie3;
extern statetype s_mutdie4;
extern statetype s_mutdie5;
extern statetype s_ssstand;
extern statetype s_sspath1;
extern statetype s_sspath1s;
extern statetype s_sspath2;
extern statetype s_sspath3;
extern statetype s_sspath3s;
extern statetype s_sspath4;
extern statetype s_sspain;
extern statetype s_sspain1;
extern statetype s_ssshoot1;
extern statetype s_ssshoot2;
extern statetype s_ssshoot3;
extern statetype s_ssshoot4;
extern statetype s_ssshoot5;
extern statetype s_ssshoot6;
extern statetype s_ssshoot7;
extern statetype s_ssshoot8;
extern statetype s_ssshoot9;
extern statetype s_sschase1;
extern statetype s_sschase1s;
extern statetype s_sschase2;
extern statetype s_sschase3;
extern statetype s_sschase3s;
extern statetype s_sschase4;
extern statetype s_ssdie1;
extern statetype s_ssdie2;
extern statetype s_ssdie3;
extern statetype s_ssdie4;
extern statetype s_bossstand;
extern statetype s_bosschase1;
extern statetype s_bosschase1s;
extern statetype s_bosschase2;
extern statetype s_bosschase3;
extern statetype s_bosschase3s;
extern statetype s_bosschase4;
extern statetype s_bossdie1;
extern statetype s_bossdie2;
extern statetype s_bossdie3;
extern statetype s_bossdie4;
extern statetype s_bossshoot1;
extern statetype s_bossshoot2;
extern statetype s_bossshoot3;
extern statetype s_bossshoot4;
extern statetype s_bossshoot5;
extern statetype s_bossshoot6;
extern statetype s_bossshoot7;
extern statetype s_bossshoot8;
extern statetype s_gretelstand;
extern statetype s_gretelchase1;
extern statetype s_gretelchase1s;
extern statetype s_gretelchase2;
extern statetype s_gretelchase3;
extern statetype s_gretelchase3s;
extern statetype s_gretelchase4;
extern statetype s_greteldie1;
extern statetype s_greteldie2;
extern statetype s_greteldie3;
extern statetype s_greteldie4;
extern statetype s_gretelshoot1;
extern statetype s_gretelshoot2;
extern statetype s_gretelshoot3;
extern statetype s_gretelshoot4;
extern statetype s_gretelshoot5;
extern statetype s_gretelshoot6;
extern statetype s_gretelshoot7;
extern statetype s_gretelshoot8;
extern statetype s_schabbstand;
extern statetype s_schabbchase1;
extern statetype s_schabbchase1s;
extern statetype s_schabbchase2;
extern statetype s_schabbchase3;
extern statetype s_schabbchase3s;
extern statetype s_schabbchase4;
extern statetype s_schabbdeathcam;
extern statetype s_schabbdie1;
extern statetype s_schabbdie2;
extern statetype s_schabbdie3;
extern statetype s_schabbdie4;
extern statetype s_schabbdie5;
extern statetype s_schabbdie6;
extern statetype s_schabbshoot1;
extern statetype s_schabbshoot2;
extern statetype s_needle1;
extern statetype s_needle2;
extern statetype s_needle3;
extern statetype s_needle4;
extern statetype s_giftstand;
extern statetype s_giftchase1;
extern statetype s_giftchase1s;
extern statetype s_giftchase2;
extern statetype s_giftchase3;
extern statetype s_giftchase3s;
extern statetype s_giftchase4;
extern statetype s_giftdeathcam;
extern statetype s_giftdie1;
extern statetype s_giftdie2;
extern statetype s_giftdie3;
extern statetype s_giftdie4;
extern statetype s_giftdie5;
extern statetype s_giftdie6;
extern statetype s_giftshoot1;
extern statetype s_giftshoot2;
extern statetype s_fatstand;
extern statetype s_fatchase1;
extern statetype s_fatchase1s;
extern statetype s_fatchase2;
extern statetype s_fatchase3;
extern statetype s_fatchase3s;
extern statetype s_fatchase4;
extern statetype s_fatdeathcam;
extern statetype s_fatdie1;
extern statetype s_fatdie2;
extern statetype s_fatdie3;
extern statetype s_fatdie4;
extern statetype s_fatdie5;
extern statetype s_fatdie6;
extern statetype s_fatshoot1;
extern statetype s_fatshoot2;
extern statetype s_fatshoot3;
extern statetype s_fatshoot4;
extern statetype s_fatshoot5;
extern statetype s_fatshoot6;
extern statetype s_fakestand;
extern statetype s_fakechase1;
extern statetype s_fakechase1s;
extern statetype s_fakechase2;
extern statetype s_fakechase3;
extern statetype s_fakechase3s;
extern statetype s_fakechase4;
extern statetype s_fakedie1;
extern statetype s_fakedie2;
extern statetype s_fakedie3;
extern statetype s_fakedie4;
extern statetype s_fakedie5;
extern statetype s_fakedie6;
extern statetype s_fakeshoot1;
extern statetype s_fakeshoot2;
extern statetype s_fakeshoot3;
extern statetype s_fakeshoot4;
extern statetype s_fakeshoot5;
extern statetype s_fakeshoot6;
extern statetype s_fakeshoot7;
extern statetype s_fakeshoot8;
extern statetype s_fakeshoot9;
extern statetype s_fire1;
extern statetype s_fire2;
extern statetype s_mechastand;
extern statetype s_mechachase1;
extern statetype s_mechachase1s;
extern statetype s_mechachase2;
extern statetype s_mechachase3;
extern statetype s_mechachase3s;
extern statetype s_mechachase4;
extern statetype s_mechadie1;
extern statetype s_mechadie2;
extern statetype s_mechadie3;
extern statetype s_mechadie4;
extern statetype s_mechashoot1;
extern statetype s_mechashoot2;
extern statetype s_mechashoot3;
extern statetype s_mechashoot4;
extern statetype s_mechashoot5;
extern statetype s_mechashoot6;
extern statetype s_hitlerchase1;
extern statetype s_hitlerchase1s;
extern statetype s_hitlerchase2;
extern statetype s_hitlerchase3;
extern statetype s_hitlerchase3s;
extern statetype s_hitlerchase4;
extern statetype s_hitlerdeathcam;
extern statetype s_hitlerdie1;
extern statetype s_hitlerdie2;
extern statetype s_hitlerdie3;
extern statetype s_hitlerdie4;
extern statetype s_hitlerdie5;
extern statetype s_hitlerdie6;
extern statetype s_hitlerdie7;
extern statetype s_hitlerdie8;
extern statetype s_hitlerdie9;
extern statetype s_hitlerdie10;
extern statetype s_hitlershoot1;
extern statetype s_hitlershoot2;
extern statetype s_hitlershoot3;
extern statetype s_hitlershoot4;
extern statetype s_hitlershoot5;
extern statetype s_hitlershoot6;
extern statetype s_bjrun1;
extern statetype s_bjrun1s;
extern statetype s_bjrun2;
extern statetype s_bjrun3;
extern statetype s_bjrun3s;
extern statetype s_bjrun4;
extern statetype s_bjjump1;
extern statetype s_bjjump2;
extern statetype s_bjjump3;
extern statetype s_bjjump4;
extern statetype s_deathcam;

void RefKeen_FillObjStatesWithDOSPointers_NonWL1(void)
{
	s_player.compatdospointer = 0x190A;
	s_attack.compatdospointer = 0x191A;
	s_rocket.compatdospointer = 0x1BF8;
	s_smoke1.compatdospointer = 0x1C08;
	s_smoke2.compatdospointer = 0x1C18;
	s_smoke3.compatdospointer = 0x1C28;
	s_smoke4.compatdospointer = 0x1C38;
	s_boom1.compatdospointer = 0x1C48;
	s_boom2.compatdospointer = 0x1C58;
	s_boom3.compatdospointer = 0x1C68;
	s_grdstand.compatdospointer = 0x1C78;
	s_grdpath1.compatdospointer = 0x1C88;
	s_grdpath1s.compatdospointer = 0x1C98;
	s_grdpath2.compatdospointer = 0x1CA8;
	s_grdpath3.compatdospointer = 0x1CB8;
	s_grdpath3s.compatdospointer = 0x1CC8;
	s_grdpath4.compatdospointer = 0x1CD8;
	s_grdpain.compatdospointer = 0x1CE8;
	s_grdpain1.compatdospointer = 0x1CF8;
	s_grdshoot1.compatdospointer = 0x1D08;
	s_grdshoot2.compatdospointer = 0x1D18;
	s_grdshoot3.compatdospointer = 0x1D28;
	s_grdchase1.compatdospointer = 0x1D38;
	s_grdchase1s.compatdospointer = 0x1D48;
	s_grdchase2.compatdospointer = 0x1D58;
	s_grdchase3.compatdospointer = 0x1D68;
	s_grdchase3s.compatdospointer = 0x1D78;
	s_grdchase4.compatdospointer = 0x1D88;
	s_grddie1.compatdospointer = 0x1D98;
	s_grddie2.compatdospointer = 0x1DA8;
	s_grddie3.compatdospointer = 0x1DB8;
	s_grddie4.compatdospointer = 0x1DC8;
	s_blinkychase1.compatdospointer = 0x1DD8;
	s_blinkychase2.compatdospointer = 0x1DE8;
	s_inkychase1.compatdospointer = 0x1DF8;
	s_inkychase2.compatdospointer = 0x1E08;
	s_pinkychase1.compatdospointer = 0x1E18;
	s_pinkychase2.compatdospointer = 0x1E28;
	s_clydechase1.compatdospointer = 0x1E38;
	s_clydechase2.compatdospointer = 0x1E48;
	s_dogpath1.compatdospointer = 0x1E58;
	s_dogpath1s.compatdospointer = 0x1E68;
	s_dogpath2.compatdospointer = 0x1E78;
	s_dogpath3.compatdospointer = 0x1E88;
	s_dogpath3s.compatdospointer = 0x1E98;
	s_dogpath4.compatdospointer = 0x1EA8;
	s_dogjump1.compatdospointer = 0x1EB8;
	s_dogjump2.compatdospointer = 0x1EC8;
	s_dogjump3.compatdospointer = 0x1ED8;
	s_dogjump4.compatdospointer = 0x1EE8;
	s_dogjump5.compatdospointer = 0x1EF8;
	s_dogchase1.compatdospointer = 0x1F08;
	s_dogchase1s.compatdospointer = 0x1F18;
	s_dogchase2.compatdospointer = 0x1F28;
	s_dogchase3.compatdospointer = 0x1F38;
	s_dogchase3s.compatdospointer = 0x1F48;
	s_dogchase4.compatdospointer = 0x1F58;
	s_dogdie1.compatdospointer = 0x1F68;
	s_dogdie2.compatdospointer = 0x1F78;
	s_dogdie3.compatdospointer = 0x1F88;
	s_dogdead.compatdospointer = 0x1F98;
	s_ofcstand.compatdospointer = 0x1FA8;
	s_ofcpath1.compatdospointer = 0x1FB8;
	s_ofcpath1s.compatdospointer = 0x1FC8;
	s_ofcpath2.compatdospointer = 0x1FD8;
	s_ofcpath3.compatdospointer = 0x1FE8;
	s_ofcpath3s.compatdospointer = 0x1FF8;
	s_ofcpath4.compatdospointer = 0x2008;
	s_ofcpain.compatdospointer = 0x2018;
	s_ofcpain1.compatdospointer = 0x2028;
	s_ofcshoot1.compatdospointer = 0x2038;
	s_ofcshoot2.compatdospointer = 0x2048;
	s_ofcshoot3.compatdospointer = 0x2058;
	s_ofcchase1.compatdospointer = 0x2068;
	s_ofcchase1s.compatdospointer = 0x2078;
	s_ofcchase2.compatdospointer = 0x2088;
	s_ofcchase3.compatdospointer = 0x2098;
	s_ofcchase3s.compatdospointer = 0x20A8;
	s_ofcchase4.compatdospointer = 0x20B8;
	s_ofcdie1.compatdospointer = 0x20C8;
	s_ofcdie2.compatdospointer = 0x20D8;
	s_ofcdie3.compatdospointer = 0x20E8;
	s_ofcdie4.compatdospointer = 0x20F8;
	s_ofcdie5.compatdospointer = 0x2108;
	s_mutstand.compatdospointer = 0x2118;
	s_mutpath1.compatdospointer = 0x2128;
	s_mutpath1s.compatdospointer = 0x2138;
	s_mutpath2.compatdospointer = 0x2148;
	s_mutpath3.compatdospointer = 0x2158;
	s_mutpath3s.compatdospointer = 0x2168;
	s_mutpath4.compatdospointer = 0x2178;
	s_mutpain.compatdospointer = 0x2188;
	s_mutpain1.compatdospointer = 0x2198;
	s_mutshoot1.compatdospointer = 0x21A8;
	s_mutshoot2.compatdospointer = 0x21B8;
	s_mutshoot3.compatdospointer = 0x21C8;
	s_mutshoot4.compatdospointer = 0x21D8;
	s_mutchase1.compatdospointer = 0x21E8;
	s_mutchase1s.compatdospointer = 0x21F8;
	s_mutchase2.compatdospointer = 0x2208;
	s_mutchase3.compatdospointer = 0x2218;
	s_mutchase3s.compatdospointer = 0x2228;
	s_mutchase4.compatdospointer = 0x2238;
	s_mutdie1.compatdospointer = 0x2248;
	s_mutdie2.compatdospointer = 0x2258;
	s_mutdie3.compatdospointer = 0x2268;
	s_mutdie4.compatdospointer = 0x2278;
	s_mutdie5.compatdospointer = 0x2288;
	s_ssstand.compatdospointer = 0x2298;
	s_sspath1.compatdospointer = 0x22A8;
	s_sspath1s.compatdospointer = 0x22B8;
	s_sspath2.compatdospointer = 0x22C8;
	s_sspath3.compatdospointer = 0x22D8;
	s_sspath3s.compatdospointer = 0x22E8;
	s_sspath4.compatdospointer = 0x22F8;
	s_sspain.compatdospointer = 0x2308;
	s_sspain1.compatdospointer = 0x2318;
	s_ssshoot1.compatdospointer = 0x2328;
	s_ssshoot2.compatdospointer = 0x2338;
	s_ssshoot3.compatdospointer = 0x2348;
	s_ssshoot4.compatdospointer = 0x2358;
	s_ssshoot5.compatdospointer = 0x2368;
	s_ssshoot6.compatdospointer = 0x2378;
	s_ssshoot7.compatdospointer = 0x2388;
	s_ssshoot8.compatdospointer = 0x2398;
	s_ssshoot9.compatdospointer = 0x23A8;
	s_sschase1.compatdospointer = 0x23B8;
	s_sschase1s.compatdospointer = 0x23C8;
	s_sschase2.compatdospointer = 0x23D8;
	s_sschase3.compatdospointer = 0x23E8;
	s_sschase3s.compatdospointer = 0x23F8;
	s_sschase4.compatdospointer = 0x2408;
	s_ssdie1.compatdospointer = 0x2418;
	s_ssdie2.compatdospointer = 0x2428;
	s_ssdie3.compatdospointer = 0x2438;
	s_ssdie4.compatdospointer = 0x2448;
	s_bossstand.compatdospointer = 0x2458;
	s_bosschase1.compatdospointer = 0x2468;
	s_bosschase1s.compatdospointer = 0x2478;
	s_bosschase2.compatdospointer = 0x2488;
	s_bosschase3.compatdospointer = 0x2498;
	s_bosschase3s.compatdospointer = 0x24A8;
	s_bosschase4.compatdospointer = 0x24B8;
	s_bossdie1.compatdospointer = 0x24C8;
	s_bossdie2.compatdospointer = 0x24D8;
	s_bossdie3.compatdospointer = 0x24E8;
	s_bossdie4.compatdospointer = 0x24F8;
	s_bossshoot1.compatdospointer = 0x2508;
	s_bossshoot2.compatdospointer = 0x2518;
	s_bossshoot3.compatdospointer = 0x2528;
	s_bossshoot4.compatdospointer = 0x2538;
	s_bossshoot5.compatdospointer = 0x2548;
	s_bossshoot6.compatdospointer = 0x2558;
	s_bossshoot7.compatdospointer = 0x2568;
	s_bossshoot8.compatdospointer = 0x2578;
	s_gretelstand.compatdospointer = 0x2588;
	s_gretelchase1.compatdospointer = 0x2598;
	s_gretelchase1s.compatdospointer = 0x25A8;
	s_gretelchase2.compatdospointer = 0x25B8;
	s_gretelchase3.compatdospointer = 0x25C8;
	s_gretelchase3s.compatdospointer = 0x25D8;
	s_gretelchase4.compatdospointer = 0x25E8;
	s_greteldie1.compatdospointer = 0x25F8;
	s_greteldie2.compatdospointer = 0x2608;
	s_greteldie3.compatdospointer = 0x2618;
	s_greteldie4.compatdospointer = 0x2628;
	s_gretelshoot1.compatdospointer = 0x2638;
	s_gretelshoot2.compatdospointer = 0x2648;
	s_gretelshoot3.compatdospointer = 0x2658;
	s_gretelshoot4.compatdospointer = 0x2668;
	s_gretelshoot5.compatdospointer = 0x2678;
	s_gretelshoot6.compatdospointer = 0x2688;
	s_gretelshoot7.compatdospointer = 0x2698;
	s_gretelshoot8.compatdospointer = 0x26A8;
	s_schabbstand.compatdospointer = 0x26CA;
	s_schabbchase1.compatdospointer = 0x26DA;
	s_schabbchase1s.compatdospointer = 0x26EA;
	s_schabbchase2.compatdospointer = 0x26FA;
	s_schabbchase3.compatdospointer = 0x270A;
	s_schabbchase3s.compatdospointer = 0x271A;
	s_schabbchase4.compatdospointer = 0x272A;
	s_schabbdeathcam.compatdospointer = 0x273A;
	s_schabbdie1.compatdospointer = 0x274A;
	s_schabbdie2.compatdospointer = 0x275A;
	s_schabbdie3.compatdospointer = 0x276A;
	s_schabbdie4.compatdospointer = 0x277A;
	s_schabbdie5.compatdospointer = 0x278A;
	s_schabbdie6.compatdospointer = 0x279A;
	s_schabbshoot1.compatdospointer = 0x27AA;
	s_schabbshoot2.compatdospointer = 0x27BA;
	s_needle1.compatdospointer = 0x27CA;
	s_needle2.compatdospointer = 0x27DA;
	s_needle3.compatdospointer = 0x27EA;
	s_needle4.compatdospointer = 0x27FA;
	s_giftstand.compatdospointer = 0x280A;
	s_giftchase1.compatdospointer = 0x281A;
	s_giftchase1s.compatdospointer = 0x282A;
	s_giftchase2.compatdospointer = 0x283A;
	s_giftchase3.compatdospointer = 0x284A;
	s_giftchase3s.compatdospointer = 0x285A;
	s_giftchase4.compatdospointer = 0x286A;
	s_giftdeathcam.compatdospointer = 0x287A;
	s_giftdie1.compatdospointer = 0x288A;
	s_giftdie2.compatdospointer = 0x289A;
	s_giftdie3.compatdospointer = 0x28AA;
	s_giftdie4.compatdospointer = 0x28BA;
	s_giftdie5.compatdospointer = 0x28CA;
	s_giftdie6.compatdospointer = 0x28DA;
	s_giftshoot1.compatdospointer = 0x28EA;
	s_giftshoot2.compatdospointer = 0x28FA;
	s_fatstand.compatdospointer = 0x290A;
	s_fatchase1.compatdospointer = 0x291A;
	s_fatchase1s.compatdospointer = 0x292A;
	s_fatchase2.compatdospointer = 0x293A;
	s_fatchase3.compatdospointer = 0x294A;
	s_fatchase3s.compatdospointer = 0x295A;
	s_fatchase4.compatdospointer = 0x296A;
	s_fatdeathcam.compatdospointer = 0x297A;
	s_fatdie1.compatdospointer = 0x298A;
	s_fatdie2.compatdospointer = 0x299A;
	s_fatdie3.compatdospointer = 0x29AA;
	s_fatdie4.compatdospointer = 0x29BA;
	s_fatdie5.compatdospointer = 0x29CA;
	s_fatdie6.compatdospointer = 0x29DA;
	s_fatshoot1.compatdospointer = 0x29EA;
	s_fatshoot2.compatdospointer = 0x29FA;
	s_fatshoot3.compatdospointer = 0x2A0A;
	s_fatshoot4.compatdospointer = 0x2A1A;
	s_fatshoot5.compatdospointer = 0x2A2A;
	s_fatshoot6.compatdospointer = 0x2A3A;
	s_fakestand.compatdospointer = 0x2A4A;
	s_fakechase1.compatdospointer = 0x2A5A;
	s_fakechase1s.compatdospointer = 0x2A6A;
	s_fakechase2.compatdospointer = 0x2A7A;
	s_fakechase3.compatdospointer = 0x2A8A;
	s_fakechase3s.compatdospointer = 0x2A9A;
	s_fakechase4.compatdospointer = 0x2AAA;
	s_fakedie1.compatdospointer = 0x2ABA;
	s_fakedie2.compatdospointer = 0x2ACA;
	s_fakedie3.compatdospointer = 0x2ADA;
	s_fakedie4.compatdospointer = 0x2AEA;
	s_fakedie5.compatdospointer = 0x2AFA;
	s_fakedie6.compatdospointer = 0x2B0A;
	s_fakeshoot1.compatdospointer = 0x2B1A;
	s_fakeshoot2.compatdospointer = 0x2B2A;
	s_fakeshoot3.compatdospointer = 0x2B3A;
	s_fakeshoot4.compatdospointer = 0x2B4A;
	s_fakeshoot5.compatdospointer = 0x2B5A;
	s_fakeshoot6.compatdospointer = 0x2B6A;
	s_fakeshoot7.compatdospointer = 0x2B7A;
	s_fakeshoot8.compatdospointer = 0x2B8A;
	s_fakeshoot9.compatdospointer = 0x2B9A;
	s_fire1.compatdospointer = 0x2BAA;
	s_fire2.compatdospointer = 0x2BBA;
	s_mechastand.compatdospointer = 0x2BCA;
	s_mechachase1.compatdospointer = 0x2BDA;
	s_mechachase1s.compatdospointer = 0x2BEA;
	s_mechachase2.compatdospointer = 0x2BFA;
	s_mechachase3.compatdospointer = 0x2C0A;
	s_mechachase3s.compatdospointer = 0x2C1A;
	s_mechachase4.compatdospointer = 0x2C2A;
	s_mechadie1.compatdospointer = 0x2C3A;
	s_mechadie2.compatdospointer = 0x2C4A;
	s_mechadie3.compatdospointer = 0x2C5A;
	s_mechadie4.compatdospointer = 0x2C6A;
	s_mechashoot1.compatdospointer = 0x2C7A;
	s_mechashoot2.compatdospointer = 0x2C8A;
	s_mechashoot3.compatdospointer = 0x2C9A;
	s_mechashoot4.compatdospointer = 0x2CAA;
	s_mechashoot5.compatdospointer = 0x2CBA;
	s_mechashoot6.compatdospointer = 0x2CCA;
	s_hitlerchase1.compatdospointer = 0x2CDA;
	s_hitlerchase1s.compatdospointer = 0x2CEA;
	s_hitlerchase2.compatdospointer = 0x2CFA;
	s_hitlerchase3.compatdospointer = 0x2D0A;
	s_hitlerchase3s.compatdospointer = 0x2D1A;
	s_hitlerchase4.compatdospointer = 0x2D2A;
	s_hitlerdeathcam.compatdospointer = 0x2D3A;
	s_hitlerdie1.compatdospointer = 0x2D4A;
	s_hitlerdie2.compatdospointer = 0x2D5A;
	s_hitlerdie3.compatdospointer = 0x2D6A;
	s_hitlerdie4.compatdospointer = 0x2D7A;
	s_hitlerdie5.compatdospointer = 0x2D8A;
	s_hitlerdie6.compatdospointer = 0x2D9A;
	s_hitlerdie7.compatdospointer = 0x2DAA;
	s_hitlerdie8.compatdospointer = 0x2DBA;
	s_hitlerdie9.compatdospointer = 0x2DCA;
	s_hitlerdie10.compatdospointer = 0x2DDA;
	s_hitlershoot1.compatdospointer = 0x2DEA;
	s_hitlershoot2.compatdospointer = 0x2DFA;
	s_hitlershoot3.compatdospointer = 0x2E0A;
	s_hitlershoot4.compatdospointer = 0x2E1A;
	s_hitlershoot5.compatdospointer = 0x2E2A;
	s_hitlershoot6.compatdospointer = 0x2E3A;
	s_bjrun1.compatdospointer = 0x2E52;
	s_bjrun1s.compatdospointer = 0x2E62;
	s_bjrun2.compatdospointer = 0x2E72;
	s_bjrun3.compatdospointer = 0x2E82;
	s_bjrun3s.compatdospointer = 0x2E92;
	s_bjrun4.compatdospointer = 0x2EA2;
	s_bjjump1.compatdospointer = 0x2EB2;
	s_bjjump2.compatdospointer = 0x2EC2;
	s_bjjump3.compatdospointer = 0x2ED2;
	s_bjjump4.compatdospointer = 0x2EE2;
	s_deathcam.compatdospointer = 0x2EF2;
}

void* RefKeen_GetObjStatePtrFromDOSPointer_NonWL1(uint_fast32_t dosptr)
{
	switch (dosptr)
	{
	case 0x190A: return &s_player;
	case 0x191A: return &s_attack;
	case 0x1BF8: return &s_rocket;
	case 0x1C08: return &s_smoke1;
	case 0x1C18: return &s_smoke2;
	case 0x1C28: return &s_smoke3;
	case 0x1C38: return &s_smoke4;
	case 0x1C48: return &s_boom1;
	case 0x1C58: return &s_boom2;
	case 0x1C68: return &s_boom3;
	case 0x1C78: return &s_grdstand;
	case 0x1C88: return &s_grdpath1;
	case 0x1C98: return &s_grdpath1s;
	case 0x1CA8: return &s_grdpath2;
	case 0x1CB8: return &s_grdpath3;
	case 0x1CC8: return &s_grdpath3s;
	case 0x1CD8: return &s_grdpath4;
	case 0x1CE8: return &s_grdpain;
	case 0x1CF8: return &s_grdpain1;
	case 0x1D08: return &s_grdshoot1;
	case 0x1D18: return &s_grdshoot2;
	case 0x1D28: return &s_grdshoot3;
	case 0x1D38: return &s_grdchase1;
	case 0x1D48: return &s_grdchase1s;
	case 0x1D58: return &s_grdchase2;
	case 0x1D68: return &s_grdchase3;
	case 0x1D78: return &s_grdchase3s;
	case 0x1D88: return &s_grdchase4;
	case 0x1D98: return &s_grddie1;
	case 0x1DA8: return &s_grddie2;
	case 0x1DB8: return &s_grddie3;
	case 0x1DC8: return &s_grddie4;
	case 0x1DD8: return &s_blinkychase1;
	case 0x1DE8: return &s_blinkychase2;
	case 0x1DF8: return &s_inkychase1;
	case 0x1E08: return &s_inkychase2;
	case 0x1E18: return &s_pinkychase1;
	case 0x1E28: return &s_pinkychase2;
	case 0x1E38: return &s_clydechase1;
	case 0x1E48: return &s_clydechase2;
	case 0x1E58: return &s_dogpath1;
	case 0x1E68: return &s_dogpath1s;
	case 0x1E78: return &s_dogpath2;
	case 0x1E88: return &s_dogpath3;
	case 0x1E98: return &s_dogpath3s;
	case 0x1EA8: return &s_dogpath4;
	case 0x1EB8: return &s_dogjump1;
	case 0x1EC8: return &s_dogjump2;
	case 0x1ED8: return &s_dogjump3;
	case 0x1EE8: return &s_dogjump4;
	case 0x1EF8: return &s_dogjump5;
	case 0x1F08: return &s_dogchase1;
	case 0x1F18: return &s_dogchase1s;
	case 0x1F28: return &s_dogchase2;
	case 0x1F38: return &s_dogchase3;
	case 0x1F48: return &s_dogchase3s;
	case 0x1F58: return &s_dogchase4;
	case 0x1F68: return &s_dogdie1;
	case 0x1F78: return &s_dogdie2;
	case 0x1F88: return &s_dogdie3;
	case 0x1F98: return &s_dogdead;
	case 0x1FA8: return &s_ofcstand;
	case 0x1FB8: return &s_ofcpath1;
	case 0x1FC8: return &s_ofcpath1s;
	case 0x1FD8: return &s_ofcpath2;
	case 0x1FE8: return &s_ofcpath3;
	case 0x1FF8: return &s_ofcpath3s;
	case 0x2008: return &s_ofcpath4;
	case 0x2018: return &s_ofcpain;
	case 0x2028: return &s_ofcpain1;
	case 0x2038: return &s_ofcshoot1;
	case 0x2048: return &s_ofcshoot2;
	case 0x2058: return &s_ofcshoot3;
	case 0x2068: return &s_ofcchase1;
	case 0x2078: return &s_ofcchase1s;
	case 0x2088: return &s_ofcchase2;
	case 0x2098: return &s_ofcchase3;
	case 0x20A8: return &s_ofcchase3s;
	case 0x20B8: return &s_ofcchase4;
	case 0x20C8: return &s_ofcdie1;
	case 0x20D8: return &s_ofcdie2;
	case 0x20E8: return &s_ofcdie3;
	case 0x20F8: return &s_ofcdie4;
	case 0x2108: return &s_ofcdie5;
	case 0x2118: return &s_mutstand;
	case 0x2128: return &s_mutpath1;
	case 0x2138: return &s_mutpath1s;
	case 0x2148: return &s_mutpath2;
	case 0x2158: return &s_mutpath3;
	case 0x2168: return &s_mutpath3s;
	case 0x2178: return &s_mutpath4;
	case 0x2188: return &s_mutpain;
	case 0x2198: return &s_mutpain1;
	case 0x21A8: return &s_mutshoot1;
	case 0x21B8: return &s_mutshoot2;
	case 0x21C8: return &s_mutshoot3;
	case 0x21D8: return &s_mutshoot4;
	case 0x21E8: return &s_mutchase1;
	case 0x21F8: return &s_mutchase1s;
	case 0x2208: return &s_mutchase2;
	case 0x2218: return &s_mutchase3;
	case 0x2228: return &s_mutchase3s;
	case 0x2238: return &s_mutchase4;
	case 0x2248: return &s_mutdie1;
	case 0x2258: return &s_mutdie2;
	case 0x2268: return &s_mutdie3;
	case 0x2278: return &s_mutdie4;
	case 0x2288: return &s_mutdie5;
	case 0x2298: return &s_ssstand;
	case 0x22A8: return &s_sspath1;
	case 0x22B8: return &s_sspath1s;
	case 0x22C8: return &s_sspath2;
	case 0x22D8: return &s_sspath3;
	case 0x22E8: return &s_sspath3s;
	case 0x22F8: return &s_sspath4;
	case 0x2308: return &s_sspain;
	case 0x2318: return &s_sspain1;
	case 0x2328: return &s_ssshoot1;
	case 0x2338: return &s_ssshoot2;
	case 0x2348: return &s_ssshoot3;
	case 0x2358: return &s_ssshoot4;
	case 0x2368: return &s_ssshoot5;
	case 0x2378: return &s_ssshoot6;
	case 0x2388: return &s_ssshoot7;
	case 0x2398: return &s_ssshoot8;
	case 0x23A8: return &s_ssshoot9;
	case 0x23B8: return &s_sschase1;
	case 0x23C8: return &s_sschase1s;
	case 0x23D8: return &s_sschase2;
	case 0x23E8: return &s_sschase3;
	case 0x23F8: return &s_sschase3s;
	case 0x2408: return &s_sschase4;
	case 0x2418: return &s_ssdie1;
	case 0x2428: return &s_ssdie2;
	case 0x2438: return &s_ssdie3;
	case 0x2448: return &s_ssdie4;
	case 0x2458: return &s_bossstand;
	case 0x2468: return &s_bosschase1;
	case 0x2478: return &s_bosschase1s;
	case 0x2488: return &s_bosschase2;
	case 0x2498: return &s_bosschase3;
	case 0x24A8: return &s_bosschase3s;
	case 0x24B8: return &s_bosschase4;
	case 0x24C8: return &s_bossdie1;
	case 0x24D8: return &s_bossdie2;
	case 0x24E8: return &s_bossdie3;
	case 0x24F8: return &s_bossdie4;
	case 0x2508: return &s_bossshoot1;
	case 0x2518: return &s_bossshoot2;
	case 0x2528: return &s_bossshoot3;
	case 0x2538: return &s_bossshoot4;
	case 0x2548: return &s_bossshoot5;
	case 0x2558: return &s_bossshoot6;
	case 0x2568: return &s_bossshoot7;
	case 0x2578: return &s_bossshoot8;
	case 0x2588: return &s_gretelstand;
	case 0x2598: return &s_gretelchase1;
	case 0x25A8: return &s_gretelchase1s;
	case 0x25B8: return &s_gretelchase2;
	case 0x25C8: return &s_gretelchase3;
	case 0x25D8: return &s_gretelchase3s;
	case 0x25E8: return &s_gretelchase4;
	case 0x25F8: return &s_greteldie1;
	case 0x2608: return &s_greteldie2;
	case 0x2618: return &s_greteldie3;
	case 0x2628: return &s_greteldie4;
	case 0x2638: return &s_gretelshoot1;
	case 0x2648: return &s_gretelshoot2;
	case 0x2658: return &s_gretelshoot3;
	case 0x2668: return &s_gretelshoot4;
	case 0x2678: return &s_gretelshoot5;
	case 0x2688: return &s_gretelshoot6;
	case 0x2698: return &s_gretelshoot7;
	case 0x26A8: return &s_gretelshoot8;
	case 0x26CA: return &s_schabbstand;
	case 0x26DA: return &s_schabbchase1;
	case 0x26EA: return &s_schabbchase1s;
	case 0x26FA: return &s_schabbchase2;
	case 0x270A: return &s_schabbchase3;
	case 0x271A: return &s_schabbchase3s;
	case 0x272A: return &s_schabbchase4;
	case 0x273A: return &s_schabbdeathcam;
	case 0x274A: return &s_schabbdie1;
	case 0x275A: return &s_schabbdie2;
	case 0x276A: return &s_schabbdie3;
	case 0x277A: return &s_schabbdie4;
	case 0x278A: return &s_schabbdie5;
	case 0x279A: return &s_schabbdie6;
	case 0x27AA: return &s_schabbshoot1;
	case 0x27BA: return &s_schabbshoot2;
	case 0x27CA: return &s_needle1;
	case 0x27DA: return &s_needle2;
	case 0x27EA: return &s_needle3;
	case 0x27FA: return &s_needle4;
	case 0x280A: return &s_giftstand;
	case 0x281A: return &s_giftchase1;
	case 0x282A: return &s_giftchase1s;
	case 0x283A: return &s_giftchase2;
	case 0x284A: return &s_giftchase3;
	case 0x285A: return &s_giftchase3s;
	case 0x286A: return &s_giftchase4;
	case 0x287A: return &s_giftdeathcam;
	case 0x288A: return &s_giftdie1;
	case 0x289A: return &s_giftdie2;
	case 0x28AA: return &s_giftdie3;
	case 0x28BA: return &s_giftdie4;
	case 0x28CA: return &s_giftdie5;
	case 0x28DA: return &s_giftdie6;
	case 0x28EA: return &s_giftshoot1;
	case 0x28FA: return &s_giftshoot2;
	case 0x290A: return &s_fatstand;
	case 0x291A: return &s_fatchase1;
	case 0x292A: return &s_fatchase1s;
	case 0x293A: return &s_fatchase2;
	case 0x294A: return &s_fatchase3;
	case 0x295A: return &s_fatchase3s;
	case 0x296A: return &s_fatchase4;
	case 0x297A: return &s_fatdeathcam;
	case 0x298A: return &s_fatdie1;
	case 0x299A: return &s_fatdie2;
	case 0x29AA: return &s_fatdie3;
	case 0x29BA: return &s_fatdie4;
	case 0x29CA: return &s_fatdie5;
	case 0x29DA: return &s_fatdie6;
	case 0x29EA: return &s_fatshoot1;
	case 0x29FA: return &s_fatshoot2;
	case 0x2A0A: return &s_fatshoot3;
	case 0x2A1A: return &s_fatshoot4;
	case 0x2A2A: return &s_fatshoot5;
	case 0x2A3A: return &s_fatshoot6;
	case 0x2A4A: return &s_fakestand;
	case 0x2A5A: return &s_fakechase1;
	case 0x2A6A: return &s_fakechase1s;
	case 0x2A7A: return &s_fakechase2;
	case 0x2A8A: return &s_fakechase3;
	case 0x2A9A: return &s_fakechase3s;
	case 0x2AAA: return &s_fakechase4;
	case 0x2ABA: return &s_fakedie1;
	case 0x2ACA: return &s_fakedie2;
	case 0x2ADA: return &s_fakedie3;
	case 0x2AEA: return &s_fakedie4;
	case 0x2AFA: return &s_fakedie5;
	case 0x2B0A: return &s_fakedie6;
	case 0x2B1A: return &s_fakeshoot1;
	case 0x2B2A: return &s_fakeshoot2;
	case 0x2B3A: return &s_fakeshoot3;
	case 0x2B4A: return &s_fakeshoot4;
	case 0x2B5A: return &s_fakeshoot5;
	case 0x2B6A: return &s_fakeshoot6;
	case 0x2B7A: return &s_fakeshoot7;
	case 0x2B8A: return &s_fakeshoot8;
	case 0x2B9A: return &s_fakeshoot9;
	case 0x2BAA: return &s_fire1;
	case 0x2BBA: return &s_fire2;
	case 0x2BCA: return &s_mechastand;
	case 0x2BDA: return &s_mechachase1;
	case 0x2BEA: return &s_mechachase1s;
	case 0x2BFA: return &s_mechachase2;
	case 0x2C0A: return &s_mechachase3;
	case 0x2C1A: return &s_mechachase3s;
	case 0x2C2A: return &s_mechachase4;
	case 0x2C3A: return &s_mechadie1;
	case 0x2C4A: return &s_mechadie2;
	case 0x2C5A: return &s_mechadie3;
	case 0x2C6A: return &s_mechadie4;
	case 0x2C7A: return &s_mechashoot1;
	case 0x2C8A: return &s_mechashoot2;
	case 0x2C9A: return &s_mechashoot3;
	case 0x2CAA: return &s_mechashoot4;
	case 0x2CBA: return &s_mechashoot5;
	case 0x2CCA: return &s_mechashoot6;
	case 0x2CDA: return &s_hitlerchase1;
	case 0x2CEA: return &s_hitlerchase1s;
	case 0x2CFA: return &s_hitlerchase2;
	case 0x2D0A: return &s_hitlerchase3;
	case 0x2D1A: return &s_hitlerchase3s;
	case 0x2D2A: return &s_hitlerchase4;
	case 0x2D3A: return &s_hitlerdeathcam;
	case 0x2D4A: return &s_hitlerdie1;
	case 0x2D5A: return &s_hitlerdie2;
	case 0x2D6A: return &s_hitlerdie3;
	case 0x2D7A: return &s_hitlerdie4;
	case 0x2D8A: return &s_hitlerdie5;
	case 0x2D9A: return &s_hitlerdie6;
	case 0x2DAA: return &s_hitlerdie7;
	case 0x2DBA: return &s_hitlerdie8;
	case 0x2DCA: return &s_hitlerdie9;
	case 0x2DDA: return &s_hitlerdie10;
	case 0x2DEA: return &s_hitlershoot1;
	case 0x2DFA: return &s_hitlershoot2;
	case 0x2E0A: return &s_hitlershoot3;
	case 0x2E1A: return &s_hitlershoot4;
	case 0x2E2A: return &s_hitlershoot5;
	case 0x2E3A: return &s_hitlershoot6;
	case 0x2E52: return &s_bjrun1;
	case 0x2E62: return &s_bjrun1s;
	case 0x2E72: return &s_bjrun2;
	case 0x2E82: return &s_bjrun3;
	case 0x2E92: return &s_bjrun3s;
	case 0x2EA2: return &s_bjrun4;
	case 0x2EB2: return &s_bjjump1;
	case 0x2EC2: return &s_bjjump2;
	case 0x2ED2: return &s_bjjump3;
	case 0x2EE2: return &s_bjjump4;
	case 0x2EF2: return &s_deathcam;
	}
	return NULL;
}

REFKEEN_NS_E
#endif
